<?php

class PackedLoader__phppack {
	protected $position;
	protected $currentfile;
	protected $base_includedir;
	
	public static $FILECACHE;
	
	public function __construct() {
		$this->base_includedir = get_include_path();
	}
	
	public function stream_open($path, $mode, $options, &$opened_path) {
		$path = self::transform_path($path);
		
		if (array_key_exists($path, self::$FILECACHE)) {
			$this->currentfile = $path;
			$this->position = 0;
			
			$dirpath = substr($path, 0, strrpos($path, '/')); // .'/';
			set_include_path('phppack'.'://'.$dirpath.PATH_SEPARATOR.$this->base_includedir);
			
			return true;
		} else {
			return false;
		}
	}
	
	public function stream_close() {
		// FIXME: needs support for nested relative include paths
		// set_include_path($this->base_includedir);
	}
	
	public function stream_read($count) {
		$ret = substr(self::$FILECACHE[$this->currentfile], $this->position, $count);
		$this->position += strlen($ret); // might be smaller than count
		return $ret;
	}
	
	public function stream_write($data) {
		$left = substr(self::$FILECACHE[$this->currentfile], 0, $this->position);
		$right = substr(self::$FILECACHE[$this->currentfile], $this->position + strlen($data)); // overwrite
		
		self::$FILECACHE[$this->currentfile] = $left . $data . $right;
		$this->position += strlen($data);
		
		return strlen($data); // bytes written
	}
	
	public function stream_tell() {
		return $this->position;
	}
	
	public function stream_eof() {
		return $this->position >= strlen(self::$FILECACHE[$this->currentfile]);
	}
	
	protected static function transform_path($path) {
		return str_replace('\\', '/', substr($path, strlen('phppack'.'://')));
	}
	
	protected static function stat_helper($path) {	
		if (! array_key_exists($path, self::$FILECACHE)) {
			return false; // nonexistent
		}
		
		$mtime = filemtime(__FILE__);
		
		$ret = [
			'dev' => 2,
			'ino' => 0,
			'mode' => 0100777, // octal
			'nlink' => 1,
			'uid' => 1,
			'gid' => 1,
			'rdev' => 2,
			'size' => strlen(self::$FILECACHE[$path]),
			'atime' => $mtime,
			'mtime' => $mtime,
			'ctime' => $mtime,
			'blksize' => 512,
			'blocks' => ceil(strlen(self::$FILECACHE[$path]) / 512)
		];
		
		return array_merge($ret, array_values($ret));
	}
	
	public function stream_stat() {
		return self::stat_helper($this->currentfile);
	}
	
	public function url_stat($path, $flags) {
		return self::stat_helper(self::transform_path($path));
	}
	
	public function stream_seek($offset, $whence) {
		switch ($whence) {
			case SEEK_SET: {
				if ($offset < strlen(self::$FILECACHE[$this->currentfile]) && $offset >= 0) {
					$this->position = $offset;
					return true;
				}
			} break;

			case SEEK_CUR: {
				if ($offset >= 0) {
					$this->position += $offset;
					return true;
				}
			} break;

			case SEEK_END: {
				if (strlen(self::$FILECACHE[$this->currentfile]) + $offset >= 0) {
					$this->position = strlen(self::$FILECACHE[$this->currentfile]) + $offset;
					return true;
				}
			} break;

			default:
				
		}
		return false;
	}
	}PackedLoader__phppack::$FILECACHE = [
str_rot13("_/cuccnpx.cuc") => 
'<?php

error_reporting(E_ALL);
ini_set(str_rot13("qvfcynl_reebef"), true);
set_error_handler(function ($aa, $ab, $ac, $ad) {
throw new ErrorException($ab, 0, $aa, $ac, $ad);});
require __DIR__ . str_rot13("/FgnaqneqJuvgryvfg.cuc");
global $ae;
$ae = array_flip(af());
require __DIR__ . str_rot13("/iraqbe/avxvp/CUC-Cnefre/yvo/obbgfgenc.cuc");
require __DIR__ . str_rot13("/Boshfpngbe.cuc");
function ah(){
global $ae;
static $next = "aa";
$ag = $next++;
if (array_key_exists($ag, $ae)) {
return ah();} else {
return $ag;}}
function ai(){
static $next = 0;
return str_replace(["0", "1", "2", "3"], [str_rot13("V"), str_rot13("y"), str_rot13("G"), str_rot13("A")], "" . base_convert(++$next, 10, 4));}
function aj(){
static $next = 0;
return str_replace(["0", "1", "2", "3"], [str_rot13("q"), str_rot13("o"), str_rot13("d"), "p"], "" . base_convert(++$next, 10, 4));}
global $ak;
$ak = "ah";
global $al;
$al = [];
function an($am){
global $ak;
global $ae;
global $al;
if (strlen($am) < 2) {
return $am;}
if (array_key_exists($am, $ae)) {
return $am;}
if (!array_key_exists($am, $al)) {
$al[$am] = $ak();}
return $al[$am];}
function ap($ao){
global $ae;
global $al;
return array_key_exists($ao, $ae) || array_key_exists($ao, $al);}
function at($aq){
global $al;
$ar = fopen($aq, str_rot13("jo"));
if (!$ar) {
fwrite(2, "WARNING: FAILED to open file \'{$aq}\' for writing\\n");} else {
global $al;
foreach ($al as $k => $v) {
fwrite($ar, $k . "
");}
fclose($ar);}}
function av($au){
global $ae;
$ae[$au] = true;}
function ax(array $aw){
global $ae;
foreach ($aw as $au) {
$ae[$au] = true;}}
function ay($aq){
ax(array_filter(explode("
", file_get_contents($aq)), "strlen"));}
function bf($az, $ba){
$bb = str_replace("\\\\", "/", realpath($az));
foreach ($ba as $file) {
$bc = str_replace("\\\\", "/", realpath($file));
if (strpos($bc, $bb) === 0) {
$bd = substr($bc, strlen($bb));
$be = substr($bd, 0, strrpos($bd, "."));
$aw = array_filter(explode("/", $be), "strlen");
ax($aw);}}}
class bq extends PhpParser\\PrettyPrinter\\Standard{
protected function bh(array $bg){
return "";}
protected function bk(array $bi, $bj = true){
return parent::bk($bi, false);}
public function pExpr_Array(PhpParser\\Node\\Expr\\Array_ $bl){
return "[" . $this->bn($bl->bm) . "]";}
public function pScalar_String(PhpParser\\Node\\Scalar\\String $bl){
return bo($bl->bp);}}
class by extends PhpParser\\NodeVisitorAbstract{
public $br = false;
public $bs;
public function bt(PhpParser\\Node $bl){
return $bl instanceof PhpParser\\Node\\Stmt\\StaticVar || $bl instanceof PhpParser\\Node\\Stmt\\Property;}
public function bu(PhpParser\\Node $bl){
if ($this->bt($bl)) {
$this->br = true;}}
public function bx(PhpParser\\Node $bl){
if ($this->bt($bl)) {
$this->br = false;} else {
if ($this->br) {
if ($bl->bv(str_rot13("cuccnpx"))) {
return $this->bs->bw($bl);}}}}}
function bz(PhpParser\\Node $bl){
return ($bl instanceof PhpParser\\Node\\Expr\\Variable || $bl instanceof PhpParser\\Node\\Stmt\\StaticVar || $bl instanceof PhpParser\\Node\\Param || $bl instanceof PhpParser\\Node\\Stmt\\Class_ || $bl instanceof PhpParser\\Node\\Stmt\\Interface_ || $bl instanceof PhpParser\\Node\\Expr\\PropertyFetch || $bl instanceof PhpParser\\Node\\Stmt\\PropertyProperty || $bl instanceof PhpParser\\Node\\Expr\\StaticPropertyFetch || $bl instanceof PhpParser\\Node\\Stmt\\Function_ || $bl instanceof PhpParser\\Node\\Stmt\\ClassMethod || $bl instanceof PhpParser\\Node\\Expr\\MethodCall || $bl instanceof PhpParser\\Node\\Expr\\StaticCall) && is_string($bl->ao);}
class cb extends PhpParser\\NodeVisitorAbstract{
public function bx(PhpParser\\Node $bl){
if ($bl instanceof PhpParser\\Node\\Expr\\ClosureUse) {
an($bl->var);} elseif (bz($bl)) {
an($bl->ao);} elseif ($bl instanceof PhpParser\\Node\\Name) {
for ($i = 0, $e = count($bl->ca); $i !== $e; ++$i) {
an($bl->ca[$i]);}}}}
class cd extends PhpParser\\NodeVisitorAbstract{
public $bs;
public function bu(PhpParser\\Node $bl){
if ($bl instanceof PhpParser\\Node\\Expr\\ConstFetch) {}}
public function bx(PhpParser\\Node $bl){
if ($bl instanceof PhpParser\\Node\\Scalar\\String) {
if (ap($bl->bp)) {
$bl->bp = an($bl->bp);} elseif (!strlen($bl->bp) || !preg_match(str_rot13("~[n-mN-M]~"), $bl->bp)) {} else {
$ag = $this->bs->cc($bl->bp);
return $ag;}}
if ($bl instanceof PhpParser\\Node\\Stmt\\InlineHTML) {
$ag = new PhpParser\\Node\\Stmt\\Echo_([$this->bs->cc($bl->bp)]);
return $ag;}
if ($bl instanceof PhpParser\\Node\\Expr\\ClosureUse) {
$bl->var = an($bl->var);}
if (bz($bl)) {
$bl->ao = an($bl->ao);} elseif ($bl instanceof PhpParser\\Node\\Name) {
for ($i = 0, $e = count($bl->ca); $i !== $e; ++$i) {
$bl->ca[$i] = an($bl->ca[$i]);}}}}
function cm($ce){
$cf = new PhpParser\\Parser(new PhpParser\\Lexer());
$cg = new PhpParser\\NodeTraverser();
$ch = new cb();
$cg->ci($ch);
$cj = $cf->ck($ce);
if (count($cj) == 1 && $cj[0] instanceof PhpParser\\Node\\Stmt\\InlineHTML) {} else {
$cg->cl($cj);}}
function cu($ce, \\cn $bs){
$cf = new PhpParser\\Parser(new PhpParser\\Lexer());
$co = new bq();
$cp = new PhpParser\\NodeTraverser();
$cq = new cd();
$cq->bs = $bs;
$cp->ci($cq);
$cr = new by();
$cr->bs = $bs;
$cp->ci($cr);
$cj = $cf->ck($ce);
if (count($cj) == 1 && $cj[0] instanceof PhpParser\\Node\\Stmt\\InlineHTML) {} else {
$cj = $cp->cl($cj);}
$cs = $co->ct($cj);
$cs = preg_replace(str_rot13("~\\\\a([{}])~"), "\\\\1", $cs);
return $cs;}
function cw($cv){
if (file_exists($cv)) {
$ag = file_get_contents($cv);
if ($ag === false) {
throw new Exception(str_rot13("Snvyrq gb ybnq svyr \\"") . $cv . "\\"");}
return $ag;} else {
if (strlen($cv) && $cv[0] !== "/" && $cv[1] !== ":" && substr($cv, 0, 2) !== "\\\\\\\\") {
return cw(__DIR__ . DIRECTORY_SEPARATOR . $cv);} else {
throw new Exception(str_rot13("Svyr abg sbhaq \\"") . $cv . "\\"");}}}
function bo($am){
$ag = "\\"";
for ($i = 0, $e = strlen($am); $i !== $e; ++$i) {
if ($am[$i] == "\\\\" || $am[$i] == "\\"" || $am[$i] == "\\$") {
$ag .= "\\\\" . $am[$i];} elseif ($am[$i] == "{" && $i + 1 !== $e && $am[$i + 1] == "\\$") {
$ag .= "{\\\\\\$";
$i++;} elseif (ctype_print($am[$i]) || $am[$i] == "
" || $am[$i] == "
" || $am[$i] == "	") {
$ag .= $am[$i];} else {
$ag .= str_rot13("\\\\k") . sprintf(str_rot13("%02k"), ord($am[$i]));}}
return $ag . "\\"";}
function de(array $cx, $cy, $cz, \\cn $bs, $da, $db){
if ($cz) {
echo str_rot13("<?cuc

pynff CnpxrqYbnqre__") . $db . " {
";
echo str_rot13("	cebgrpgrq \\$cbfvgvba;
	cebgrpgrq \\$pheeragsvyr;
	cebgrpgrq \\$onfr_vapyhqrqve;
	
	choyvp fgngvp \\$SVYRPNPUR;
	
	choyvp shapgvba __pbafgehpg() {
		\\$guvf->onfr_vapyhqrqve = trg_vapyhqr_cngu();
	}
	
	choyvp shapgvba fgernz_bcra(\\$cngu, \\$zbqr, \\$bcgvbaf, &\\$bcrarq_cngu) {
		\\$cngu = frys::genafsbez_cngu(\\$cngu);
		
		vs (neenl_xrl_rkvfgf(\\$cngu, frys::\\$SVYRPNPUR)) {
			\\$guvf->pheeragsvyr = \\$cngu;
			\\$guvf->cbfvgvba = 0;
			
			\\$qvecngu = fhofge(\\$cngu, 0, fgeecbf(\\$cngu, \'/\')); // .\'/\';
			frg_vapyhqr_cngu(");
var_export($db);
echo str_rot13(".\'://\'.\\$qvecngu.CNGU_FRCNENGBE.\\$guvf->onfr_vapyhqrqve);
			
			erghea gehr;
		} ryfr {
			erghea snyfr;
		}
	}
	
	choyvp shapgvba fgernz_pybfr() {
		// SVKZR: arrqf fhccbeg sbe arfgrq eryngvir vapyhqr cnguf
		// frg_vapyhqr_cngu(\\$guvf->onfr_vapyhqrqve);
	}
	
	choyvp shapgvba fgernz_ernq(\\$pbhag) {
		\\$erg = fhofge(frys::\\$SVYRPNPUR[\\$guvf->pheeragsvyr], \\$guvf->cbfvgvba, \\$pbhag);
		\\$guvf->cbfvgvba += fgeyra(\\$erg); // zvtug or fznyyre guna pbhag
		erghea \\$erg;
	}
	
	choyvp shapgvba fgernz_jevgr(\\$qngn) {
		\\$yrsg = fhofge(frys::\\$SVYRPNPUR[\\$guvf->pheeragsvyr], 0, \\$guvf->cbfvgvba);
		\\$evtug = fhofge(frys::\\$SVYRPNPUR[\\$guvf->pheeragsvyr], \\$guvf->cbfvgvba + fgeyra(\\$qngn)); // birejevgr
		
		frys::\\$SVYRPNPUR[\\$guvf->pheeragsvyr] = \\$yrsg . \\$qngn . \\$evtug;
		\\$guvf->cbfvgvba += fgeyra(\\$qngn);
		
		erghea fgeyra(\\$qngn); // olgrf jevggra
	}
	
	choyvp shapgvba fgernz_gryy() {
		erghea \\$guvf->cbfvgvba;
	}
	
	choyvp shapgvba fgernz_rbs() {
		erghea \\$guvf->cbfvgvba >= fgeyra(frys::\\$SVYRPNPUR[\\$guvf->pheeragsvyr]);
	}
	
	cebgrpgrq fgngvp shapgvba genafsbez_cngu(\\$cngu) {
		erghea fge_ercynpr(\'\\\\\\\\\', \'/\', fhofge(\\$cngu, fgeyra(");
var_export($db);
echo str_rot13(".\'://\')));
	}
	
	cebgrpgrq fgngvp shapgvba fgng_urycre(\\$cngu) {	
		vs (! neenl_xrl_rkvfgf(\\$cngu, frys::\\$SVYRPNPUR)) {
			erghea snyfr; // abarkvfgrag
		}
		
		\\$zgvzr = svyrzgvzr(__SVYR__);
		
		\\$erg = [
			\'qri\' => 2,
			\'vab\' => 0,
			\'zbqr\' => 0100777, // bpgny
			\'ayvax\' => 1,
			\'hvq\' => 1,
			\'tvq\' => 1,
			\'eqri\' => 2,
			\'fvmr\' => fgeyra(frys::\\$SVYRPNPUR[\\$cngu]),
			\'ngvzr\' => \\$zgvzr,
			\'zgvzr\' => \\$zgvzr,
			\'pgvzr\' => \\$zgvzr,
			\'oyxfvmr\' => 512,
			\'oybpxf\' => prvy(fgeyra(frys::\\$SVYRPNPUR[\\$cngu]) / 512)
		];
		
		erghea neenl_zretr(\\$erg, neenl_inyhrf(\\$erg));
	}
	
	choyvp shapgvba fgernz_fgng() {
		erghea frys::fgng_urycre(\\$guvf->pheeragsvyr);
	}
	
	choyvp shapgvba hey_fgng(\\$cngu, \\$syntf) {
		erghea frys::fgng_urycre(frys::genafsbez_cngu(\\$cngu));
	}
	
	choyvp shapgvba fgernz_frrx(\\$bssfrg, \\$jurapr) {
		fjvgpu (\\$jurapr) {
			pnfr FRRX_FRG: {
				vs (\\$bssfrg < fgeyra(frys::\\$SVYRPNPUR[\\$guvf->pheeragsvyr]) && \\$bssfrg >= 0) {
					\\$guvf->cbfvgvba = \\$bssfrg;
					erghea gehr;
				}
			} oernx;

			pnfr FRRX_PHE: {
				vs (\\$bssfrg >= 0) {
					\\$guvf->cbfvgvba += \\$bssfrg;
					erghea gehr;
				}
			} oernx;

			pnfr FRRX_RAQ: {
				vs (fgeyra(frys::\\$SVYRPNPUR[\\$guvf->pheeragsvyr]) + \\$bssfrg >= 0) {
					\\$guvf->cbfvgvba = fgeyra(frys::\\$SVYRPNPUR[\\$guvf->pheeragsvyr]) + \\$bssfrg;
					erghea gehr;
				}
			} oernx;

			qrsnhyg:
				
		}
		erghea snyfr;
	}
	}");
echo str_rot13("CnpxrqYbnqre__") . $db . str_rot13("::\\$SVYRPNPUR = [
");}
if ($cy) {
foreach ($cx as $aq) {
cm(cw($aq));}}
foreach ($cx as $aq) {
if ($cz) {
$key = "_/" . str_replace("\\\\", "/", $aq);
echo (new bq())->dc($bs->cc($key));
echo " => 
";}
$dd = cw($aq);
if ($cy) {
$dd = cu($dd, $bs);}
if ($da) {
echo str_rot13("tmhapbzcerff(");
var_export(gzcompress($dd, 9));
echo ")";} else {
if ($cz) {
var_export($dd);} else {
echo $dd;}}
if ($cz) {
echo "
 , 
";}}
if ($cz) {
echo "];
";
echo str_rot13("vs (snyfr===fgernz_jenccre_ertvfgre(") . var_export($db, true) . "," . var_export(str_rot13("CnpxrqYbnqre__") . $db, true) . ")){
";
echo str_rot13("qvr(\\"SNGNY: Snvyrq gb ybnq raivebazrag\\");
");
echo "}
";
echo str_rot13("erdhver ") . var_export($db . "://_/" . str_replace("\\\\", "/", $cx[0]), true) . ";";}}
function df(){
echo str_rot13("Hfntr:
  cuccnpx [bcgvbaf] [--] [svyr1.cuc [...]]

Bcgvbaf:
  --pbzcerff                      Pbzcerff cnpxrq bhgchg
  --qhzc-gbxraf {bhgchg.gkg}      Jevgr nyy qrgrpgrq gbxraf gb svyr
  --svyryvfg {yvfg.gkg}           Cebprff rirel svyr va yvfg.gkg
  --unaqyre {anzr}                Frg vagreany anzr sbe unaqyre naq pynff
  --znatyre=fubeg|avyg|qodc       Fryrpg zbqr sbe trarengvat abafrafr jbeqf
  --ab-boshfpngr                  Qb abg boshfpngr cnpxrq svyrf
  --ab-cnpx                       Boshfpngr bar svyr bayl, qb abg cnpx.
  --fgevatf=enaq|ebg13|hhrap|abar Fryrpg zbqr sbe fgevat pbafgnagf va svyr
  --juvgryvfg {gbxra}             Qba\'g boshfpngr fvatyr gbxra
  --juvgryvfg-gbxraf {vachg.gkg}  Qba\'g boshfpngr nyy gbxraf va svyr
  --juvgryvfg-nhgbybnq {cngu}     Qba\'g boshfpngr svyranzrf sbhaq jvguva cngu");
die(1);}
function dr($dg){
global $ak;
$bs = new dh();
$cy = true;
$di = true;
$da = false;
$db = str_rot13("cuccnpx");
$dj = null;
$ba = [];
$dk = [];
$dm = false;
for ($i = 0, $e = count($dg); $i !== $e; ++$i) {
if ($dm) {
$ba[] = $dg[$i];
continue;}
if ($dg[$i] == str_rot13("--ab-boshfpngr")) {
$cy = false;} elseif ($dg[$i] == str_rot13("--ab-cnpx")) {
$di = false;} elseif ($dg[$i] == str_rot13("--svyryvfg")) {
$ba = array_merge($ba, explode("
", cw($dg[++$i])));} elseif ($dg[$i] == str_rot13("--unaqyre")) {
$db = $dg[++$i];} elseif ($dg[$i] == str_rot13("--znatyre=fubeg")) {
$ak = "ah";} elseif ($dg[$i] == str_rot13("--znatyre=avyg")) {
$ak = "ai";} elseif ($dg[$i] == str_rot13("--znatyre=qodc")) {
$ak = "aj";} elseif ($dg[$i] == str_rot13("--fgevatf=enaq")) {
$bs = new dn();} elseif ($dg[$i] == str_rot13("--fgevatf=ebg13")) {
$bs = new dh();} elseif ($dg[$i] == str_rot13("--fgevatf=hhrap")) {
$bs = new dp();} elseif ($dg[$i] == str_rot13("--fgevatf=abar")) {
$bs = new dq();} elseif ($dg[$i] == str_rot13("--qhzc-gbxraf")) {
$dj = $dg[++$i];} elseif ($dg[$i] == str_rot13("--juvgryvfg")) {
av($dg[++$i]);} elseif ($dg[$i] == str_rot13("--juvgryvfg-gbxraf")) {
ay($dg[++$i]);} elseif ($dg[$i] == str_rot13("--juvgryvfg-nhgbybnq")) {
$dk[] = $dg[++$i];} elseif ($dg[$i] == "--") {
$dm = true;} elseif ($dg[$i] == str_rot13("--pbzcerff")) {
$da = true;} elseif ($dg[$i] == str_rot13("--uryc")) {
df();} elseif ($dg[$i][0] == "-") {
echo str_rot13("SNGNY: Haerpbtavfrq bcgvba \'") . $dg[$i] . "\'
";
df();} else {
$ba[] = $dg[$i];}}
if ($da && !$di) {
echo str_rot13("SNGNY: --pbzcerff pnaabg or hfrq jvgu --ab-cnpx
");
df();}
$ba = array_filter($ba, "strlen");
if (!count($ba)) {
echo str_rot13("SNGNY: Ab svyrf fryrpgrq
");
df();}
if (!$di && count($ba) !== 1) {
echo str_rot13("SNGNY: Zhygvcyr svyrf fcrpvsvrq jvgu --ab-cnpx
");
df();}
foreach ($dk as $az) {
bf($az, $ba);}
de($ba, $cy, $di, $bs, $da, $db);
if (!is_null($dj)) {
at($dj);}
return 0;}
return dr(array_slice($_SERVER["argv"], 1));'
 , 
str_rot13("_/Boshfpngbe.cuc") => 
'<?php

interface cn{
public function cc($bp);
public function bw(\\PhpParser\\Node $bl);}
class dn implements cn{
public static $ds = [["str_rot13", "str_rot13"], ["convert_uuencode", "convert_uudecode"], ["base64_encode", "base64_decode"], ["strrev", "strrev"]];
public function cc($bp){
$dt = (crc32($bp) % count(self::$ds) + count(self::$ds)) % count(self::$ds);
$ag = new PhpParser\\Node\\Expr\\FuncCall(new PhpParser\\Node\\Name(self::$ds[$dt][1]), [new PhpParser\\Node\\Arg(new PhpParser\\Node\\Scalar\\String(call_user_func(self::$ds[$dt][0], $bp)))]);
$ag->du(str_rot13("cuccnpx"), true);
$ag->du(str_rot13("cuccnpx.zbqr"), $dt);
return $ag;}
public function bw(\\PhpParser\\Node $bl){
$dt = $bl->dv(str_rot13("cuccnpx.zbqr"));
$be = call_user_func(self::$ds[$dt][1], $bl->dg[0]->bp->bp);
return new PhpParser\\Node\\Scalar\\String($be);}}
class dh implements cn{
public function cc($bp){
$ag = new PhpParser\\Node\\Expr\\FuncCall(new PhpParser\\Node\\Name("str_rot13"), [new PhpParser\\Node\\Arg(new PhpParser\\Node\\Scalar\\String(str_rot13($bp)))]);
$ag->du(str_rot13("cuccnpx"), true);
return $ag;}
public function bw(\\PhpParser\\Node $bl){
$be = str_rot13($bl->dg[0]->bp->bp);
return new PhpParser\\Node\\Scalar\\String($be);}}
class dp implements cn{
public function cc($bp){
$ag = new PhpParser\\Node\\Expr\\FuncCall(new PhpParser\\Node\\Name("convert_uudecode"), [new PhpParser\\Node\\Arg(new PhpParser\\Node\\Scalar\\String(convert_uuencode($bp)))]);
$ag->du(str_rot13("cuccnpx"), true);
return $ag;}
public function bw(\\PhpParser\\Node $bl){
$be = convert_uudecode($bl->dg[0]->bp->bp);
return new PhpParser\\Node\\Scalar\\String($be);}}
class dq implements cn{
public function cc($bp){
return new PhpParser\\Node\\Scalar\\String($bp);}
public function bw(\\PhpParser\\Node $bl){
return $bl;}}'
 , 
str_rot13("_/FgnaqneqJuvgryvfg.cuc") => 
'<?php

function af(){
return array_merge(get_defined_functions()[str_rot13("vagreany")], ["GLOBALS", "_SERVER", "_GET", "_POST", "_FILES", "_COOKIE", "_SESSION", "_REQUEST", "_ENV"], array_keys(get_defined_constants(false)), ["true", "True", "TRUE", "false", "False", "FALSE", "null", "Null", "NULL"], ["__CLASS__", "__DIR__", "__FILE__", "__FUNCTION__", "__LINE__", "__METHOD__", "__NAMESPACE__", "__TRAIT__"], get_declared_classes(), get_declared_interfaces(), get_declared_traits(), ["__halt_compiler", "abstract", "and", "array", "as", "break", "callable", "case", "catch", "class", "clone", "const", "continue", "declare", "default", "die", "do", "echo", "else", "elseif", "empty", "enddeclare", "endfor", "endforeach", "endif", "endswitch", "endwhile", "eval", "exit", "extends", "final", "finally", "for", "foreach", "function", "global", "goto", "if", "implements", "include", "include_once", "instanceof", "insteadof", "interface", "isset", "list", "namespace", "new", "or", "print", "private", "protected", "public", "require", "require_once", "return", "static", "switch", "throw", "trait", "try", "unset", "use", "var", "while", "xor", "yield"], ["this", "self", "class", "parent", "static"], ["autoload", "current", "key", "next", "rewind", "valid", "getIterator", "offsetExists", "offsetGet", "offsetSet", "offsetUnset", "bind", "bindTo", "send", "throw", "PHP_SELF", "argv", "argc", "GATEWAY_INTERFACE", "SERVER_ADDR", "SERVER_NAME", "SERVER_SOFTWARE", "SERVER_PROTOCOL", "REQUEST_METHOD", "REQUEST_TIME", "REQUEST_TIME_FLOAT", "QUERY_STRING", "DOCUMENT_ROOT", "HTTP_ACCEPT", "HTTP_ACCEPT_CHARSET", "HTTP_ACCEPT_ENCODING", "HTTP_ACCEPT_LANGUAGE", "HTTP_CONNECTION", "HTTP_HOST", "HTTP_REFERER", "HTTP_USER_AGENT", "HTTPS", "REMOTE_ADDR", "REMOTE_HOST", "REMOTE_PORT", "REMOTE_USER", "REDIRECT_REMOTE_USER", "SCRIPT_FILENAME", "SERVER_ADMIN", "SERVER_PORT", "SERVER_SIGNATURE", "PATH_TRANSLATED", "SCRIPT_NAME", "REQUEST_URI", "PHP_AUTH_DIGEST", "PHP_AUTH_USER", "PHP_AUTH_PW", "AUTH_TYPE", "PATH_INFO", "ORIG_PATH_INFO", "type", "message", "file", "line"], ["__construct", "__destruct", "__call", "_callStatic", "__get", "__set", "__isset", "__unset", "__sleep", "__wakeup", "__toString", "__invoke", "__set_state", "__clone", "__debuginfo"]);}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/ova/cuc-cnefr.cuc") => 
'<?php

require __DIR__ . str_rot13("/../yvo/obbgfgenc.cuc");
ini_set(str_rot13("kqroht.znk_arfgvat_yriry"), 2000);
ini_set(str_rot13("kqroht.ine_qvfcynl_znk_puvyqera"), -1);
ini_set(str_rot13("kqroht.ine_qvfcynl_znk_qngn"), -1);
ini_set(str_rot13("kqroht.ine_qvfcynl_znk_qrcgu"), -1);
list($dw, $dx) = dy($argv);
if (empty($dw)) {
$dw[] = "ef";}
if (empty($dx)) {
dz(str_rot13("Zhfg fcrpvsl ng yrnfg bar svyr."));}
$cf = new PhpParser\\Parser(new PhpParser\\Lexer\\Emulative());
$ea = new PhpParser\\NodeDumper();
$co = new PhpParser\\PrettyPrinter\\Standard();
$eb = new PhpParser\\Serializer\\XML();
$ec = new PhpParser\\NodeTraverser();
$ec->ci(new PhpParser\\NodeVisitor\\NameResolver());
foreach ($dx as $file) {
if (strpos($file, str_rot13("<?cuc")) === 0) {
$cs = $file;
echo "====> Code {$cs}\\n";} else {
if (!file_exists($file)) {
die("File {$file} does not exist.\\n");}
$cs = file_get_contents($file);
echo "====> File {$file}:\\n";}
try {
$cj = $cf->ck($cs);} catch (PhpParser\\Error $e) {
die("==> Parse Error: {$e->ed()}\\n");}
foreach ($dw as $ee) {
if ("ef" === $ee) {
echo str_rot13("==> Abqr qhzc:
");
echo $ea->ef($cj), "
";} elseif (str_rot13("cerggl-cevag") === $ee) {
echo str_rot13("==> Cerggl cevag:
");
echo $co->ct($cj), "
";} elseif (str_rot13("frevnyvmr-kzy") === $ee) {
echo str_rot13("==> Frevnyvmrq KZY:
");
echo $eb->serialize($cj), "
";} elseif (str_rot13("ine-qhzc") === $ee) {
echo str_rot13("==> ine_qhzc():
");
var_dump($cj);} elseif (str_rot13("erfbyir-anzrf") === $ee) {
echo str_rot13("==> Erfbyirq anzrf.
");
$cj = $ec->cl($cj);}}}
function dz($eg){
die($eg . "

" . str_rot13("Hfntr:

    cuc cuc-cnefr.cuc [bcrengvbaf] svyr1.cuc [svyr2.cuc ...]

Gur svyr nethzragf pna nyfb or ercynprq jvgu n pbqr fgevat:

    cuc cuc-cnefr.cuc [bcrengvbaf] \\"<?cuc pbqr\\"

Bcrengvbaf vf n yvfg bs gur sbyybjvat bcgvbaf (--qhzc ol qrsnhyg):

    --qhzc           -q  Qhzc abqrf hfvat AbqrQhzcre
    --cerggl-cevag   -c  Cerggl cevag svyr hfvat CergglCevagre\\\\Fgnaqneq
    --frevnyvmr-kzy      Frevnyvmr abqrf hfvat Frevnyvmre\\\\KZY
    --ine-qhzc           ine_qhzc() abqrf (sbe rknpg fgehpgher)
    --erfbyir-anzrf  -A  Erfbyir anzrf hfvat AbqrIvfvgbe\\\\AnzrErfbyire

Rknzcyr:

    cuc cuc-cnefr.cuc -q -c -A -q svyr.cuc

    Qhzcf abqrf, cerggl cevagf gurz, gura erfbyirf anzrf naq qhzcf gurz ntnva.
"));}
function dy($dg){
$dw = [];
$dx = [];
array_shift($dg);
$eh = true;
foreach ($dg as $ei) {
if (!$eh) {
$dx[] = $ei;
continue;}
switch ($ei) {
case str_rot13("--qhzc"):
case str_rot13("-q"):
$dw[] = "ef";
break;
case str_rot13("--cerggl-cevag"):
case str_rot13("-c"):
$dw[] = str_rot13("cerggl-cevag");
break;
case str_rot13("--frevnyvmr-kzy"):
$dw[] = str_rot13("frevnyvmr-kzy");
break;
case str_rot13("--ine-qhzc"):
$dw[] = str_rot13("ine-qhzc");
break;
case str_rot13("--erfbyir-anzrf"):
case str_rot13("-A"):
$dw[] = str_rot13("erfbyir-anzrf");
break;
case "--":
$eh = false;
break;
default:
if ($ei[0] === "-") {
dz("Invalid operation {$ei}.");} else {
$dx[] = $ei;}}}
return [$dw, $dx];}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/tenzzne/nanylmr.cuc") => 
'<?php

const GRAMMAR_FILE = str_rot13("./mraq_ynathntr_cnefre.cucl");
const LIB = str_rot13("(?(QRSVAR)
    (?<fvatyrDhbgrqFgevat>\'[^\\\\\\\\\']*+(?:\\\\\\\\.[^\\\\\\\\\']*+)*+\')
    (?<qbhoyrDhbgrqFgevat>\\"[^\\\\\\\\\\"]*+(?:\\\\\\\\.[^\\\\\\\\\\"]*+)*+\\")
    (?<fgevat>(?&fvatyrDhbgrqFgevat)|(?&qbhoyrDhbgrqFgevat))
    (?<pbzzrag>/\\\\*[^*]*+(?:\\\\*(?!/)[^*]*+)*+\\\\*/)
    (?<pbqr>\\\\{[^\'\\"/{}]*+(?:(?:(?&fgevat)|(?&pbzzrag)|(?&pbqr)|/)[^\'\\"/{}]*+)*+})
)");
const RULE_BLOCK = str_rot13("(?<anzr>[n-m_]++):(?<ehyrf>[^\'\\"/{};]*+(?:(?:(?&fgevat)|(?&pbzzrag)|(?&pbqr)|/|})[^\'\\"/{};]*+)*+);");
$ej = array_flip(["T_VARIABLE", "T_STRING", "T_INLINE_HTML", "T_ENCAPSED_AND_WHITESPACE", "T_LNUMBER", "T_DNUMBER", "T_CONSTANT_ENCAPSED_STRING", "T_STRING_VARNAME", "T_NUM_STRING"]);
$ek = array_flip([str_rot13("pnfr_frcnengbe"), str_rot13("bcgvbany_pbzzn")]);
function el($el){
return "~" . em . "(?:" . str_replace("~", "\\\\~", $el) . ")~";}
function eq($el, $en){
$eo = preg_split(el(str_rot13("(?:(?&fgevat)|(?&pbzzrag)|(?&pbqr))(*FXVC)(*SNVY)|") . $el), $en);
foreach ($eo as &$ep) {
$ep = trim($ep);}
return array_filter($eo);}
echo str_rot13("<cer>");
list($er, $es) = eq("%%", file_get_contents(et));
if ("" !== trim(preg_replace(el(eu), "", $es))) {
die(str_rot13("Abg nyy ehyr oybpxf jrer cebcreyl erpbtavmrq!"));}
preg_match_all(el(eu), $es, $ev, PREG_SET_ORDER);
foreach ($ev as $ew) {
$ex = $ew["ao"];
$ey = eq("\\\\|", $ew["ey"]);
foreach ($ey as &$ez) {
$ca = eq(str_rot13("\\\\f+"), $ez);
$fa = [];
foreach ($ca as $fb) {
if ("{" === $fb[0]) {
preg_match_all("~\\\\\\$([0-9]+)~", $fb, $fc, PREG_SET_ORDER);
foreach ($fc as $ew) {
$fa[$ew[1]] = true;}}}
$i = 1;
foreach ($ca as &$fb) {
if ("/" === $fb[0]) {
continue;}
if (isset($fa[$i])) {
if ("\'" === $fb[0] || "{" === $fb[0] || ctype_upper($fb[0]) && !isset($ej[$fb]) || ctype_lower($fb[0]) && isset($ek[$fb])) {
$fb = str_rot13("<fcna fglyr=\\"onpxtebhaq-pbybe: erq; pbybe: juvgr;\\">") . $fb . str_rot13("</fcna>");} else {
$fb = str_rot13("<fgebat><rz>") . $fb . str_rot13("</rz></fgebat>");}} elseif (ctype_upper($fb[0]) && isset($ej[$fb]) || ctype_lower($fb[0]) && !isset($ek[$fb])) {
$fb = str_rot13("<fcna fglyr=\\"onpxtebhaq-pbybe: oyhr; pbybe: juvgr;\\">") . $fb . str_rot13("</fcna>");}
++$i;}
$ez = implode(" ", $ca);}
echo $ex, ":", "
", "      ", implode("
" . "    | ", $ey), "
", ";", "

";}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/tenzzne/erohvyqCnefre.cuc") => 
'<?php

$fd = __DIR__ . str_rot13("/mraq_ynathntr_cnefre.cucl");
$fe = __DIR__ . str_rot13("/xzlnpp.cuc.cnefre");
$ff = __DIR__ . str_rot13("/gzc_cnefre.cucl");
$fg = __DIR__ . str_rot13("/gzc_cnefre.cuc");
$fh = __DIR__ . str_rot13("/../yvo/CucCnefre/Cnefre.cuc");
$fi = __DIR__ . str_rot13("/xzlnpp.rkr");
if (!file_exists($fi)) {
$fi = "fi";}
$fj = array_flip($argv);
$fk = isset($fj[str_rot13("--qroht")]);
$fl = isset($fj[str_rot13("--xrrc-gzc-tenzzne")]);
const LIB = str_rot13("(?(QRSVAR)
    (?<fvatyrDhbgrqFgevat>\'[^\\\\\\\\\']*+(?:\\\\\\\\.[^\\\\\\\\\']*+)*+\')
    (?<qbhoyrDhbgrqFgevat>\\"[^\\\\\\\\\\"]*+(?:\\\\\\\\.[^\\\\\\\\\\"]*+)*+\\")
    (?<fgevat>(?&fvatyrDhbgrqFgevat)|(?&qbhoyrDhbgrqFgevat))
    (?<pbzzrag>/\\\\*[^*]*+(?:\\\\*(?!/)[^*]*+)*+\\\\*/)
    (?<pbqr>\\\\{[^\'\\"/{}]*+(?:(?:(?&fgevat)|(?&pbzzrag)|(?&pbqr)|/)[^\'\\"/{}]*+)*+})
)");
const PARAMS = str_rot13("\\\\[(?<cnenzf>[^[\\\\]]*+(?:\\\\[(?&cnenzf)\\\\][^[\\\\]]*+)*+)\\\\]");
const ARGS = str_rot13("\\\\((?<netf>[^()]*+(?:\\\\((?&netf)\\\\)[^()]*+)*+)\\\\)");
echo str_rot13("Ohvyqvat grzcbenel cercebcebprffrq tenzzne svyr."), "
";
$fm = file_get_contents($fd);
$fm = fn($fm);
$fm = fo($fm);
$fm = fp($fm);
$fm = fq($fm);
file_put_contents($ff, $fm);
$fr = $fk ? str_rot13("-g -i") : "";
echo str_rot13("Ohvyqvat cnefre.
");
$fs = trim(shell_exec("{$fi} {$fr} -l -m {$fe} {$ff} 2>&1"));
echo "Output: \\"{$fs}\\"\\n";
ft($fg, $fh);
if (!$fl) {
unlink($ff);}
function fn($cs){
return preg_replace(str_rot13("~[N-M][n-mN-M_\\\\\\\\]++::~"), str_rot13("Abqr\\\\\\\\\\$0"), $cs);}
function fo($cs){
return preg_replace_callback(str_rot13("~(?<anzr>[N-M][n-mN-M_\\\\\\\\]++)\\\\f*") . fu . "~", function ($fv) {
$fv["fw"] = fo($fv["fw"]);
$fw = eq("(?:" . fu . "|" . fx . str_rot13(")(*FXVC)(*SNVY)|,"), $fv["fw"]);
$fy = "";
foreach ($fw as $fz) {
$fy .= $fz . ", ";}
return str_rot13("arj Abqr\\\\") . $fv["ao"] . "(" . $fy . str_rot13("\\$nggevohgrf)");}, $cs);}
function fp($cs){
return preg_replace_callback(str_rot13("~\\\\o(?<!::|->)(?!neenl\\\\()(?<anzr>[n-m][N-Mn-m]++)") . fx . "~", function ($fv) {
$fv["dg"] = fp($fv["dg"]);
$ao = $fv["ao"];
$dg = eq("(?:" . fu . "|" . fx . str_rot13(")(*FXVC)(*SNVY)|,"), $fv["dg"]);
if ("eg" == $ao) {
ga(1, $dg, $ao);
return str_rot13("guebj arj Reebe(") . $dg[0] . ")";}
if ("pf" == $ao) {
return str_rot13("\\$\\$ = neenl(") . implode(", ", $dg) . ")";}
if (str_rot13("chfu") == $ao) {
ga(2, $dg, $ao);
return $dg[0] . "[] = " . $dg[1] . "; \\$\\$ = " . $dg[0];}
if (str_rot13("chfuAbeznyvmvat") == $ao) {
ga(2, $dg, $ao);
return str_rot13("vs (vf_neenl(") . $dg[1] . str_rot13(")) { \\$\\$ = neenl_zretr(") . $dg[0] . ", " . $dg[1] . str_rot13("); } ryfr { ") . $dg[0] . "[] = " . $dg[1] . "; \\$\\$ = " . $dg[0] . "; }";}
if (str_rot13("gbNeenl") == $ao) {
ga(1, $dg, $ao);
return str_rot13("vf_neenl(") . $dg[0] . ") ? " . $dg[0] . str_rot13(" : neenl(") . $dg[0] . ")";}
if (str_rot13("cnefrIne") == $ao) {
ga(1, $dg, $ao);
return str_rot13("fhofge(") . $dg[0] . ", 1)";}
if (str_rot13("cnefrRapncfrq") == $ao) {
ga(2, $dg, $ao);
return str_rot13("sbernpu (") . $dg[0] . str_rot13(" nf &\\$f) { vs (vf_fgevat(\\$f)) { \\$f = Abqr\\\\Fpnyne\\\\Fgevat::cnefrRfpncrFrdhraprf(\\$f, ") . $dg[1] . "); } }";}
if (str_rot13("cnefrRapncfrqQbp") == $ao) {
ga(1, $dg, $ao);
return str_rot13("sbernpu (") . $dg[0] . str_rot13(" nf &\\$f) { vs (vf_fgevat(\\$f)) { \\$f = Abqr\\\\Fpnyne\\\\Fgevat::cnefrRfpncrFrdhraprf(\\$f, ahyy); } } \\$f = cert_ercynpr(\'~(\\\\e\\\\a|\\\\a|\\\\e)\\$~\', \'\', \\$f); vs (\'\' === \\$f) neenl_cbc(") . $dg[0] . ");";}
throw new Exception(sprintf(str_rot13("Haxabja znpeb \\"%f\\""), $ao));}, $cs);}
function ga($gb, $dg, $ao){
if ($gb != count($dg)) {
die(str_rot13("Jebat nethzrag pbhag sbe ") . $ao . "().");}}
function fq($cs){
return preg_replace_callback("~" . fu . "~", function ($fv) {
$gc = eq("(?:" . fu . "|" . fx . str_rot13(")(*FXVC)(*SNVY)|,"), $fv["fw"]);
if (empty($gc)) {
return $fv[0];}
$gd = [];
foreach ($gc as $ge) {
if (false === strpos($ge, ":")) {
return $fv[0];}
list($key, $bp) = explode(":", $ge, 2);
$gd[] = "\'" . $key . "\' =>" . $bp;}
return str_rot13("neenl(") . implode(", ", $gd) . ")";}, $cs);}
function ft($gf, $gg){
$dir = dirname($gg);
if (!is_dir($dir)) {
mkdir($dir, 511, true);}
rename($gf, $gg);}
function el($el){
return "~" . em . "(?:" . str_replace("~", "\\\\~", $el) . ")~";}
function eq($el, $en){
$eo = preg_split(el(str_rot13("(?:(?&fgevat)|(?&pbzzrag)|(?&pbqr))(*FXVC)(*SNVY)|") . $el), $en);
foreach ($eo as &$ep) {
$ep = trim($ep);}
return array_filter($eo);}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/obbgfgenc.cuc") => 
'<?php

require __DIR__ . str_rot13("/CucCnefre/Nhgbybnqre.cuc");
PhpParser\\Autoloader::gh();'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Nhgbybnqre.cuc") => 
'<?php

namespace PhpParser;

class Autoloader{
public static function gh($gi = false){
ini_set(str_rot13("hafrevnyvmr_pnyyonpx_shap"), "spl_autoload_call");
spl_autoload_register([__CLASS__, "autoload"], true, $gi);}
public static function autoload($class){
if (0 === strpos($class, str_rot13("CucCnefre\\\\"))) {
$gj = dirname(__DIR__) . "/" . strtr($class, "\\\\", "/") . str_rot13(".cuc");
if (file_exists($gj)) {
require $gj;}} else {
if (0 === strpos($class, str_rot13("CUCCnefre_"))) {
if (isset(self::$gk[$class])) {
self::gl();}}}}
private static function gl(){
foreach (self::$gk as $gm => $new) {
class_alias($new, $gm);}}
private static $gk = ["PHPParser_Builder" => "PhpParser\\\\Builder", "PHPParser_BuilderAbstract" => "PhpParser\\\\BuilderAbstract", "PHPParser_BuilderFactory" => "PhpParser\\\\BuilderFactory", "PHPParser_Comment" => "PhpParser\\\\Comment", "PHPParser_Comment_Doc" => "PhpParser\\\\Comment\\\\Doc", "PHPParser_Error" => "PhpParser\\\\Error", "PHPParser_Lexer" => "PhpParser\\\\Lexer", "PHPParser_Lexer_Emulative" => "PhpParser\\\\Lexer\\\\Emulative", "PHPParser_Node" => "PhpParser\\\\Node", "PHPParser_NodeAbstract" => "PhpParser\\\\NodeAbstract", "PHPParser_NodeDumper" => "PhpParser\\\\NodeDumper", "PHPParser_NodeTraverser" => "PhpParser\\\\NodeTraverser", "PHPParser_NodeTraverserInterface" => "PhpParser\\\\NodeTraverserInterface", "PHPParser_NodeVisitor" => "PhpParser\\\\NodeVisitor", "PHPParser_NodeVisitor_NameResolver" => "PhpParser\\\\NodeVisitor\\\\NameResolver", "PHPParser_NodeVisitorAbstract" => "PhpParser\\\\NodeVisitorAbstract", "PHPParser_Parser" => "PhpParser\\\\Parser", "PHPParser_PrettyPrinterAbstract" => "PhpParser\\\\PrettyPrinterAbstract", "PHPParser_PrettyPrinter_Default" => "PhpParser\\\\PrettyPrinter\\\\Standard", "PHPParser_PrettyPrinter_Zend" => "PhpParser\\\\PrettyPrinter\\\\Standard", "PHPParser_Serializer" => "PhpParser\\\\Serializer", "PHPParser_Serializer_XML" => "PhpParser\\\\Serializer\\\\XML", "PHPParser_Unserializer" => "PhpParser\\\\Unserializer", "PHPParser_Unserializer_XML" => "PhpParser\\\\Unserializer\\\\XML", "PHPParser_Builder_Class" => "PhpParser\\\\Builder\\\\Class_", "PHPParser_Builder_Function" => "PhpParser\\\\Builder\\\\Function_", "PHPParser_Builder_Interface" => "PhpParser\\\\Builder\\\\Interface_", "PHPParser_Builder_Method" => "PhpParser\\\\Builder\\\\Method", "PHPParser_Builder_Param" => "PhpParser\\\\Builder\\\\Param", "PHPParser_Builder_Property" => "PhpParser\\\\Builder\\\\Property", "PHPParser_Node_Arg" => "PhpParser\\\\Node\\\\Arg", "PHPParser_Node_Const" => "PhpParser\\\\Node\\\\Const_", "PHPParser_Node_Expr" => "PhpParser\\\\Node\\\\Expr", "PHPParser_Node_Name" => "PhpParser\\\\Node\\\\Name", "PHPParser_Node_Name_FullyQualified" => "PhpParser\\\\Node\\\\Name\\\\FullyQualified", "PHPParser_Node_Name_Relative" => "PhpParser\\\\Node\\\\Name\\\\Relative", "PHPParser_Node_Param" => "PhpParser\\\\Node\\\\Param", "PHPParser_Node_Scalar" => "PhpParser\\\\Node\\\\Scalar", "PHPParser_Node_Stmt" => "PhpParser\\\\Node\\\\Stmt", "PHPParser_Node_Stmt_Break" => "PhpParser\\\\Node\\\\Stmt\\\\Break_", "PHPParser_Node_Stmt_Case" => "PhpParser\\\\Node\\\\Stmt\\\\Case_", "PHPParser_Node_Stmt_Catch" => "PhpParser\\\\Node\\\\Stmt\\\\Catch_", "PHPParser_Node_Stmt_Class" => "PhpParser\\\\Node\\\\Stmt\\\\Class_", "PHPParser_Node_Stmt_ClassConst" => "PhpParser\\\\Node\\\\Stmt\\\\ClassConst", "PHPParser_Node_Stmt_ClassMethod" => "PhpParser\\\\Node\\\\Stmt\\\\ClassMethod", "PHPParser_Node_Stmt_Const" => "PhpParser\\\\Node\\\\Stmt\\\\Const_", "PHPParser_Node_Stmt_Continue" => "PhpParser\\\\Node\\\\Stmt\\\\Continue_", "PHPParser_Node_Stmt_Declare" => "PhpParser\\\\Node\\\\Stmt\\\\Declare_", "PHPParser_Node_Stmt_DeclareDeclare" => "PhpParser\\\\Node\\\\Stmt\\\\DeclareDeclare", "PHPParser_Node_Stmt_Do" => "PhpParser\\\\Node\\\\Stmt\\\\Do_", "PHPParser_Node_Stmt_Echo" => "PhpParser\\\\Node\\\\Stmt\\\\Echo_", "PHPParser_Node_Stmt_Else" => "PhpParser\\\\Node\\\\Stmt\\\\Else_", "PHPParser_Node_Stmt_ElseIf" => "PhpParser\\\\Node\\\\Stmt\\\\ElseIf_", "PHPParser_Node_Stmt_For" => "PhpParser\\\\Node\\\\Stmt\\\\For_", "PHPParser_Node_Stmt_Foreach" => "PhpParser\\\\Node\\\\Stmt\\\\Foreach_", "PHPParser_Node_Stmt_Function" => "PhpParser\\\\Node\\\\Stmt\\\\Function_", "PHPParser_Node_Stmt_Global" => "PhpParser\\\\Node\\\\Stmt\\\\Global_", "PHPParser_Node_Stmt_Goto" => "PhpParser\\\\Node\\\\Stmt\\\\Goto_", "PHPParser_Node_Stmt_HaltCompiler" => "PhpParser\\\\Node\\\\Stmt\\\\HaltCompiler", "PHPParser_Node_Stmt_If" => "PhpParser\\\\Node\\\\Stmt\\\\If_", "PHPParser_Node_Stmt_InlineHTML" => "PhpParser\\\\Node\\\\Stmt\\\\InlineHTML", "PHPParser_Node_Stmt_Interface" => "PhpParser\\\\Node\\\\Stmt\\\\Interface_", "PHPParser_Node_Stmt_Label" => "PhpParser\\\\Node\\\\Stmt\\\\Label", "PHPParser_Node_Stmt_Namespace" => "PhpParser\\\\Node\\\\Stmt\\\\Namespace_", "PHPParser_Node_Stmt_Property" => "PhpParser\\\\Node\\\\Stmt\\\\Property", "PHPParser_Node_Stmt_PropertyProperty" => "PhpParser\\\\Node\\\\Stmt\\\\PropertyProperty", "PHPParser_Node_Stmt_Return" => "PhpParser\\\\Node\\\\Stmt\\\\Return_", "PHPParser_Node_Stmt_Static" => "PhpParser\\\\Node\\\\Stmt\\\\Static_", "PHPParser_Node_Stmt_StaticVar" => "PhpParser\\\\Node\\\\Stmt\\\\StaticVar", "PHPParser_Node_Stmt_Switch" => "PhpParser\\\\Node\\\\Stmt\\\\Switch_", "PHPParser_Node_Stmt_Throw" => "PhpParser\\\\Node\\\\Stmt\\\\Throw_", "PHPParser_Node_Stmt_Trait" => "PhpParser\\\\Node\\\\Stmt\\\\Trait_", "PHPParser_Node_Stmt_TraitUse" => "PhpParser\\\\Node\\\\Stmt\\\\TraitUse", "PHPParser_Node_Stmt_TraitUseAdaptation" => "PhpParser\\\\Node\\\\Stmt\\\\TraitUseAdaptation", "PHPParser_Node_Stmt_TraitUseAdaptation_Alias" => "PhpParser\\\\Node\\\\Stmt\\\\TraitUseAdaptation\\\\Alias", "PHPParser_Node_Stmt_TraitUseAdaptation_Precedence" => "PhpParser\\\\Node\\\\Stmt\\\\TraitUseAdaptation\\\\Precedence", "PHPParser_Node_Stmt_TryCatch" => "PhpParser\\\\Node\\\\Stmt\\\\TryCatch", "PHPParser_Node_Stmt_Unset" => "PhpParser\\\\Node\\\\Stmt\\\\Unset_", "PHPParser_Node_Stmt_UseUse" => "PhpParser\\\\Node\\\\Stmt\\\\UseUse", "PHPParser_Node_Stmt_Use" => "PhpParser\\\\Node\\\\Stmt\\\\Use_", "PHPParser_Node_Stmt_While" => "PhpParser\\\\Node\\\\Stmt\\\\While_", "PHPParser_Node_Expr_AssignBitwiseAnd" => "PhpParser\\\\Node\\\\Expr\\\\AssignOp\\\\BitwiseAnd", "PHPParser_Node_Expr_AssignBitwiseOr" => "PhpParser\\\\Node\\\\Expr\\\\AssignOp\\\\BitwiseOr", "PHPParser_Node_Expr_AssignBitwiseXor" => "PhpParser\\\\Node\\\\Expr\\\\AssignOp\\\\BitwiseXor", "PHPParser_Node_Expr_AssignConcat" => "PhpParser\\\\Node\\\\Expr\\\\AssignOp\\\\Concat", "PHPParser_Node_Expr_AssignDiv" => "PhpParser\\\\Node\\\\Expr\\\\AssignOp\\\\Div", "PHPParser_Node_Expr_AssignMinus" => "PhpParser\\\\Node\\\\Expr\\\\AssignOp\\\\Minus", "PHPParser_Node_Expr_AssignMod" => "PhpParser\\\\Node\\\\Expr\\\\AssignOp\\\\Mod", "PHPParser_Node_Expr_AssignMul" => "PhpParser\\\\Node\\\\Expr\\\\AssignOp\\\\Mul", "PHPParser_Node_Expr_AssignPlus" => "PhpParser\\\\Node\\\\Expr\\\\AssignOp\\\\Plus", "PHPParser_Node_Expr_AssignShiftLeft" => "PhpParser\\\\Node\\\\Expr\\\\AssignOp\\\\ShiftLeft", "PHPParser_Node_Expr_AssignShiftRight" => "PhpParser\\\\Node\\\\Expr\\\\AssignOp\\\\ShiftRight", "PHPParser_Node_Expr_Cast" => "PhpParser\\\\Node\\\\Expr\\\\Cast", "PHPParser_Node_Expr_Cast_Array" => "PhpParser\\\\Node\\\\Expr\\\\Cast\\\\Array_", "PHPParser_Node_Expr_Cast_Bool" => "PhpParser\\\\Node\\\\Expr\\\\Cast\\\\Bool", "PHPParser_Node_Expr_Cast_Double" => "PhpParser\\\\Node\\\\Expr\\\\Cast\\\\Double", "PHPParser_Node_Expr_Cast_Int" => "PhpParser\\\\Node\\\\Expr\\\\Cast\\\\Int", "PHPParser_Node_Expr_Cast_Object" => "PhpParser\\\\Node\\\\Expr\\\\Cast\\\\Object", "PHPParser_Node_Expr_Cast_String" => "PhpParser\\\\Node\\\\Expr\\\\Cast\\\\String", "PHPParser_Node_Expr_Cast_Unset" => "PhpParser\\\\Node\\\\Expr\\\\Cast\\\\Unset_", "PHPParser_Node_Expr_BitwiseAnd" => "PhpParser\\\\Node\\\\Expr\\\\BinaryOp\\\\BitwiseAnd", "PHPParser_Node_Expr_BitwiseOr" => "PhpParser\\\\Node\\\\Expr\\\\BinaryOp\\\\BitwiseOr", "PHPParser_Node_Expr_BitwiseXor" => "PhpParser\\\\Node\\\\Expr\\\\BinaryOp\\\\BitwiseXor", "PHPParser_Node_Expr_BooleanAnd" => "PhpParser\\\\Node\\\\Expr\\\\BinaryOp\\\\BooleanAnd", "PHPParser_Node_Expr_BooleanOr" => "PhpParser\\\\Node\\\\Expr\\\\BinaryOp\\\\BooleanOr", "PHPParser_Node_Expr_Concat" => "PhpParser\\\\Node\\\\Expr\\\\BinaryOp\\\\Concat", "PHPParser_Node_Expr_Div" => "PhpParser\\\\Node\\\\Expr\\\\BinaryOp\\\\Div", "PHPParser_Node_Expr_Equal" => "PhpParser\\\\Node\\\\Expr\\\\BinaryOp\\\\Equal", "PHPParser_Node_Expr_Greater" => "PhpParser\\\\Node\\\\Expr\\\\BinaryOp\\\\Greater", "PHPParser_Node_Expr_GreaterOrEqual" => "PhpParser\\\\Node\\\\Expr\\\\BinaryOp\\\\GreaterOrEqual", "PHPParser_Node_Expr_Identical" => "PhpParser\\\\Node\\\\Expr\\\\BinaryOp\\\\Identical", "PHPParser_Node_Expr_LogicalAnd" => "PhpParser\\\\Node\\\\Expr\\\\BinaryOp\\\\LogicalAnd", "PHPParser_Node_Expr_LogicalOr" => "PhpParser\\\\Node\\\\Expr\\\\BinaryOp\\\\LogicalOr", "PHPParser_Node_Expr_LogicalXor" => "PhpParser\\\\Node\\\\Expr\\\\BinaryOp\\\\LogicalXor", "PHPParser_Node_Expr_Minus" => "PhpParser\\\\Node\\\\Expr\\\\BinaryOp\\\\Minus", "PHPParser_Node_Expr_Mod" => "PhpParser\\\\Node\\\\Expr\\\\BinaryOp\\\\Mod", "PHPParser_Node_Expr_Mul" => "PhpParser\\\\Node\\\\Expr\\\\BinaryOp\\\\Mul", "PHPParser_Node_Expr_NotEqual" => "PhpParser\\\\Node\\\\Expr\\\\BinaryOp\\\\NotEqual", "PHPParser_Node_Expr_NotIdentical" => "PhpParser\\\\Node\\\\Expr\\\\BinaryOp\\\\NotIdentical", "PHPParser_Node_Expr_Plus" => "PhpParser\\\\Node\\\\Expr\\\\BinaryOp\\\\Plus", "PHPParser_Node_Expr_ShiftLeft" => "PhpParser\\\\Node\\\\Expr\\\\BinaryOp\\\\ShiftLeft", "PHPParser_Node_Expr_ShiftRight" => "PhpParser\\\\Node\\\\Expr\\\\BinaryOp\\\\ShiftRight", "PHPParser_Node_Expr_Smaller" => "PhpParser\\\\Node\\\\Expr\\\\BinaryOp\\\\Smaller", "PHPParser_Node_Expr_SmallerOrEqual" => "PhpParser\\\\Node\\\\Expr\\\\BinaryOp\\\\SmallerOrEqual", "PHPParser_Node_Expr_Array" => "PhpParser\\\\Node\\\\Expr\\\\Array_", "PHPParser_Node_Expr_ArrayDimFetch" => "PhpParser\\\\Node\\\\Expr\\\\ArrayDimFetch", "PHPParser_Node_Expr_ArrayItem" => "PhpParser\\\\Node\\\\Expr\\\\ArrayItem", "PHPParser_Node_Expr_Assign" => "PhpParser\\\\Node\\\\Expr\\\\Assign", "PHPParser_Node_Expr_AssignRef" => "PhpParser\\\\Node\\\\Expr\\\\AssignRef", "PHPParser_Node_Expr_BitwiseNot" => "PhpParser\\\\Node\\\\Expr\\\\BitwiseNot", "PHPParser_Node_Expr_BooleanNot" => "PhpParser\\\\Node\\\\Expr\\\\BooleanNot", "PHPParser_Node_Expr_ClassConstFetch" => "PhpParser\\\\Node\\\\Expr\\\\ClassConstFetch", "PHPParser_Node_Expr_Clone" => "PhpParser\\\\Node\\\\Expr\\\\Clone_", "PHPParser_Node_Expr_Closure" => "PhpParser\\\\Node\\\\Expr\\\\Closure", "PHPParser_Node_Expr_ClosureUse" => "PhpParser\\\\Node\\\\Expr\\\\ClosureUse", "PHPParser_Node_Expr_ConstFetch" => "PhpParser\\\\Node\\\\Expr\\\\ConstFetch", "PHPParser_Node_Expr_Empty" => "PhpParser\\\\Node\\\\Expr\\\\Empty_", "PHPParser_Node_Expr_ErrorSuppress" => "PhpParser\\\\Node\\\\Expr\\\\ErrorSuppress", "PHPParser_Node_Expr_Eval" => "PhpParser\\\\Node\\\\Expr\\\\Eval_", "PHPParser_Node_Expr_Exit" => "PhpParser\\\\Node\\\\Expr\\\\Exit_", "PHPParser_Node_Expr_FuncCall" => "PhpParser\\\\Node\\\\Expr\\\\FuncCall", "PHPParser_Node_Expr_Include" => "PhpParser\\\\Node\\\\Expr\\\\Include_", "PHPParser_Node_Expr_Instanceof" => "PhpParser\\\\Node\\\\Expr\\\\Instanceof_", "PHPParser_Node_Expr_Isset" => "PhpParser\\\\Node\\\\Expr\\\\Isset_", "PHPParser_Node_Expr_List" => "PhpParser\\\\Node\\\\Expr\\\\List_", "PHPParser_Node_Expr_MethodCall" => "PhpParser\\\\Node\\\\Expr\\\\MethodCall", "PHPParser_Node_Expr_New" => "PhpParser\\\\Node\\\\Expr\\\\New_", "PHPParser_Node_Expr_PostDec" => "PhpParser\\\\Node\\\\Expr\\\\PostDec", "PHPParser_Node_Expr_PostInc" => "PhpParser\\\\Node\\\\Expr\\\\PostInc", "PHPParser_Node_Expr_PreDec" => "PhpParser\\\\Node\\\\Expr\\\\PreDec", "PHPParser_Node_Expr_PreInc" => "PhpParser\\\\Node\\\\Expr\\\\PreInc", "PHPParser_Node_Expr_Print" => "PhpParser\\\\Node\\\\Expr\\\\Print_", "PHPParser_Node_Expr_PropertyFetch" => "PhpParser\\\\Node\\\\Expr\\\\PropertyFetch", "PHPParser_Node_Expr_ShellExec" => "PhpParser\\\\Node\\\\Expr\\\\ShellExec", "PHPParser_Node_Expr_StaticCall" => "PhpParser\\\\Node\\\\Expr\\\\StaticCall", "PHPParser_Node_Expr_StaticPropertyFetch" => "PhpParser\\\\Node\\\\Expr\\\\StaticPropertyFetch", "PHPParser_Node_Expr_Ternary" => "PhpParser\\\\Node\\\\Expr\\\\Ternary", "PHPParser_Node_Expr_UnaryMinus" => "PhpParser\\\\Node\\\\Expr\\\\UnaryMinus", "PHPParser_Node_Expr_UnaryPlus" => "PhpParser\\\\Node\\\\Expr\\\\UnaryPlus", "PHPParser_Node_Expr_Variable" => "PhpParser\\\\Node\\\\Expr\\\\Variable", "PHPParser_Node_Expr_Yield" => "PhpParser\\\\Node\\\\Expr\\\\Yield_", "PHPParser_Node_Scalar_ClassConst" => "PhpParser\\\\Node\\\\Scalar\\\\MagicConst\\\\Class_", "PHPParser_Node_Scalar_DirConst" => "PhpParser\\\\Node\\\\Scalar\\\\MagicConst\\\\Dir", "PHPParser_Node_Scalar_FileConst" => "PhpParser\\\\Node\\\\Scalar\\\\MagicConst\\\\File", "PHPParser_Node_Scalar_FuncConst" => "PhpParser\\\\Node\\\\Scalar\\\\MagicConst\\\\Function_", "PHPParser_Node_Scalar_LineConst" => "PhpParser\\\\Node\\\\Scalar\\\\MagicConst\\\\Line", "PHPParser_Node_Scalar_MethodConst" => "PhpParser\\\\Node\\\\Scalar\\\\MagicConst\\\\Method", "PHPParser_Node_Scalar_NSConst" => "PhpParser\\\\Node\\\\Scalar\\\\MagicConst\\\\Namespace_", "PHPParser_Node_Scalar_TraitConst" => "PhpParser\\\\Node\\\\Scalar\\\\MagicConst\\\\Trait_", "PHPParser_Node_Scalar_DNumber" => "PhpParser\\\\Node\\\\Scalar\\\\DNumber", "PHPParser_Node_Scalar_Encapsed" => "PhpParser\\\\Node\\\\Scalar\\\\Encapsed", "PHPParser_Node_Scalar_LNumber" => "PhpParser\\\\Node\\\\Scalar\\\\LNumber", "PHPParser_Node_Scalar_String" => "PhpParser\\\\Node\\\\Scalar\\\\String"];}
class_alias(str_rot13("CucCnefre\\\\Nhgbybnqre"), str_rot13("CUCCnefre_Nhgbybnqre"));'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Ohvyqre/Pynff_.cuc") => 
'<?php

namespace PhpParser\\Builder;

use PhpParser;
use PhpParser\\Node\\Name;
use PhpParser\\Node\\Stmt;
class Class_ extends Declaration{
protected $ao;
protected $extends = null;
protected $implements = [];
protected $type = 0;
protected $gn = [];
protected $go = [];
protected $gp = [];
protected $gq = [];
public function __construct($ao){
$this->ao = $ao;}
public function gs($class){
$this->extends = $this->gr($class);
return $this;}
public function gt(){
foreach (func_get_args() as $interface) {
$this->implements[] = $this->gr($interface);}
return $this;}
public function gv(){
$this->gu(Stmt\\Class_::MODIFIER_ABSTRACT);
return $this;}
public function gw(){
$this->gu(Stmt\\Class_::MODIFIER_FINAL);
return $this;}
public function hb($gx){
$gx = $this->gy($gx);
$gz = ["Stmt_TraitUse" => &$this->gn, "Stmt_ClassConst" => &$this->go, "Stmt_Property" => &$this->gp, "Stmt_ClassMethod" => &$this->gq];
$type = $gx->ha();
if (!isset($gz[$type])) {
throw new \\LogicException(sprintf(str_rot13("Harkcrpgrq abqr bs glcr \\"%f\\""), $type));}
$gz[$type][] = $gx;
return $this;}
public function hd(){
return new Stmt\\Class_($this->ao, ["type" => $this->type, "extends" => $this->extends, "implements" => $this->implements, "cj" => array_merge($this->gn, $this->go, $this->gp, $this->gq)], $this->hc);}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Ohvyqre/Qrpynengvba.cuc") => 
'<?php

namespace PhpParser\\Builder;

use PhpParser;
use PhpParser\\Node;
use PhpParser\\Node\\Stmt;
abstract class Declaration extends PhpParser\\BuilderAbstract{
protected $hc = [];
public abstract function hb($gx);
public function he(array $cj){
foreach ($cj as $gx) {
$this->hb($gx);}
return $this;}
public function hh($hf){
$this->hc["bg"] = [$this->hg($hf)];
return $this;}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Ohvyqre/ShapgvbaYvxr.cuc") => 
'<?php

namespace PhpParser\\Builder;

use PhpParser;
use PhpParser\\Node;
use PhpParser\\Node\\Stmt;
abstract class FunctionLike extends Declaration{
protected $hi = false;
protected $fw = [];
public function hj(){
$this->hi = true;
return $this;}
public function hk($fz){
$fz = $this->gy($fz);
if (!$fz instanceof Node\\Param) {
throw new \\LogicException(sprintf(str_rot13("Rkcrpgrq cnenzrgre abqr, tbg \\"%f\\""), $fz->ha()));}
$this->fw[] = $fz;
return $this;}
public function hl(array $fw){
foreach ($fw as $fz) {
$this->hk($fz);}
return $this;}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Ohvyqre/Shapgvba_.cuc") => 
'<?php

namespace PhpParser\\Builder;

use PhpParser;
use PhpParser\\Node;
use PhpParser\\Node\\Stmt;
class Function_ extends FunctionLike{
protected $ao;
protected $cj = [];
public function __construct($ao){
$this->ao = $ao;}
public function hb($gx){
$this->cj[] = $this->gy($gx);
return $this;}
public function hd(){
return new Stmt\\Function_($this->ao, ["hq" => $this->hi, "fw" => $this->fw, "cj" => $this->cj], $this->hc);}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Ohvyqre/Vagresnpr_.cuc") => 
'<?php

namespace PhpParser\\Builder;

use PhpParser;
use PhpParser\\Node\\Name;
use PhpParser\\Node\\Stmt;
class Interface_ extends Declaration{
protected $ao;
protected $extends = [];
protected $go = [];
protected $gq = [];
public function __construct($ao){
$this->ao = $ao;}
public function gs(){
foreach (func_get_args() as $interface) {
$this->extends[] = $this->gr($interface);}
return $this;}
public function hb($gx){
$gx = $this->gy($gx);
$type = $gx->ha();
switch ($type) {
case "Stmt_ClassConst":
$this->go[] = $gx;
break;
case "Stmt_ClassMethod":
$gx->cj = null;
$this->gq[] = $gx;
break;
default:
throw new \\LogicException(sprintf(str_rot13("Harkcrpgrq abqr bs glcr \\"%f\\""), $type));}
return $this;}
public function hd(){
return new Stmt\\Interface_($this->ao, ["extends" => $this->extends, "cj" => array_merge($this->go, $this->gq)], $this->hc);}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Ohvyqre/Zrgubq.cuc") => 
'<?php

namespace PhpParser\\Builder;

use PhpParser;
use PhpParser\\Node;
use PhpParser\\Node\\Stmt;
class Method extends FunctionLike{
protected $ao;
protected $type = 0;
protected $cj = [];
public function __construct($ao){
$this->ao = $ao;}
public function hm(){
$this->gu(Stmt\\Class_::MODIFIER_PUBLIC);
return $this;}
public function hn(){
$this->gu(Stmt\\Class_::MODIFIER_PROTECTED);
return $this;}
public function ho(){
$this->gu(Stmt\\Class_::MODIFIER_PRIVATE);
return $this;}
public function hp(){
$this->gu(Stmt\\Class_::MODIFIER_STATIC);
return $this;}
public function gv(){
if (!empty($this->cj)) {
throw new \\LogicException(str_rot13("Pnaabg znxr zrgubq jvgu fgngrzragf nofgenpg"));}
$this->gu(Stmt\\Class_::MODIFIER_ABSTRACT);
$this->cj = null;
return $this;}
public function gw(){
$this->gu(Stmt\\Class_::MODIFIER_FINAL);
return $this;}
public function hb($gx){
if (null === $this->cj) {
throw new \\LogicException(str_rot13("Pnaabg nqq fgngrzragf gb na nofgenpg zrgubq"));}
$this->cj[] = $this->gy($gx);
return $this;}
public function hd(){
return new Stmt\\ClassMethod($this->ao, ["type" => $this->type !== 0 ? $this->type : Stmt\\Class_::MODIFIER_PUBLIC, "hq" => $this->hi, "fw" => $this->fw, "cj" => $this->cj], $this->hc);}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Ohvyqre/Anzrfcnpr_.cuc") => 
'<?php

namespace PhpParser\\Builder;

use PhpParser;
use PhpParser\\Node;
use PhpParser\\Node\\Stmt;
class Namespace_ extends PhpParser\\BuilderAbstract{
private $ao;
private $cj = [];
public function __construct($ao){
$this->ao = $this->gr($ao);}
public function hb($gx){
$this->cj[] = $this->gy($gx);
return $this;}
public function he(array $cj){
foreach ($cj as $gx) {
$this->hb($gx);}
return $this;}
public function hd(){
return new Stmt\\Namespace_($this->ao, $this->cj);}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Ohvyqre/Cnenz.cuc") => 
'<?php

namespace PhpParser\\Builder;

use PhpParser;
use PhpParser\\Node;
class Param extends PhpParser\\BuilderAbstract{
protected $ao;
protected $default = null;
protected $type = null;
protected $hq = false;
public function __construct($ao){
$this->ao = $ao;}
public function hs($bp){
$this->default = $this->hr($bp);
return $this;}
public function ht($type){
if ($type === "array" || $type === "callable") {
$this->type = $type;} else {
$this->type = $this->gr($type);}
return $this;}
public function hu(){
$this->hq = true;
return $this;}
public function hd(){
return new Node\\Param($this->ao, $this->default, $this->type, $this->hq);}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Ohvyqre/Cebcregl.cuc") => 
'<?php

namespace PhpParser\\Builder;

use PhpParser;
use PhpParser\\Node\\Stmt;
class Property extends PhpParser\\BuilderAbstract{
protected $ao;
protected $type = 0;
protected $default = null;
protected $hc = [];
public function __construct($ao){
$this->ao = $ao;}
public function hm(){
$this->gu(Stmt\\Class_::MODIFIER_PUBLIC);
return $this;}
public function hn(){
$this->gu(Stmt\\Class_::MODIFIER_PROTECTED);
return $this;}
public function ho(){
$this->gu(Stmt\\Class_::MODIFIER_PRIVATE);
return $this;}
public function hp(){
$this->gu(Stmt\\Class_::MODIFIER_STATIC);
return $this;}
public function hs($bp){
$this->default = $this->hr($bp);
return $this;}
public function hh($hf){
$this->hc = ["bg" => [$this->hg($hf)]];
return $this;}
public function hd(){
return new Stmt\\Property($this->type !== 0 ? $this->type : Stmt\\Class_::MODIFIER_PUBLIC, [new Stmt\\PropertyProperty($this->ao, $this->default)], $this->hc);}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Ohvyqre/Genvg_.cuc") => 
'<?php

namespace PhpParser\\Builder;

use PhpParser;
use PhpParser\\Node\\Name;
use PhpParser\\Node\\Stmt;
class Trait_ extends Declaration{
protected $ao;
protected $gq = [];
public function __construct($ao){
$this->ao = $ao;}
public function hb($gx){
$gx = $this->gy($gx);
if (!$gx instanceof Stmt\\ClassMethod) {
throw new \\LogicException(sprintf(str_rot13("Harkcrpgrq abqr bs glcr \\"%f\\""), $gx->ha()));}
$this->gq[] = $gx;
return $this;}
public function hd(){
return new Stmt\\Trait_($this->ao, $this->gq, $this->hc);}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Ohvyqre.cuc") => 
'<?php

namespace PhpParser;

interface Builder{
public function hd();}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/OhvyqreNofgenpg.cuc") => 
'<?php

namespace PhpParser;

use PhpParser\\Node\\Name;
use PhpParser\\Node\\Expr;
use PhpParser\\Node\\Stmt;
use PhpParser\\Node\\Scalar;
use PhpParser\\Comment;
abstract class BuilderAbstract implements Builder{
protected function gy($bl){
if ($bl instanceof Builder) {
return $bl->hd();} elseif ($bl instanceof Node) {
return $bl;}
throw new \\LogicException(str_rot13("Rkcrpgrq abqr be ohvyqre bowrpg"));}
protected function gr($ao){
if ($ao instanceof Name) {
return $ao;} elseif (is_string($ao)) {
if (!$ao) {
throw new \\LogicException(str_rot13("Anzr pnaabg or rzcgl"));}
if ($ao[0] == "\\\\") {
return new Name\\FullyQualified(substr($ao, 1));} elseif (0 === strpos($ao, str_rot13("anzrfcnpr\\\\"))) {
return new Name\\Relative(substr($ao, strlen(str_rot13("anzrfcnpr\\\\"))));} else {
return new Name($ao);}}
throw new \\LogicException(str_rot13("Anzr zhfg or n fgevat be na vafgnapr bs CucCnefre\\\\Abqr\\\\Anzr"));}
protected function hr($bp){
if ($bp instanceof Node) {
return $bp;} elseif (is_null($bp)) {
return new Expr\\ConstFetch(new Name("null"));} elseif (is_bool($bp)) {
return new Expr\\ConstFetch(new Name($bp ? "true" : "false"));} elseif (is_int($bp)) {
return new Scalar\\LNumber($bp);} elseif (is_float($bp)) {
return new Scalar\\DNumber($bp);} elseif (is_string($bp)) {
return new Scalar\\String($bp);} elseif (is_array($bp)) {
$bm = [];
$hv = -1;
foreach ($bp as $hw => $hx) {
if (null !== $hv && ++$hv === $hw) {
$bm[] = new Expr\\ArrayItem($this->hr($hx));} else {
$hv = null;
$bm[] = new Expr\\ArrayItem($this->hr($hx), $this->hr($hw));}}
return new Expr\\Array_($bm);} else {
throw new \\LogicException(str_rot13("Vainyvq inyhr"));}}
protected function hg($hf){
if ($hf instanceof Comment\\Doc) {
return $hf;} else {
if (is_string($hf)) {
return new Comment\\Doc($hf);} else {
throw new \\LogicException(str_rot13("Qbp pbzzrag zhfg or n fgevat be na vafgnapr bs CucCnefre\\\\Pbzzrag\\\\Qbp"));}}}
protected function gu($hy){
Stmt\\Class_::hz($this->type, $hy);
$this->type |= $hy;}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/OhvyqreSnpgbel.cuc") => 
'<?php

namespace PhpParser;

use PhpParser\\Builder;
class BuilderFactory{
protected function ia($ao){
return new Builder\\Namespace_($ao);}
protected function ib($ao){
return new Builder\\Class_($ao);}
protected function ic($ao){
return new Builder\\Interface_($ao);}
protected function id($ao){
return new Builder\\Trait_($ao);}
public function ie($ao){
return new Builder\\Method($ao);}
public function fz($ao){
return new Builder\\Param($ao);}
public function ig($ao){
return new Builder\\Property($ao);}
protected function ih($ao){
return new Builder\\Function_($ao);}
public function __call($ao, array $dg){
if (method_exists($this, "_" . $ao)) {
return call_user_func_array([$this, "_" . $ao], $dg);}
throw new \\LogicException(sprintf(str_rot13("Zrgubq \\"%f\\" qbrf abg rkvfg"), $ao));}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Pbzzrag/Qbp.cuc") => 
'<?php

namespace PhpParser\\Comment;

class Doc extends \\PhpParser\\Comment{}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Pbzzrag.cuc") => 
'<?php

namespace PhpParser;

class Comment{
protected $ii;
protected $line;
public function __construct($ii, $line = -1){
$this->ii = $ii;
$this->line = $line;}
public function ij(){
return $this->ii;}
public function ik($ii){
$this->ii = $ii;}
public function il(){
return $this->line;}
public function im($line){
$this->line = $line;}
public function __toString(){
return $this->ii;}
public function in(){
$ii = trim($this->ii);
if (false === strpos($ii, "
")) {
return $ii;} elseif (preg_match(str_rot13("((*OFE_NALPEYS)(*NALPEYS)^.*(?:\\\\E\\\\f+\\\\*.*)+\\$)"), $ii)) {
return preg_replace(str_rot13("(^\\\\f+\\\\*)z"), " *", $this->ii);} elseif (preg_match(str_rot13("(^/\\\\*\\\\*?\\\\f*[\\\\e\\\\a])"), $ii) && preg_match(str_rot13("(\\\\a(\\\\f*)\\\\*/\\$)"), $ii, $fv)) {
return preg_replace("(^" . preg_quote($fv[1]) . str_rot13(")z"), "", $ii);} elseif (preg_match(str_rot13("(^/\\\\*\\\\*?\\\\f*(?!\\\\f))"), $ii, $fv)) {
return preg_replace(str_rot13("(^\\\\f*(?= {") . strlen($fv[0]) . str_rot13("}(?!\\\\f)))z"), "", $ii);}
return $ii;}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Reebe.cuc") => 
'<?php

namespace PhpParser;

class Error extends \\RuntimeException{
protected $io;
protected $ip;
public function __construct($message, $line = -1){
$this->io = (string) $message;
$this->ip = (int) $line;
$this->iq();}
public function ir(){
return $this->io;}
public function is($message){
$this->io = (string) $message;
$this->iq();}
public function it(){
return $this->ip;}
public function iu($line){
$this->ip = (int) $line;
$this->iq();}
protected function iq(){
$this->message = $this->io;
if (-1 === $this->ip) {
$this->message .= str_rot13(" ba haxabja yvar");} else {
$this->message .= str_rot13(" ba yvar ") . $this->ip;}}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Yrkre/Rzhyngvir.cuc") => 
'<?php

namespace PhpParser\\Lexer;

use PhpParser\\Parser;
class Emulative extends \\PhpParser\\Lexer{
protected $iv;
protected $iw;
const T_ELLIPSIS = 1001;
const T_POW = 1002;
const T_POW_EQUAL = 1003;
const PHP_5_6 = str_rot13("5.6.0ep1");
const PHP_5_5 = str_rot13("5.5.0orgn1");
const PHP_5_4 = str_rot13("5.4.0orgn1");
public function __construct(array $fj = []){
parent::__construct($fj);
$ix = [self::PHP_5_5 => ["finally" => Parser::T_FINALLY, "yield" => Parser::T_YIELD], self::PHP_5_4 => ["callable" => Parser::T_CALLABLE, "insteadof" => Parser::T_INSTEADOF, "trait" => Parser::T_TRAIT, str_rot13("__genvg__") => Parser::T_TRAIT_C]];
$this->iv = [];
foreach ($ix as $iy => $iv) {
if (version_compare(PHP_VERSION, $iy, ">=")) {
break;}
$this->iv += $iv;}
if (version_compare(PHP_VERSION, self::PHP_5_6, "<")) {
$this->iz[self::T_ELLIPSIS] = Parser::T_ELLIPSIS;
$this->iz[self::T_POW] = Parser::T_POW;
$this->iz[self::T_POW_EQUAL] = Parser::T_POW_EQUAL;}}
public function jc($cs){
$this->iw = false;
$ja = $this->jb($cs);
parent::jc($ja);
if ($ja !== $cs) {
$this->jd();}
$this->cs = $cs;}
protected function jb($cs){
if (version_compare(PHP_VERSION, self::PHP_5_6, ">=")) {
return $cs;}
$cs = str_replace("...", str_rot13("~__RZH__RYYVCFVF__~"), $cs);
$cs = preg_replace("((?<!/)\\\\*\\\\*=)", str_rot13("~__RZH__CBJRDHNY__~"), $cs);
$cs = preg_replace("((?<!/)\\\\*\\\\*(?!/))", str_rot13("~__RZH__CBJ__~"), $cs);
if (version_compare(PHP_VERSION, self::PHP_5_4, ">=")) {
return $cs;}
return preg_replace(str_rot13("(\\\\o0o[01]+\\\\o)"), str_rot13("~__RZH__OVANEL__\\$0__~"), $cs);}
protected function jd(){
for ($i = 0, $c = count($this->aw); $i < $c; ++$i) {
if ("~" === $this->aw[$i] && isset($this->aw[$i + 2]) && "~" === $this->aw[$i + 2] && T_STRING === $this->aw[$i + 1][0] && preg_match(str_rot13("(^__RZH__([N-M]++)__(?:([N-Mn-m0-9]++)__)?\\$)"), $this->aw[$i + 1][1], $fv)) {
if (str_rot13("OVANEL") === $fv[1]) {
$je = [[is_int(bindec($fv[2])) ? T_LNUMBER : T_DNUMBER, $fv[2], $this->aw[$i + 1][2]]];} else {
if (str_rot13("RYYVCFVF") === $fv[1]) {
$je = [[self::T_ELLIPSIS, "...", $this->aw[$i + 1][2]]];} else {
if (str_rot13("CBJ") === $fv[1]) {
$je = [[self::T_POW, "**", $this->aw[$i + 1][2]]];} else {
if (str_rot13("CBJRDHNY") === $fv[1]) {
$je = [[self::T_POW_EQUAL, "**=", $this->aw[$i + 1][2]]];} else {
continue;}}}}
array_splice($this->aw, $i, 3, $je);
$c -= 3 - count($je);} elseif (is_array($this->aw[$i]) && 0 !== strpos($this->aw[$i][1], str_rot13("__RZH__"))) {
$this->aw[$i][1] = preg_replace_callback(str_rot13("(~__RZH__([N-M]++)__(?:([N-Mn-m0-9]++)__)?~)"), [$this, "jf"], $this->aw[$i][1]);}}}
public function jf(array $fv){
if (str_rot13("OVANEL") === $fv[1]) {
return $fv[2];} else {
if (str_rot13("RYYVCFVF") === $fv[1]) {
return "...";} else {
if (str_rot13("CBJ") === $fv[1]) {
return "**";} else {
if (str_rot13("CBJRDHNY") === $fv[1]) {
return "**=";} else {
return $fv[0];}}}}}
public function ji(&$bp = null, &$jg = null, &$jh = null){
$au = parent::ji($bp, $jg, $jh);
if (Parser::T_STRING === $au && !$this->iw) {
if (isset($this->iv[strtolower($bp)])) {
return $this->iv[strtolower($bp)];}} elseif (Parser::T_OBJECT_OPERATOR === $au) {
$this->iw = true;} else {
$this->iw = false;}
return $au;}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Yrkre.cuc") => 
'<?php

namespace PhpParser;

class Lexer{
protected $cs;
protected $aw;
protected $pos;
protected $line;
protected $jj;
protected $iz;
protected $jk;
protected $jl;
public function __construct(array $fj = []){
$this->iz = $this->jm();
$this->jk = array_fill_keys([T_WHITESPACE, T_OPEN_TAG], 1);
$fj += ["jl" => ["bg", str_rot13("fgnegYvar"), str_rot13("raqYvar")]];
$this->jl = array_fill_keys($fj["jl"], true);}
public function jc($cs){
$jn = ini_set(str_rot13("kqroht.fpernz"), 0);
$this->jo();
$this->aw = @token_get_all($cs);
$this->jp();
ini_set(str_rot13("kqroht.fpernz"), $jn);
$this->cs = $cs;
$this->pos = -1;
$this->line = 1;
$this->jj = 0;}
protected function jo(){
set_error_handler(function () {
return false;}, 0);
@$jq;
restore_error_handler();}
protected function jp(){
$eg = error_get_last();
if (preg_match(str_rot13("~^Hagrezvangrq pbzzrag fgnegvat yvar ([0-9]+)\\$~"), $eg["message"], $fv)) {
throw new Error(str_rot13("Hagrezvangrq pbzzrag"), $fv[1]);}
if (preg_match(str_rot13("~^Harkcrpgrq punenpgre va vachg:  \'(.)\' \\\\(NFPVV=([0-9]+)\\\\)~f"), $eg["message"], $fv)) {
throw new Error(sprintf(str_rot13("Harkcrpgrq punenpgre \\"%f\\" (NFPVV %q)"), $fv[1], $fv[2]));}
if (preg_match(str_rot13("~^Harkcrpgrq punenpgre va vachg:  \'\\$~"), $eg["message"])) {
throw new Error(str_rot13("Harkcrpgrq ahyy olgr"));}}
public function ji(&$bp = null, &$jg = null, &$jh = null){
$jg = [];
$jh = [];
while (isset($this->aw[++$this->pos])) {
$au = $this->aw[$this->pos];
if (isset($this->jl[str_rot13("fgnegGbxraCbf")])) {
$jg[str_rot13("fgnegGbxraCbf")] = $this->pos;}
if (isset($this->jl[str_rot13("fgnegSvyrCbf")])) {
$jg[str_rot13("fgnegSvyrCbf")] = $this->jj;}
if (is_string($au)) {
if (str_rot13("o\\"") === $au) {
$bp = str_rot13("o\\"");
$this->jj += 2;
$jr = ord("\\"");} else {
$bp = $au;
$this->jj += 1;
$jr = ord($au);}
if (isset($this->jl[str_rot13("fgnegYvar")])) {
$jg[str_rot13("fgnegYvar")] = $this->line;}
if (isset($this->jl[str_rot13("raqYvar")])) {
$jh[str_rot13("raqYvar")] = $this->line;}
if (isset($this->jl[str_rot13("raqGbxraCbf")])) {
$jh[str_rot13("raqGbxraCbf")] = $this->pos;}
if (isset($this->jl[str_rot13("raqSvyrCbf")])) {
$jh[str_rot13("raqSvyrCbf")] = $this->jj - 1;}
return $jr;} else {
$this->line += substr_count($au[1], "
");
$this->jj += strlen($au[1]);
if (T_COMMENT === $au[0]) {
if (isset($this->jl["bg"])) {
$jg["bg"][] = new Comment($au[1], $au[2]);}} elseif (T_DOC_COMMENT === $au[0]) {
if (isset($this->jl["bg"])) {
$jg["bg"][] = new Comment\\Doc($au[1], $au[2]);}} elseif (!isset($this->jk[$au[0]])) {
$bp = $au[1];
if (isset($this->jl[str_rot13("fgnegYvar")])) {
$jg[str_rot13("fgnegYvar")] = $au[2];}
if (isset($this->jl[str_rot13("raqYvar")])) {
$jh[str_rot13("raqYvar")] = $this->line;}
if (isset($this->jl[str_rot13("raqGbxraCbf")])) {
$jh[str_rot13("raqGbxraCbf")] = $this->pos;}
if (isset($this->jl[str_rot13("raqSvyrCbf")])) {
$jh[str_rot13("raqSvyrCbf")] = $this->jj - 1;}
return $this->iz[$au[0]];}}}
$jg[str_rot13("fgnegYvar")] = $this->line;
return 0;}
public function js(){
return $this->aw;}
public function jv(){
$jt = "";
for ($i = 0; $i <= $this->pos; ++$i) {
if (is_string($this->aw[$i])) {
$jt .= $this->aw[$i];} else {
$jt .= $this->aw[$i][1];}}
$ju = substr($this->cs, strlen($jt));
if (!preg_match(str_rot13("~\\\\f*\\\\(\\\\f*\\\\)\\\\f*(?:;|\\\\?>\\\\e?\\\\a?)~"), $ju, $fv)) {
throw new Error(str_rot13("__UNYG_PBZCVYRE zhfg or sbyybjrq ol \\"();\\""));}
$this->pos = count($this->aw);
return (string) substr($ju, strlen($fv[0]));}
protected function jm(){
$iz = [];
for ($i = 256; $i < 1000; ++$i) {
if (T_DOUBLE_COLON === $i) {
$iz[$i] = Parser::T_PAAMAYIM_NEKUDOTAYIM;} elseif (T_OPEN_TAG_WITH_ECHO === $i) {
$iz[$i] = Parser::T_ECHO;} elseif (T_CLOSE_TAG === $i) {
$iz[$i] = ord(";");} elseif (str_rot13("HAXABJA") !== ($ao = token_name($i)) && defined($ao = str_rot13("CucCnefre\\\\Cnefre::") . $ao)) {
$iz[$i] = constant($ao);}}
if (defined("jw")) {
$iz[jw] = Parser::T_DNUMBER;}
return $iz;}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Net.cuc") => 
'<?php

namespace PhpParser\\Node;

use PhpParser\\NodeAbstract;
class Arg extends NodeAbstract{
public function __construct(Expr $bp, $hq = false, $unpack = false, array $hc = []){
parent::__construct(["bp" => $bp, "hq" => $hq, "unpack" => $unpack], $hc);}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Pbafg_.cuc") => 
'<?php

namespace PhpParser\\Node;

use PhpParser\\NodeAbstract;
class Const_ extends NodeAbstract{
public function __construct($ao, Expr $bp, array $hc = []){
parent::__construct(["ao" => $ao, "bp" => $bp], $hc);}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Rkce/NeenlQvzSrgpu.cuc") => 
'<?php

namespace PhpParser\\Node\\Expr;

use PhpParser\\Node\\Expr;
class ArrayDimFetch extends Expr{
public function __construct(Expr $var, Expr $jx = null, array $hc = []){
parent::__construct(["var" => $var, "jx" => $jx], $hc);}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Rkce/NeenlVgrz.cuc") => 
'<?php

namespace PhpParser\\Node\\Expr;

use PhpParser\\Node\\Expr;
class ArrayItem extends Expr{
public function __construct(Expr $bp, Expr $key = null, $hq = false, array $hc = []){
parent::__construct(["key" => $key, "bp" => $bp, "hq" => $hq], $hc);}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Rkce/Neenl_.cuc") => 
'<?php

namespace PhpParser\\Node\\Expr;

use PhpParser\\Node\\Expr;
class Array_ extends Expr{
public function __construct(array $bm = [], array $hc = []){
parent::__construct(["bm" => $bm], $hc);}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Rkce/Nffvta.cuc") => 
'<?php

namespace PhpParser\\Node\\Expr;

use PhpParser\\Node\\Expr;
class Assign extends Expr{
public function __construct(Expr $var, Expr $jy, array $hc = []){
parent::__construct(["var" => $var, "jy" => $jy], $hc);}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Rkce/NffvtaBc/OvgjvfrNaq.cuc") => 
'<?php

namespace PhpParser\\Node\\Expr\\AssignOp;

use PhpParser\\Node\\Expr\\AssignOp;
class BitwiseAnd extends AssignOp{}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Rkce/NffvtaBc/OvgjvfrBe.cuc") => 
'<?php

namespace PhpParser\\Node\\Expr\\AssignOp;

use PhpParser\\Node\\Expr\\AssignOp;
class BitwiseOr extends AssignOp{}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Rkce/NffvtaBc/OvgjvfrKbe.cuc") => 
'<?php

namespace PhpParser\\Node\\Expr\\AssignOp;

use PhpParser\\Node\\Expr\\AssignOp;
class BitwiseXor extends AssignOp{}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Rkce/NffvtaBc/Pbapng.cuc") => 
'<?php

namespace PhpParser\\Node\\Expr\\AssignOp;

use PhpParser\\Node\\Expr\\AssignOp;
class Concat extends AssignOp{}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Rkce/NffvtaBc/Qvi.cuc") => 
'<?php

namespace PhpParser\\Node\\Expr\\AssignOp;

use PhpParser\\Node\\Expr\\AssignOp;
class Div extends AssignOp{}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Rkce/NffvtaBc/Zvahf.cuc") => 
'<?php

namespace PhpParser\\Node\\Expr\\AssignOp;

use PhpParser\\Node\\Expr\\AssignOp;
class Minus extends AssignOp{}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Rkce/NffvtaBc/Zbq.cuc") => 
'<?php

namespace PhpParser\\Node\\Expr\\AssignOp;

use PhpParser\\Node\\Expr\\AssignOp;
class Mod extends AssignOp{}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Rkce/NffvtaBc/Zhy.cuc") => 
'<?php

namespace PhpParser\\Node\\Expr\\AssignOp;

use PhpParser\\Node\\Expr\\AssignOp;
class Mul extends AssignOp{}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Rkce/NffvtaBc/Cyhf.cuc") => 
'<?php

namespace PhpParser\\Node\\Expr\\AssignOp;

use PhpParser\\Node\\Expr\\AssignOp;
class Plus extends AssignOp{}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Rkce/NffvtaBc/Cbj.cuc") => 
'<?php

namespace PhpParser\\Node\\Expr\\AssignOp;

use PhpParser\\Node\\Expr\\AssignOp;
class Pow extends AssignOp{}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Rkce/NffvtaBc/FuvsgYrsg.cuc") => 
'<?php

namespace PhpParser\\Node\\Expr\\AssignOp;

use PhpParser\\Node\\Expr\\AssignOp;
class ShiftLeft extends AssignOp{}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Rkce/NffvtaBc/FuvsgEvtug.cuc") => 
'<?php

namespace PhpParser\\Node\\Expr\\AssignOp;

use PhpParser\\Node\\Expr\\AssignOp;
class ShiftRight extends AssignOp{}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Rkce/NffvtaBc.cuc") => 
'<?php

namespace PhpParser\\Node\\Expr;

use PhpParser\\Node\\Expr;
abstract class AssignOp extends Expr{
public function __construct(Expr $var, Expr $jy, array $hc = []){
parent::__construct(["var" => $var, "jy" => $jy], $hc);}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Rkce/NffvtaErs.cuc") => 
'<?php

namespace PhpParser\\Node\\Expr;

use PhpParser\\Node\\Expr;
class AssignRef extends Expr{
public function __construct(Expr $var, Expr $jy, array $hc = []){
parent::__construct(["var" => $var, "jy" => $jy], $hc);}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Rkce/OvanelBc/OvgjvfrNaq.cuc") => 
'<?php

namespace PhpParser\\Node\\Expr\\BinaryOp;

use PhpParser\\Node\\Expr\\BinaryOp;
class BitwiseAnd extends BinaryOp{}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Rkce/OvanelBc/OvgjvfrBe.cuc") => 
'<?php

namespace PhpParser\\Node\\Expr\\BinaryOp;

use PhpParser\\Node\\Expr\\BinaryOp;
class BitwiseOr extends BinaryOp{}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Rkce/OvanelBc/OvgjvfrKbe.cuc") => 
'<?php

namespace PhpParser\\Node\\Expr\\BinaryOp;

use PhpParser\\Node\\Expr\\BinaryOp;
class BitwiseXor extends BinaryOp{}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Rkce/OvanelBc/ObbyrnaNaq.cuc") => 
'<?php

namespace PhpParser\\Node\\Expr\\BinaryOp;

use PhpParser\\Node\\Expr\\BinaryOp;
class BooleanAnd extends BinaryOp{}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Rkce/OvanelBc/ObbyrnaBe.cuc") => 
'<?php

namespace PhpParser\\Node\\Expr\\BinaryOp;

use PhpParser\\Node\\Expr\\BinaryOp;
class BooleanOr extends BinaryOp{}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Rkce/OvanelBc/Pbapng.cuc") => 
'<?php

namespace PhpParser\\Node\\Expr\\BinaryOp;

use PhpParser\\Node\\Expr\\BinaryOp;
class Concat extends BinaryOp{}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Rkce/OvanelBc/Qvi.cuc") => 
'<?php

namespace PhpParser\\Node\\Expr\\BinaryOp;

use PhpParser\\Node\\Expr\\BinaryOp;
class Div extends BinaryOp{}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Rkce/OvanelBc/Rdhny.cuc") => 
'<?php

namespace PhpParser\\Node\\Expr\\BinaryOp;

use PhpParser\\Node\\Expr\\BinaryOp;
class Equal extends BinaryOp{}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Rkce/OvanelBc/Terngre.cuc") => 
'<?php

namespace PhpParser\\Node\\Expr\\BinaryOp;

use PhpParser\\Node\\Expr\\BinaryOp;
class Greater extends BinaryOp{}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Rkce/OvanelBc/TerngreBeRdhny.cuc") => 
'<?php

namespace PhpParser\\Node\\Expr\\BinaryOp;

use PhpParser\\Node\\Expr\\BinaryOp;
class GreaterOrEqual extends BinaryOp{}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Rkce/OvanelBc/Vqragvpny.cuc") => 
'<?php

namespace PhpParser\\Node\\Expr\\BinaryOp;

use PhpParser\\Node\\Expr\\BinaryOp;
class Identical extends BinaryOp{}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Rkce/OvanelBc/YbtvpnyNaq.cuc") => 
'<?php

namespace PhpParser\\Node\\Expr\\BinaryOp;

use PhpParser\\Node\\Expr\\BinaryOp;
class LogicalAnd extends BinaryOp{}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Rkce/OvanelBc/YbtvpnyBe.cuc") => 
'<?php

namespace PhpParser\\Node\\Expr\\BinaryOp;

use PhpParser\\Node\\Expr\\BinaryOp;
class LogicalOr extends BinaryOp{}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Rkce/OvanelBc/YbtvpnyKbe.cuc") => 
'<?php

namespace PhpParser\\Node\\Expr\\BinaryOp;

use PhpParser\\Node\\Expr\\BinaryOp;
class LogicalXor extends BinaryOp{}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Rkce/OvanelBc/Zvahf.cuc") => 
'<?php

namespace PhpParser\\Node\\Expr\\BinaryOp;

use PhpParser\\Node\\Expr\\BinaryOp;
class Minus extends BinaryOp{}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Rkce/OvanelBc/Zbq.cuc") => 
'<?php

namespace PhpParser\\Node\\Expr\\BinaryOp;

use PhpParser\\Node\\Expr\\BinaryOp;
class Mod extends BinaryOp{}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Rkce/OvanelBc/Zhy.cuc") => 
'<?php

namespace PhpParser\\Node\\Expr\\BinaryOp;

use PhpParser\\Node\\Expr\\BinaryOp;
class Mul extends BinaryOp{}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Rkce/OvanelBc/AbgRdhny.cuc") => 
'<?php

namespace PhpParser\\Node\\Expr\\BinaryOp;

use PhpParser\\Node\\Expr\\BinaryOp;
class NotEqual extends BinaryOp{}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Rkce/OvanelBc/AbgVqragvpny.cuc") => 
'<?php

namespace PhpParser\\Node\\Expr\\BinaryOp;

use PhpParser\\Node\\Expr\\BinaryOp;
class NotIdentical extends BinaryOp{}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Rkce/OvanelBc/Cyhf.cuc") => 
'<?php

namespace PhpParser\\Node\\Expr\\BinaryOp;

use PhpParser\\Node\\Expr\\BinaryOp;
class Plus extends BinaryOp{}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Rkce/OvanelBc/Cbj.cuc") => 
'<?php

namespace PhpParser\\Node\\Expr\\BinaryOp;

use PhpParser\\Node\\Expr\\BinaryOp;
class Pow extends BinaryOp{}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Rkce/OvanelBc/FuvsgYrsg.cuc") => 
'<?php

namespace PhpParser\\Node\\Expr\\BinaryOp;

use PhpParser\\Node\\Expr\\BinaryOp;
class ShiftLeft extends BinaryOp{}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Rkce/OvanelBc/FuvsgEvtug.cuc") => 
'<?php

namespace PhpParser\\Node\\Expr\\BinaryOp;

use PhpParser\\Node\\Expr\\BinaryOp;
class ShiftRight extends BinaryOp{}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Rkce/OvanelBc/Fznyyre.cuc") => 
'<?php

namespace PhpParser\\Node\\Expr\\BinaryOp;

use PhpParser\\Node\\Expr\\BinaryOp;
class Smaller extends BinaryOp{}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Rkce/OvanelBc/FznyyreBeRdhny.cuc") => 
'<?php

namespace PhpParser\\Node\\Expr\\BinaryOp;

use PhpParser\\Node\\Expr\\BinaryOp;
class SmallerOrEqual extends BinaryOp{}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Rkce/OvanelBc.cuc") => 
'<?php

namespace PhpParser\\Node\\Expr;

use PhpParser\\Node\\Expr;
class BinaryOp extends Expr{
public function __construct(Expr $jz, Expr $ka, array $hc = []){
parent::__construct(["jz" => $jz, "ka" => $ka], $hc);}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Rkce/OvgjvfrAbg.cuc") => 
'<?php

namespace PhpParser\\Node\\Expr;

use PhpParser\\Node\\Expr;
class BitwiseNot extends Expr{
public function __construct(Expr $jy, array $hc = []){
parent::__construct(["jy" => $jy], $hc);}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Rkce/ObbyrnaAbg.cuc") => 
'<?php

namespace PhpParser\\Node\\Expr;

use PhpParser\\Node\\Expr;
class BooleanNot extends Expr{
public function __construct(Expr $jy, array $hc = []){
parent::__construct(["jy" => $jy], $hc);}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Rkce/Pnfg/Neenl_.cuc") => 
'<?php

namespace PhpParser\\Node\\Expr\\Cast;

use PhpParser\\Node\\Expr\\Cast;
class Array_ extends Cast{}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Rkce/Pnfg/Obby.cuc") => 
'<?php

namespace PhpParser\\Node\\Expr\\Cast;

use PhpParser\\Node\\Expr\\Cast;
class Bool extends Cast{}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Rkce/Pnfg/Qbhoyr.cuc") => 
'<?php

namespace PhpParser\\Node\\Expr\\Cast;

use PhpParser\\Node\\Expr\\Cast;
class Double extends Cast{}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Rkce/Pnfg/Vag.cuc") => 
'<?php

namespace PhpParser\\Node\\Expr\\Cast;

use PhpParser\\Node\\Expr\\Cast;
class Int extends Cast{}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Rkce/Pnfg/Bowrpg.cuc") => 
'<?php

namespace PhpParser\\Node\\Expr\\Cast;

use PhpParser\\Node\\Expr\\Cast;
class Object extends Cast{}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Rkce/Pnfg/Fgevat.cuc") => 
'<?php

namespace PhpParser\\Node\\Expr\\Cast;

use PhpParser\\Node\\Expr\\Cast;
class String extends Cast{}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Rkce/Pnfg/Hafrg_.cuc") => 
'<?php

namespace PhpParser\\Node\\Expr\\Cast;

use PhpParser\\Node\\Expr\\Cast;
class Unset_ extends Cast{}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Rkce/Pnfg.cuc") => 
'<?php

namespace PhpParser\\Node\\Expr;

use PhpParser\\Node\\Expr;
abstract class Cast extends Expr{
public function __construct(Expr $jy, array $hc = []){
parent::__construct(["jy" => $jy], $hc);}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Rkce/PynffPbafgSrgpu.cuc") => 
'<?php

namespace PhpParser\\Node\\Expr;

use PhpParser\\Node\\Name;
use PhpParser\\Node\\Expr;
class ClassConstFetch extends Expr{
public function __construct($class, $ao, array $hc = []){
parent::__construct(["class" => $class, "ao" => $ao], $hc);}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Rkce/Pybar_.cuc") => 
'<?php

namespace PhpParser\\Node\\Expr;

use PhpParser\\Node\\Expr;
class Clone_ extends Expr{
public function __construct(Expr $jy, array $hc = []){
parent::__construct(["jy" => $jy], $hc);}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Rkce/Pybfher.cuc") => 
'<?php

namespace PhpParser\\Node\\Expr;

use PhpParser\\Node;
use PhpParser\\Node\\Expr;
class Closure extends Expr{
public function __construct(array $kb = [], array $hc = []){
parent::__construct(["static" => isset($kb["static"]) ? $kb["static"] : false, "hq" => isset($kb["hq"]) ? $kb["hq"] : false, "fw" => isset($kb["fw"]) ? $kb["fw"] : [], "gn" => isset($kb["gn"]) ? $kb["gn"] : [], "cj" => isset($kb["cj"]) ? $kb["cj"] : []], $hc);}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Rkce/PybfherHfr.cuc") => 
'<?php

namespace PhpParser\\Node\\Expr;

use PhpParser\\Node\\Expr;
class ClosureUse extends Expr{
public function __construct($var, $hq = false, array $hc = []){
parent::__construct(["var" => $var, "hq" => $hq], $hc);}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Rkce/PbafgSrgpu.cuc") => 
'<?php

namespace PhpParser\\Node\\Expr;

use PhpParser\\Node\\Name;
use PhpParser\\Node\\Expr;
class ConstFetch extends Expr{
public function __construct(Name $ao, array $hc = []){
parent::__construct(["ao" => $ao], $hc);}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Rkce/Rzcgl_.cuc") => 
'<?php

namespace PhpParser\\Node\\Expr;

use PhpParser\\Node\\Expr;
class Empty_ extends Expr{
public function __construct(Expr $jy, array $hc = []){
parent::__construct(["jy" => $jy], $hc);}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Rkce/ReebeFhccerff.cuc") => 
'<?php

namespace PhpParser\\Node\\Expr;

use PhpParser\\Node\\Expr;
class ErrorSuppress extends Expr{
public function __construct(Expr $jy, array $hc = []){
parent::__construct(["jy" => $jy], $hc);}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Rkce/Riny_.cuc") => 
'<?php

namespace PhpParser\\Node\\Expr;

use PhpParser\\Node\\Expr;
class Eval_ extends Expr{
public function __construct(Expr $jy, array $hc = []){
parent::__construct(["jy" => $jy], $hc);}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Rkce/Rkvg_.cuc") => 
'<?php

namespace PhpParser\\Node\\Expr;

use PhpParser\\Node\\Expr;
class Exit_ extends Expr{
public function __construct(Expr $jy = null, array $hc = []){
parent::__construct(["jy" => $jy], $hc);}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Rkce/ShapPnyy.cuc") => 
'<?php

namespace PhpParser\\Node\\Expr;

use PhpParser\\Node;
use PhpParser\\Node\\Expr;
class FuncCall extends Expr{
public function __construct($ao, array $dg = [], array $hc = []){
parent::__construct(["ao" => $ao, "dg" => $dg], $hc);}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Rkce/Vapyhqr_.cuc") => 
'<?php

namespace PhpParser\\Node\\Expr;

use PhpParser\\Node\\Expr;
class Include_ extends Expr{
const TYPE_INCLUDE = 1;
const TYPE_INCLUDE_ONCE = 2;
const TYPE_REQUIRE = 3;
const TYPE_REQUIRE_ONCE = 4;
public function __construct(Expr $jy, $type, array $hc = []){
parent::__construct(["jy" => $jy, "type" => $type], $hc);}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Rkce/Vafgnaprbs_.cuc") => 
'<?php

namespace PhpParser\\Node\\Expr;

use PhpParser\\Node\\Name;
use PhpParser\\Node\\Expr;
class Instanceof_ extends Expr{
public function __construct(Expr $jy, $class, array $hc = []){
parent::__construct(["jy" => $jy, "class" => $class], $hc);}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Rkce/Vffrg_.cuc") => 
'<?php

namespace PhpParser\\Node\\Expr;

use PhpParser\\Node\\Expr;
class Isset_ extends Expr{
public function __construct(array $kc, array $hc = []){
parent::__construct(["kc" => $kc], $hc);}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Rkce/Yvfg_.cuc") => 
'<?php

namespace PhpParser\\Node\\Expr;

use PhpParser\\Node\\Expr;
class List_ extends Expr{
public function __construct(array $kc, array $hc = []){
parent::__construct(["kc" => $kc], $hc);}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Rkce/ZrgubqPnyy.cuc") => 
'<?php

namespace PhpParser\\Node\\Expr;

use PhpParser\\Node\\Arg;
use PhpParser\\Node\\Expr;
class MethodCall extends Expr{
public function __construct(Expr $var, $ao, array $dg = [], array $hc = []){
parent::__construct(["var" => $var, "ao" => $ao, "dg" => $dg], $hc);}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Rkce/Arj_.cuc") => 
'<?php

namespace PhpParser\\Node\\Expr;

use PhpParser\\Node;
use PhpParser\\Node\\Expr;
class New_ extends Expr{
public function __construct($class, array $dg = [], array $hc = []){
parent::__construct(["class" => $class, "dg" => $dg], $hc);}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Rkce/CbfgQrp.cuc") => 
'<?php

namespace PhpParser\\Node\\Expr;

use PhpParser\\Node\\Expr;
class PostDec extends Expr{
public function __construct(Expr $var, array $hc = []){
parent::__construct(["var" => $var], $hc);}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Rkce/CbfgVap.cuc") => 
'<?php

namespace PhpParser\\Node\\Expr;

use PhpParser\\Node\\Expr;
class PostInc extends Expr{
public function __construct(Expr $var, array $hc = []){
parent::__construct(["var" => $var], $hc);}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Rkce/CerQrp.cuc") => 
'<?php

namespace PhpParser\\Node\\Expr;

use PhpParser\\Node\\Expr;
class PreDec extends Expr{
public function __construct(Expr $var, array $hc = []){
parent::__construct(["var" => $var], $hc);}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Rkce/CerVap.cuc") => 
'<?php

namespace PhpParser\\Node\\Expr;

use PhpParser\\Node\\Expr;
class PreInc extends Expr{
public function __construct(Expr $var, array $hc = []){
parent::__construct(["var" => $var], $hc);}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Rkce/Cevag_.cuc") => 
'<?php

namespace PhpParser\\Node\\Expr;

use PhpParser\\Node\\Expr;
class Print_ extends Expr{
public function __construct(Expr $jy, array $hc = []){
parent::__construct(["jy" => $jy], $hc);}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Rkce/CebcreglSrgpu.cuc") => 
'<?php

namespace PhpParser\\Node\\Expr;

use PhpParser\\Node\\Expr;
class PropertyFetch extends Expr{
public function __construct(Expr $var, $ao, array $hc = []){
parent::__construct(["var" => $var, "ao" => $ao], $hc);}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Rkce/FuryyRkrp.cuc") => 
'<?php

namespace PhpParser\\Node\\Expr;

use PhpParser\\Node\\Expr;
class ShellExec extends Expr{
public function __construct($ca, array $hc = []){
parent::__construct(["ca" => $ca], $hc);}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Rkce/FgngvpPnyy.cuc") => 
'<?php

namespace PhpParser\\Node\\Expr;

use PhpParser\\Node;
use PhpParser\\Node\\Expr;
class StaticCall extends Expr{
public function __construct($class, $ao, array $dg = [], array $hc = []){
parent::__construct(["class" => $class, "ao" => $ao, "dg" => $dg], $hc);}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Rkce/FgngvpCebcreglSrgpu.cuc") => 
'<?php

namespace PhpParser\\Node\\Expr;

use PhpParser\\Node\\Name;
use PhpParser\\Node\\Expr;
class StaticPropertyFetch extends Expr{
public function __construct($class, $ao, array $hc = []){
parent::__construct(["class" => $class, "ao" => $ao], $hc);}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Rkce/Greanel.cuc") => 
'<?php

namespace PhpParser\\Node\\Expr;

use PhpParser\\Node\\Expr;
class Ternary extends Expr{
public function __construct(Expr $kd, $if, Expr $else, array $hc = []){
parent::__construct(["kd" => $kd, "if" => $if, "else" => $else], $hc);}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Rkce/HanelZvahf.cuc") => 
'<?php

namespace PhpParser\\Node\\Expr;

use PhpParser\\Node\\Expr;
class UnaryMinus extends Expr{
public function __construct(Expr $jy, array $hc = []){
parent::__construct(["jy" => $jy], $hc);}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Rkce/HanelCyhf.cuc") => 
'<?php

namespace PhpParser\\Node\\Expr;

use PhpParser\\Node\\Expr;
class UnaryPlus extends Expr{
public function __construct(Expr $jy, array $hc = []){
parent::__construct(["jy" => $jy], $hc);}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Rkce/Inevnoyr.cuc") => 
'<?php

namespace PhpParser\\Node\\Expr;

use PhpParser\\Node\\Expr;
class Variable extends Expr{
public function __construct($ao, array $hc = []){
parent::__construct(["ao" => $ao], $hc);}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Rkce/Lvryq_.cuc") => 
'<?php

namespace PhpParser\\Node\\Expr;

use PhpParser\\Node\\Expr;
class Yield_ extends Expr{
public function __construct(Expr $bp = null, Expr $key = null, array $hc = []){
parent::__construct(["key" => $key, "bp" => $bp], $hc);}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Rkce.cuc") => 
'<?php

namespace PhpParser\\Node;

use PhpParser\\NodeAbstract;
abstract class Expr extends NodeAbstract{}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Anzr/ShyylDhnyvsvrq.cuc") => 
'<?php

namespace PhpParser\\Node\\Name;

class FullyQualified extends \\PhpParser\\Node\\Name{
public function ke(){
return false;}
public function kf(){
return false;}
public function kg(){
return true;}
public function kh(){
return false;}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Anzr/Eryngvir.cuc") => 
'<?php

namespace PhpParser\\Node\\Name;

class Relative extends \\PhpParser\\Node\\Name{
public function ke(){
return false;}
public function kf(){
return false;}
public function kg(){
return false;}
public function kh(){
return true;}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Anzr.cuc") => 
'<?php

namespace PhpParser\\Node;

use PhpParser\\NodeAbstract;
class Name extends NodeAbstract{
public function __construct($ca, array $hc = []){
if (!is_array($ca)) {
$ca = explode("\\\\", $ca);}
parent::__construct(["ca" => $ca], $hc);}
public function ki(){
return $this->ca[0];}
public function kj(){
return $this->ca[count($this->ca) - 1];}
public function ke(){
return 1 == count($this->ca);}
public function kf(){
return 1 < count($this->ca);}
public function kg(){
return false;}
public function kh(){
return false;}
public function kl($kk = "\\\\"){
return implode($kk, $this->ca);}
public function __toString(){
return implode("\\\\", $this->ca);}
public function kn($ao){
$this->ca = $this->km($ao);}
public function gi($ao){
$this->ca = array_merge($this->km($ao), $this->ca);}
public function ko($ao){
$this->ca = array_merge($this->ca, $this->km($ao));}
public function kp($ao){
array_splice($this->ca, 0, 1, $this->km($ao));}
public function kq($ao){
array_splice($this->ca, -1, 1, $this->km($ao));}
protected function km($ao){
if (is_string($ao)) {
return explode("\\\\", $ao);} elseif (is_array($ao)) {
return $ao;} elseif ($ao instanceof self) {
return $ao->ca;}
throw new \\InvalidArgumentException(str_rot13("Jura punatvat n anzr lbh arrq gb cnff rvgure n fgevat, na neenl be n Anzr abqr"));}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Cnenz.cuc") => 
'<?php

namespace PhpParser\\Node;

use PhpParser\\Error;
use PhpParser\\NodeAbstract;
class Param extends NodeAbstract{
public function __construct($ao, $default = null, $type = null, $hq = false, $kr = false, array $hc = []){
parent::__construct(["type" => $type, "hq" => $hq, "kr" => $kr, "ao" => $ao, "default" => $default], $hc);
if ($kr && null !== $default) {
throw new Error(str_rot13("Inevnqvp cnenzrgre pnaabg unir n qrsnhyg inyhr"));}}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Fpnyne/QAhzore.cuc") => 
'<?php

namespace PhpParser\\Node\\Scalar;

use PhpParser\\Node\\Scalar;
class DNumber extends Scalar{
public function __construct($bp = 0.0, array $hc = []){
parent::__construct(["bp" => $bp], $hc);}
public static function ck($am){
if (false !== strpbrk($am, str_rot13(".rR"))) {
return (double) $am;}
if ("0" === $am[0]) {
if (str_rot13("k") === $am[1] || str_rot13("K") === $am[1]) {
return hexdec($am);}
if (str_rot13("o") === $am[1] || str_rot13("O") === $am[1]) {
return bindec($am);}
return octdec(substr($am, 0, strcspn($am, "89")));}
return (double) $am;}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Fpnyne/Rapncfrq.cuc") => 
'<?php

namespace PhpParser\\Node\\Scalar;

use PhpParser\\Node\\Scalar;
class Encapsed extends Scalar{
public function __construct(array $ca = [], array $hc = []){
parent::__construct(["ca" => $ca], $hc);}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Fpnyne/YAhzore.cuc") => 
'<?php

namespace PhpParser\\Node\\Scalar;

use PhpParser\\Node\\Scalar;
class LNumber extends Scalar{
public function __construct($bp = 0, array $hc = []){
parent::__construct(["bp" => $bp], $hc);}
public static function ck($am){
if ("0" === $am) {
return 0;}
if ("0" === $am[0]) {
if (str_rot13("k") === $am[1] || str_rot13("K") === $am[1]) {
return hexdec($am);}
if (str_rot13("o") === $am[1] || str_rot13("O") === $am[1]) {
return bindec($am);}
return intval($am, 8);}
return (int) $am;}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Fpnyne/ZntvpPbafg/Pynff_.cuc") => 
'<?php

namespace PhpParser\\Node\\Scalar\\MagicConst;

use PhpParser\\Node\\Scalar\\MagicConst;
class Class_ extends MagicConst{
public function ks(){
return "__CLASS__";}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Fpnyne/ZntvpPbafg/Qve.cuc") => 
'<?php

namespace PhpParser\\Node\\Scalar\\MagicConst;

use PhpParser\\Node\\Scalar\\MagicConst;
class Dir extends MagicConst{
public function ks(){
return "__DIR__";}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Fpnyne/ZntvpPbafg/Svyr.cuc") => 
'<?php

namespace PhpParser\\Node\\Scalar\\MagicConst;

use PhpParser\\Node\\Scalar\\MagicConst;
class File extends MagicConst{
public function ks(){
return "__FILE__";}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Fpnyne/ZntvpPbafg/Shapgvba_.cuc") => 
'<?php

namespace PhpParser\\Node\\Scalar\\MagicConst;

use PhpParser\\Node\\Scalar\\MagicConst;
class Function_ extends MagicConst{
public function ks(){
return "__FUNCTION__";}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Fpnyne/ZntvpPbafg/Yvar.cuc") => 
'<?php

namespace PhpParser\\Node\\Scalar\\MagicConst;

use PhpParser\\Node\\Scalar\\MagicConst;
class Line extends MagicConst{
public function ks(){
return "__LINE__";}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Fpnyne/ZntvpPbafg/Zrgubq.cuc") => 
'<?php

namespace PhpParser\\Node\\Scalar\\MagicConst;

use PhpParser\\Node\\Scalar\\MagicConst;
class Method extends MagicConst{
public function ks(){
return "__METHOD__";}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Fpnyne/ZntvpPbafg/Anzrfcnpr_.cuc") => 
'<?php

namespace PhpParser\\Node\\Scalar\\MagicConst;

use PhpParser\\Node\\Scalar\\MagicConst;
class Namespace_ extends MagicConst{
public function ks(){
return "__NAMESPACE__";}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Fpnyne/ZntvpPbafg/Genvg_.cuc") => 
'<?php

namespace PhpParser\\Node\\Scalar\\MagicConst;

use PhpParser\\Node\\Scalar\\MagicConst;
class Trait_ extends MagicConst{
public function ks(){
return "__TRAIT__";}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Fpnyne/ZntvpPbafg.cuc") => 
'<?php

namespace PhpParser\\Node\\Scalar;

use PhpParser\\Node\\Scalar;
abstract class MagicConst extends Scalar{
public function __construct(array $hc = []){
parent::__construct([], $hc);}
public abstract function ks();}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Fpnyne/Fgevat.cuc") => 
'<?php

namespace PhpParser\\Node\\Scalar;

use PhpParser\\Node\\Scalar;
class String extends Scalar{
protected static $kt = ["\\\\" => "\\\\", "\\$" => "\\$", "n" => "
", "r" => "
", "t" => "	", "f" => "\\x0c", "v" => "\\x0b", "e" => "\\x1b"];
public function __construct($bp = "", array $hc = []){
parent::__construct(["bp" => $bp], $hc);}
public static function ck($am){
$ku = 0;
if (str_rot13("o") === $am[0]) {
$ku = 1;}
if ("\'" === $am[$ku]) {
return str_replace(["\\\\\\\\", "\\\\\'"], ["\\\\", "\'"], substr($am, $ku + 1, -1));} else {
return self::kv(substr($am, $ku + 1, -1), "\\"");}}
public static function kv($am, $kw){
if (null !== $kw) {
$am = str_replace("\\\\" . $kw, $kw, $am);}
return preg_replace_callback(str_rot13("~\\\\\\\\([\\\\\\\\\\$aegsir]|[kK][0-9n-sN-S]{1,2}|[0-7]{1,3})~"), [__CLASS__, "kx"], $am);}
private static function kx($fv){
$am = $fv[1];
if (isset(self::$kt[$am])) {
return self::$kt[$am];} elseif (str_rot13("k") === $am[0] || str_rot13("K") === $am[0]) {
return chr(hexdec($am));} else {
return chr(octdec($am));}}
public static function kz($ky, $am){
$am = preg_replace(str_rot13("~(\\\\e\\\\a|\\\\a|\\\\e)\\$~"), "", $am);
if (false !== strpos($ky, "\'")) {
return $am;}
return self::kv($am, null);}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Fpnyne.cuc") => 
'<?php

namespace PhpParser\\Node;

abstract class Scalar extends Expr{}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Fgzg/Oernx_.cuc") => 
'<?php

namespace PhpParser\\Node\\Stmt;

use PhpParser\\Node;
class Break_ extends Node\\Stmt{
public function __construct(Node\\Expr $gb = null, array $hc = []){
parent::__construct(["gb" => $gb], $hc);}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Fgzg/Pnfr_.cuc") => 
'<?php

namespace PhpParser\\Node\\Stmt;

use PhpParser\\Node;
class Case_ extends Node\\Stmt{
public function __construct($kd, array $cj = [], array $hc = []){
parent::__construct(["kd" => $kd, "cj" => $cj], $hc);}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Fgzg/Pngpu_.cuc") => 
'<?php

namespace PhpParser\\Node\\Stmt;

use PhpParser\\Node;
class Catch_ extends Node\\Stmt{
public function __construct(Node\\Name $type, $var, array $cj = [], array $hc = []){
parent::__construct(["type" => $type, "var" => $var, "cj" => $cj], $hc);}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Fgzg/PynffPbafg.cuc") => 
'<?php

namespace PhpParser\\Node\\Stmt;

use PhpParser\\Node;
class ClassConst extends Node\\Stmt{
public function __construct(array $la, array $hc = []){
parent::__construct(["la" => $la], $hc);}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Fgzg/PynffZrgubq.cuc") => 
'<?php

namespace PhpParser\\Node\\Stmt;

use PhpParser\\Node;
use PhpParser\\Error;
class ClassMethod extends Node\\Stmt{
public function __construct($ao, array $kb = [], array $hc = []){
$type = isset($kb["type"]) ? $kb["type"] : 0;
if (0 === ($type & Class_::VISIBILITY_MODIFER_MASK)) {
$type |= Class_::MODIFIER_PUBLIC;}
parent::__construct(["type" => $type, "hq" => isset($kb["hq"]) ? $kb["hq"] : false, "ao" => $ao, "fw" => isset($kb["fw"]) ? $kb["fw"] : [], "cj" => array_key_exists("cj", $kb) ? $kb["cj"] : []], $hc);
if ($this->type & Class_::MODIFIER_STATIC) {
switch (strtolower($this->ao)) {
case "__construct":
throw new Error(sprintf(str_rot13("Pbafgehpgbe %f() pnaabg or fgngvp"), $this->ao));
case "__destruct":
throw new Error(sprintf(str_rot13("Qrfgehpgbe %f() pnaabg or fgngvp"), $this->ao));
case "__clone":
throw new Error(sprintf(str_rot13("Pybar zrgubq %f() pnaabg or fgngvp"), $this->ao));}}}
public function lb(){
return (bool) ($this->type & Class_::MODIFIER_PUBLIC);}
public function lc(){
return (bool) ($this->type & Class_::MODIFIER_PROTECTED);}
public function ld(){
return (bool) ($this->type & Class_::MODIFIER_PRIVATE);}
public function le(){
return (bool) ($this->type & Class_::MODIFIER_ABSTRACT);}
public function lf(){
return (bool) ($this->type & Class_::MODIFIER_FINAL);}
public function lg(){
return (bool) ($this->type & Class_::MODIFIER_STATIC);}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Fgzg/Pynff_.cuc") => 
'<?php

namespace PhpParser\\Node\\Stmt;

use PhpParser\\Node;
use PhpParser\\Error;
class Class_ extends Node\\Stmt{
const MODIFIER_PUBLIC = 1;
const MODIFIER_PROTECTED = 2;
const MODIFIER_PRIVATE = 4;
const MODIFIER_STATIC = 8;
const MODIFIER_ABSTRACT = 16;
const MODIFIER_FINAL = 32;
const VISIBILITY_MODIFER_MASK = 7;
protected static $lh = ["self" => true, "parent" => true, "static" => true];
public function __construct($ao, array $kb = [], array $hc = []){
parent::__construct(["type" => isset($kb["type"]) ? $kb["type"] : 0, "ao" => $ao, "extends" => isset($kb["extends"]) ? $kb["extends"] : null, "implements" => isset($kb["implements"]) ? $kb["implements"] : [], "cj" => isset($kb["cj"]) ? $kb["cj"] : []], $hc);
if (isset(self::$lh[(string) $this->ao])) {
throw new Error(sprintf(str_rot13("Pnaabg hfr \'%f\' nf pynff anzr nf vg vf erfreirq"), $this->ao));}
if (isset(self::$lh[(string) $this->extends])) {
throw new Error(sprintf(str_rot13("Pnaabg hfr \'%f\' nf pynff anzr nf vg vf erfreirq"), $this->extends));}
foreach ($this->implements as $interface) {
if (isset(self::$lh[(string) $interface])) {
throw new Error(sprintf(str_rot13("Pnaabg hfr \'%f\' nf vagresnpr anzr nf vg vf erfreirq"), $interface));}}}
public function le(){
return (bool) ($this->type & self::MODIFIER_ABSTRACT);}
public function lf(){
return (bool) ($this->type & self::MODIFIER_FINAL);}
public function li(){
$gq = [];
foreach ($this->cj as $gx) {
if ($gx instanceof ClassMethod) {
$gq[] = $gx;}}
return $gq;}
public static function hz($a, $b){
if ($a & self::VISIBILITY_MODIFER_MASK && $b & self::VISIBILITY_MODIFER_MASK) {
throw new Error(str_rot13("Zhygvcyr npprff glcr zbqvsvref ner abg nyybjrq"));}
if ($a & self::MODIFIER_ABSTRACT && $b & self::MODIFIER_ABSTRACT) {
throw new Error(str_rot13("Zhygvcyr nofgenpg zbqvsvref ner abg nyybjrq"));}
if ($a & self::MODIFIER_STATIC && $b & self::MODIFIER_STATIC) {
throw new Error(str_rot13("Zhygvcyr fgngvp zbqvsvref ner abg nyybjrq"));}
if ($a & self::MODIFIER_FINAL && $b & self::MODIFIER_FINAL) {
throw new Error(str_rot13("Zhygvcyr svany zbqvsvref ner abg nyybjrq"));}
if ($a & 48 && $b & 48) {
throw new Error(str_rot13("Pnaabg hfr gur svany zbqvsvre ba na nofgenpg pynff zrzore"));}}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Fgzg/Pbafg_.cuc") => 
'<?php

namespace PhpParser\\Node\\Stmt;

use PhpParser\\Node;
class Const_ extends Node\\Stmt{
public function __construct(array $la, array $hc = []){
parent::__construct(["la" => $la], $hc);}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Fgzg/Pbagvahr_.cuc") => 
'<?php

namespace PhpParser\\Node\\Stmt;

use PhpParser\\Node;
class Continue_ extends Node\\Stmt{
public function __construct(Node\\Expr $gb = null, array $hc = []){
parent::__construct(["gb" => $gb], $hc);}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Fgzg/QrpynerQrpyner.cuc") => 
'<?php

namespace PhpParser\\Node\\Stmt;

use PhpParser\\Node;
class DeclareDeclare extends Node\\Stmt{
public function __construct($key, Node\\Expr $bp, array $hc = []){
parent::__construct(["key" => $key, "bp" => $bp], $hc);}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Fgzg/Qrpyner_.cuc") => 
'<?php

namespace PhpParser\\Node\\Stmt;

use PhpParser\\Node;
class Declare_ extends Node\\Stmt{
public function __construct(array $lj, array $cj, array $hc = []){
parent::__construct(["lj" => $lj, "cj" => $cj], $hc);}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Fgzg/Qb_.cuc") => 
'<?php

namespace PhpParser\\Node\\Stmt;

use PhpParser\\Node;
class Do_ extends Node\\Stmt{
public function __construct(Node\\Expr $kd, array $cj = [], array $hc = []){
parent::__construct(["kd" => $kd, "cj" => $cj], $hc);}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Fgzg/Rpub_.cuc") => 
'<?php

namespace PhpParser\\Node\\Stmt;

use PhpParser\\Node;
class Echo_ extends Node\\Stmt{
public function __construct(array $lk, array $hc = []){
parent::__construct(["lk" => $lk], $hc);}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Fgzg/RyfrVs_.cuc") => 
'<?php

namespace PhpParser\\Node\\Stmt;

use PhpParser\\Node;
class ElseIf_ extends Node\\Stmt{
public function __construct(Node\\Expr $kd, array $cj = [], array $hc = []){
parent::__construct(["kd" => $kd, "cj" => $cj], $hc);}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Fgzg/Ryfr_.cuc") => 
'<?php

namespace PhpParser\\Node\\Stmt;

use PhpParser\\Node;
class Else_ extends Node\\Stmt{
public function __construct(array $cj = [], array $hc = []){
parent::__construct(["cj" => $cj], $hc);}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Fgzg/Sbernpu_.cuc") => 
'<?php

namespace PhpParser\\Node\\Stmt;

use PhpParser\\Node;
class Foreach_ extends Node\\Stmt{
public function __construct(Node\\Expr $jy, Node\\Expr $ll, array $kb = [], array $hc = []){
parent::__construct(["jy" => $jy, "ph" => isset($kb["ph"]) ? $kb["ph"] : null, "hq" => isset($kb["hq"]) ? $kb["hq"] : false, "ll" => $ll, "cj" => isset($kb["cj"]) ? $kb["cj"] : []], $hc);}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Fgzg/Sbe_.cuc") => 
'<?php

namespace PhpParser\\Node\\Stmt;

use PhpParser\\Node;
class For_ extends Node\\Stmt{
public function __construct(array $kb = [], array $hc = []){
parent::__construct(["pf" => isset($kb["pf"]) ? $kb["pf"] : [], "kd" => isset($kb["kd"]) ? $kb["kd"] : [], "pg" => isset($kb["pg"]) ? $kb["pg"] : [], "cj" => isset($kb["cj"]) ? $kb["cj"] : []], $hc);}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Fgzg/Shapgvba_.cuc") => 
'<?php

namespace PhpParser\\Node\\Stmt;

use PhpParser\\Node;
class Function_ extends Node\\Stmt{
public function __construct($ao, array $kb = [], array $hc = []){
parent::__construct(["hq" => isset($kb["hq"]) ? $kb["hq"] : false, "ao" => $ao, "fw" => isset($kb["fw"]) ? $kb["fw"] : [], "cj" => isset($kb["cj"]) ? $kb["cj"] : []], $hc);
$this->ao = $ao;}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Fgzg/Tybony_.cuc") => 
'<?php

namespace PhpParser\\Node\\Stmt;

use PhpParser\\Node;
class Global_ extends Node\\Stmt{
public function __construct(array $kc, array $hc = []){
parent::__construct(["kc" => $kc], $hc);}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Fgzg/Tbgb_.cuc") => 
'<?php

namespace PhpParser\\Node\\Stmt;

use PhpParser\\Node\\Stmt;
class Goto_ extends Stmt{
public function __construct($ao, array $hc = []){
parent::__construct(["ao" => $ao], $hc);}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Fgzg/UnygPbzcvyre.cuc") => 
'<?php

namespace PhpParser\\Node\\Stmt;

use PhpParser\\Node\\Stmt;
class HaltCompiler extends Stmt{
public function __construct($lm, array $hc = []){
parent::__construct(["lm" => $lm], $hc);}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Fgzg/Vs_.cuc") => 
'<?php

namespace PhpParser\\Node\\Stmt;

use PhpParser\\Node;
class If_ extends Node\\Stmt{
public function __construct(Node\\Expr $kd, array $kb = [], array $hc = []){
parent::__construct(["kd" => $kd, "cj" => isset($kb["cj"]) ? $kb["cj"] : [], "pd" => isset($kb["pd"]) ? $kb["pd"] : [], "else" => isset($kb["else"]) ? $kb["else"] : null], $hc);
$this->kd = $kd;}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Fgzg/VayvarUGZY.cuc") => 
'<?php

namespace PhpParser\\Node\\Stmt;

use PhpParser\\Node\\Stmt;
class InlineHTML extends Stmt{
public function __construct($bp, array $hc = []){
parent::__construct(["bp" => $bp], $hc);}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Fgzg/Vagresnpr_.cuc") => 
'<?php

namespace PhpParser\\Node\\Stmt;

use PhpParser\\Node;
use PhpParser\\Error;
class Interface_ extends Node\\Stmt{
protected static $lh = ["self" => true, "parent" => true, "static" => true];
public function __construct($ao, array $kb = [], array $hc = []){
parent::__construct(["ao" => $ao, "extends" => isset($kb["extends"]) ? $kb["extends"] : [], "cj" => isset($kb["cj"]) ? $kb["cj"] : []], $hc);
if (isset(self::$lh[(string) $this->ao])) {
throw new Error(sprintf(str_rot13("Pnaabg hfr \'%f\' nf pynff anzr nf vg vf erfreirq"), $this->ao));}
foreach ($this->extends as $interface) {
if (isset(self::$lh[(string) $interface])) {
throw new Error(sprintf(str_rot13("Pnaabg hfr \'%f\' nf vagresnpr anzr nf vg vf erfreirq"), $interface));}}}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Fgzg/Ynory.cuc") => 
'<?php

namespace PhpParser\\Node\\Stmt;

use PhpParser\\Node\\Stmt;
class Label extends Stmt{
public function __construct($ao, array $hc = []){
parent::__construct(["ao" => $ao], $hc);}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Fgzg/Anzrfcnpr_.cuc") => 
'<?php

namespace PhpParser\\Node\\Stmt;

use PhpParser\\Node;
use PhpParser\\Error;
class Namespace_ extends Node\\Stmt{
protected static $lh = ["self" => true, "parent" => true, "static" => true];
public function __construct(Node\\Name $ao = null, $cj = [], array $hc = []){
parent::__construct(["ao" => $ao, "cj" => $cj], $hc);
if (isset(self::$lh[(string) $this->ao])) {
throw new Error(sprintf(str_rot13("Pnaabg hfr \'%f\' nf anzrfcnpr anzr"), $this->ao));}
if (null !== $this->cj) {
foreach ($this->cj as $gx) {
if ($gx instanceof self) {
throw new Error(str_rot13("Anzrfcnpr qrpynengvbaf pnaabg or arfgrq"), $gx->il());}}}}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Fgzg/Cebcregl.cuc") => 
'<?php

namespace PhpParser\\Node\\Stmt;

use PhpParser\\Node;
use PhpParser\\Error;
class Property extends Node\\Stmt{
public function __construct($type, array $ln, array $hc = []){
if (0 === ($type & Class_::VISIBILITY_MODIFER_MASK)) {
$type |= Class_::MODIFIER_PUBLIC;}
if ($type & Class_::MODIFIER_ABSTRACT) {
throw new Error(str_rot13("Cebcregvrf pnaabg or qrpynerq nofgenpg"));}
if ($type & Class_::MODIFIER_FINAL) {
throw new Error(str_rot13("Cebcregvrf pnaabg or qrpynerq svany"));}
parent::__construct(["type" => $type, "ln" => $ln], $hc);}
public function lb(){
return (bool) ($this->type & Class_::MODIFIER_PUBLIC);}
public function lc(){
return (bool) ($this->type & Class_::MODIFIER_PROTECTED);}
public function ld(){
return (bool) ($this->type & Class_::MODIFIER_PRIVATE);}
public function lg(){
return (bool) ($this->type & Class_::MODIFIER_STATIC);}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Fgzg/CebcreglCebcregl.cuc") => 
'<?php

namespace PhpParser\\Node\\Stmt;

use PhpParser\\Node;
class PropertyProperty extends Node\\Stmt{
public function __construct($ao, Node\\Expr $default = null, array $hc = []){
parent::__construct(["ao" => $ao, "default" => $default], $hc);}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Fgzg/Erghea_.cuc") => 
'<?php

namespace PhpParser\\Node\\Stmt;

use PhpParser\\Node;
class Return_ extends Node\\Stmt{
public function __construct(Node\\Expr $jy = null, array $hc = []){
parent::__construct(["jy" => $jy], $hc);}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Fgzg/FgngvpIne.cuc") => 
'<?php

namespace PhpParser\\Node\\Stmt;

use PhpParser\\Node;
class StaticVar extends Node\\Stmt{
public function __construct($ao, Node\\Expr $default = null, array $hc = []){
parent::__construct(["ao" => $ao, "default" => $default], $hc);}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Fgzg/Fgngvp_.cuc") => 
'<?php

namespace PhpParser\\Node\\Stmt;

use PhpParser\\Node\\Stmt;
class Static_ extends Stmt{
public function __construct(array $kc, array $hc = []){
parent::__construct(["kc" => $kc], $hc);}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Fgzg/Fjvgpu_.cuc") => 
'<?php

namespace PhpParser\\Node\\Stmt;

use PhpParser\\Node;
class Switch_ extends Node\\Stmt{
public function __construct(Node\\Expr $kd, array $lo, array $hc = []){
parent::__construct(["kd" => $kd, "lo" => $lo], $hc);}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Fgzg/Guebj_.cuc") => 
'<?php

namespace PhpParser\\Node\\Stmt;

use PhpParser\\Node;
class Throw_ extends Node\\Stmt{
public function __construct(Node\\Expr $jy, array $hc = []){
parent::__construct(["jy" => $jy], $hc);}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Fgzg/GenvgHfr.cuc") => 
'<?php

namespace PhpParser\\Node\\Stmt;

use PhpParser\\Node;
class TraitUse extends Node\\Stmt{
public function __construct(array $lp, array $lq = [], array $hc = []){
parent::__construct(["lp" => $lp, "lq" => $lq], $hc);}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Fgzg/GenvgHfrNqncgngvba/Nyvnf.cuc") => 
'<?php

namespace PhpParser\\Node\\Stmt\\TraitUseAdaptation;

use PhpParser\\Node;
class Alias extends Node\\Stmt\\TraitUseAdaptation{
public function __construct($trait, $ie, $lr, $ls, array $hc = []){
parent::__construct(["trait" => $trait, "ie" => $ie, "lr" => $lr, "ls" => $ls], $hc);}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Fgzg/GenvgHfrNqncgngvba/Cerprqrapr.cuc") => 
'<?php

namespace PhpParser\\Node\\Stmt\\TraitUseAdaptation;

use PhpParser\\Node;
class Precedence extends Node\\Stmt\\TraitUseAdaptation{
public function __construct(Node\\Name $trait, $ie, array $insteadof, array $hc = []){
parent::__construct(["trait" => $trait, "ie" => $ie, "insteadof" => $insteadof], $hc);}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Fgzg/GenvgHfrNqncgngvba.cuc") => 
'<?php

namespace PhpParser\\Node\\Stmt;

use PhpParser\\Node;
abstract class TraitUseAdaptation extends Node\\Stmt{}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Fgzg/Genvg_.cuc") => 
'<?php

namespace PhpParser\\Node\\Stmt;

use PhpParser\\Node;
class Trait_ extends Node\\Stmt{
public function __construct($ao, array $cj = [], array $hc = []){
parent::__construct(["ao" => $ao, "cj" => $cj], $hc);}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Fgzg/GelPngpu.cuc") => 
'<?php

namespace PhpParser\\Node\\Stmt;

use PhpParser\\Node;
use PhpParser\\Error;
class TryCatch extends Node\\Stmt{
public function __construct(array $cj, array $lt, array $lu = null, array $hc = []){
if (empty($lt) && null === $lu) {
throw new Error(str_rot13("Pnaabg hfr gel jvgubhg pngpu be svanyyl"));}
parent::__construct(["cj" => $cj, "lt" => $lt, "lu" => $lu], $hc);}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Fgzg/Hafrg_.cuc") => 
'<?php

namespace PhpParser\\Node\\Stmt;

use PhpParser\\Node;
class Unset_ extends Node\\Stmt{
public function __construct(array $kc, array $hc = []){
parent::__construct(["kc" => $kc], $hc);}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Fgzg/HfrHfr.cuc") => 
'<?php

namespace PhpParser\\Node\\Stmt;

use PhpParser\\Node;
use PhpParser\\Error;
class UseUse extends Node\\Stmt{
public function __construct(Node\\Name $ao, $lv = null, array $hc = []){
if (null === $lv) {
$lv = $ao->kj();}
if ("self" == $lv || "parent" == $lv) {
throw new Error(sprintf(str_rot13("Pnaabg hfr %f nf %f orpnhfr \'%2\\$f\' vf n fcrpvny pynff anzr"), $ao, $lv));}
parent::__construct(["ao" => $ao, "lv" => $lv], $hc);}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Fgzg/Hfr_.cuc") => 
'<?php

namespace PhpParser\\Node\\Stmt;

use PhpParser\\Node\\Stmt;
class Use_ extends Stmt{
const TYPE_NORMAL = 1;
const TYPE_FUNCTION = 2;
const TYPE_CONSTANT = 3;
public function __construct(array $gn, $type = self::TYPE_NORMAL, array $hc = []){
parent::__construct(["type" => $type, "gn" => $gn], $hc);}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Fgzg/Juvyr_.cuc") => 
'<?php

namespace PhpParser\\Node\\Stmt;

use PhpParser\\Node;
class While_ extends Node\\Stmt{
public function __construct(Node\\Expr $kd, array $cj = [], array $hc = []){
parent::__construct(["kd" => $kd, "cj" => $cj], $hc);}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr/Fgzg.cuc") => 
'<?php

namespace PhpParser\\Node;

use PhpParser\\NodeAbstract;
abstract class Stmt extends NodeAbstract{}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Abqr.cuc") => 
'<?php

namespace PhpParser;

interface Node{
public function ha();
public function lw();
public function il();
public function im($line);
public function lx();
public function du($key, $bp);
public function bv($key);
public function &dv($key, $default = null);
public function ly();}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/AbqrNofgenpg.cuc") => 
'<?php

namespace PhpParser;

abstract class NodeAbstract implements Node, \\IteratorAggregate{
protected $kb;
protected $hc;
public function __construct(array $kb = [], array $hc = []){
$this->kb = $kb;
$this->hc = $hc;}
public function ha(){
return strtr(substr(rtrim(get_class($this), "_"), 15), "\\\\", "_");}
public function lw(){
return array_keys($this->kb);}
public function il(){
return $this->dv(str_rot13("fgnegYvar"), -1);}
public function im($line){
$this->du(str_rot13("fgnegYvar"), (int) $line);}
public function lx(){
$bg = $this->dv("bg");
if (!$bg) {
return null;}
$lz = $bg[count($bg) - 1];
if (!$lz instanceof Comment\\Doc) {
return null;}
return $lz;}
public function du($key, $bp){
$this->hc[$key] = $bp;}
public function bv($key){
return array_key_exists($key, $this->hc);}
public function &dv($key, $default = null){
if (!array_key_exists($key, $this->hc)) {
return $default;} else {
return $this->hc[$key];}}
public function ly(){
return $this->hc;}
public function &__get($ao){
return $this->kb[$ao];}
public function __set($ao, $bp){
$this->kb[$ao] = $bp;}
public function __isset($ao){
return isset($this->kb[$ao]);}
public function __unset($ao){
unset($this->kb[$ao]);}
public function getIterator(){
return new \\ArrayIterator($this->kb);}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/AbqrQhzcre.cuc") => 
'<?php

namespace PhpParser;

class NodeDumper{
public function ef($bl){
if ($bl instanceof Node) {
$r = $bl->ha() . "(";} elseif (is_array($bl)) {
$r = str_rot13("neenl(");} else {
throw new \\InvalidArgumentException(str_rot13("Pna bayl qhzc abqrf naq neenlf."));}
foreach ($bl as $key => $bp) {
$r .= "
" . "    " . $key . ": ";
if (null === $bp) {
$r .= "null";} elseif (false === $bp) {
$r .= "false";} elseif (true === $bp) {
$r .= "true";} elseif (is_scalar($bp)) {
$r .= $bp;} else {
$r .= str_replace("
", "
" . "    ", $this->ef($bp));}}
return $r . "
" . ")";}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/AbqrGenirefre.cuc") => 
'<?php

namespace PhpParser;

class NodeTraverser implements NodeTraverserInterface{
protected $ma;
public function __construct(){
$this->ma = [];}
public function ci(NodeVisitor $cq){
$this->ma[] = $cq;}
public function md(NodeVisitor $cq){
foreach ($this->ma as $mb => $mc) {
if ($mc === $cq) {
unset($this->ma[$mb]);
break;}}}
public function cl(array $bi){
foreach ($this->ma as $cq) {
if (null !== ($return = $cq->me($bi))) {
$bi = $return;}}
$bi = $this->mf($bi);
foreach ($this->ma as $cq) {
if (null !== ($return = $cq->mg($bi))) {
$bi = $return;}}
return $bi;}
protected function mi(Node $bl){
$bl = clone $bl;
foreach ($bl->lw() as $ao) {
$mh =& $bl->{$ao};
if (is_array($mh)) {
$mh = $this->mf($mh);} elseif ($mh instanceof Node) {
foreach ($this->ma as $cq) {
if (null !== ($return = $cq->bu($mh))) {
$mh = $return;}}
$mh = $this->mi($mh);
foreach ($this->ma as $cq) {
if (null !== ($return = $cq->bx($mh))) {
$mh = $return;}}}}
return $bl;}
protected function mf(array $bi){
$mj = [];
foreach ($bi as $i => &$bl) {
if (is_array($bl)) {
$bl = $this->mf($bl);} elseif ($bl instanceof Node) {
foreach ($this->ma as $cq) {
if (null !== ($return = $cq->bu($bl))) {
$bl = $return;}}
$bl = $this->mi($bl);
foreach ($this->ma as $cq) {
$return = $cq->bx($bl);
if (false === $return) {
$mj[] = [$i, []];
break;} elseif (is_array($return)) {
$mj[] = [$i, $return];
break;} elseif (null !== $return) {
$bl = $return;}}}}
if (!empty($mj)) {
while (list($i, $je) = array_pop($mj)) {
array_splice($bi, $i, 1, $je);}}
return $bi;}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/AbqrGenirefreVagresnpr.cuc") => 
'<?php

namespace PhpParser;

interface NodeTraverserInterface{
public function ci(NodeVisitor $cq);
public function md(NodeVisitor $cq);
public function cl(array $bi);}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/AbqrIvfvgbe/AnzrErfbyire.cuc") => 
'<?php

namespace PhpParser\\NodeVisitor;

use PhpParser\\NodeVisitorAbstract;
use PhpParser\\Error;
use PhpParser\\Node;
use PhpParser\\Node\\Name;
use PhpParser\\Node\\Expr;
use PhpParser\\Node\\Stmt;
class NameResolver extends NodeVisitorAbstract{
protected $namespace;
protected $mk;
public function me(array $bi){
$this->ml();}
public function bu(Node $bl){
if ($bl instanceof Stmt\\Namespace_) {
$this->ml($bl->ao);} elseif ($bl instanceof Stmt\\Use_) {
foreach ($bl->gn as $use) {
$this->mm($use, $bl->type);}} elseif ($bl instanceof Stmt\\Class_) {
if (null !== $bl->extends) {
$bl->extends = $this->mn($bl->extends);}
foreach ($bl->implements as &$interface) {
$interface = $this->mn($interface);}
$this->mo($bl);} elseif ($bl instanceof Stmt\\Interface_) {
foreach ($bl->extends as &$interface) {
$interface = $this->mn($interface);}
$this->mo($bl);} elseif ($bl instanceof Stmt\\Trait_) {
$this->mo($bl);} elseif ($bl instanceof Stmt\\Function_) {
$this->mo($bl);} elseif ($bl instanceof Stmt\\Const_) {
foreach ($bl->la as $const) {
$this->mo($const);}} elseif ($bl instanceof Expr\\StaticCall || $bl instanceof Expr\\StaticPropertyFetch || $bl instanceof Expr\\ClassConstFetch || $bl instanceof Expr\\New_ || $bl instanceof Expr\\Instanceof_) {
if ($bl->class instanceof Name) {
$bl->class = $this->mn($bl->class);}} elseif ($bl instanceof Stmt\\Catch_) {
$bl->type = $this->mn($bl->type);} elseif ($bl instanceof Expr\\FuncCall) {
if ($bl->ao instanceof Name) {
$bl->ao = $this->mp($bl->ao, Stmt\\Use_::TYPE_FUNCTION);}} elseif ($bl instanceof Expr\\ConstFetch) {
$bl->ao = $this->mp($bl->ao, Stmt\\Use_::TYPE_CONSTANT);} elseif ($bl instanceof Stmt\\TraitUse) {
foreach ($bl->lp as &$trait) {
$trait = $this->mn($trait);}
foreach ($bl->lq as $mq) {
if (null !== $mq->trait) {
$mq->trait = $this->mn($mq->trait);}
if ($mq instanceof Stmt\\TraitUseAdaptation\\Precedence) {
foreach ($mq->insteadof as &$insteadof) {
$insteadof = $this->mn($insteadof);}}}} elseif ($bl instanceof Node\\Param && $bl->type instanceof Name) {
$bl->type = $this->mn($bl->type);}}
protected function ml(Name $namespace = null){
$this->namespace = $namespace;
$this->mk = [Stmt\\Use_::TYPE_NORMAL => [], Stmt\\Use_::TYPE_FUNCTION => [], Stmt\\Use_::TYPE_CONSTANT => []];}
protected function mm(Stmt\\UseUse $use, $type){
if ($type === Stmt\\Use_::TYPE_CONSTANT) {
$mr = $use->lv;} else {
$mr = strtolower($use->lv);}
if (isset($this->mk[$type][$mr])) {
$ms = [Stmt\\Use_::TYPE_NORMAL => "", Stmt\\Use_::TYPE_FUNCTION => str_rot13("shapgvba "), Stmt\\Use_::TYPE_CONSTANT => str_rot13("pbafg ")];
throw new Error(sprintf(str_rot13("Pnaabg hfr %f%f nf %f orpnhfr gur anzr vf nyernql va hfr"), $ms[$type], $use->ao, $use->lv), $use->il());}
$this->mk[$type][$mr] = $use->ao;}
protected function mn(Name $ao){
if (in_array(strtolower($ao), ["self", "parent", "static"])) {
if (!$ao->ke()) {
throw new Error(sprintf(str_rot13("\'\\\\%f\' vf na vainyvq pynff anzr"), $ao->kl()), $ao->il());}
return $ao;}
if ($ao->kg()) {
return $ao;}
$mr = strtolower($ao->ki());
if (!$ao->kh() && isset($this->mk[Stmt\\Use_::TYPE_NORMAL][$mr])) {
$ao->kp($this->mk[Stmt\\Use_::TYPE_NORMAL][$mr]);} elseif (null !== $this->namespace) {
$ao->gi($this->namespace);}
return new Name\\FullyQualified($ao->ca, $ao->ly());}
protected function mp(Name $ao, $type){
if ($ao->kg()) {
return $ao;}
$mr = strtolower($ao->ki());
if ($ao->kf() && isset($this->mk[Stmt\\Use_::TYPE_NORMAL][$mr])) {
$ao->kp($this->mk[Stmt\\Use_::TYPE_NORMAL][$mr]);} elseif ($ao->ke()) {
if ($type === Stmt\\Use_::TYPE_CONSTANT) {
$mr = $ao->ki();}
if (isset($this->mk[$type][$mr])) {
$ao->kn($this->mk[$type][$mr]);} else {
return $ao;}} elseif (null !== $this->namespace) {
$ao->gi($this->namespace);}
return new Name\\FullyQualified($ao->ca, $ao->ly());}
protected function mo(Node $bl){
if (null !== $this->namespace) {
$bl->mt = clone $this->namespace;
$bl->mt->ko($bl->ao);} else {
$bl->mt = new Name($bl->ao, $bl->ly());}}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/AbqrIvfvgbe.cuc") => 
'<?php

namespace PhpParser;

interface NodeVisitor{
public function me(array $bi);
public function bu(Node $bl);
public function bx(Node $bl);
public function mg(array $bi);}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/AbqrIvfvgbeNofgenpg.cuc") => 
'<?php

namespace PhpParser;

class NodeVisitorAbstract implements NodeVisitor{
public function me(array $bi){}
public function bu(Node $bl){}
public function bx(Node $bl){}
public function mg(array $bi){}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Cnefre.cuc") => 
'<?php

namespace PhpParser;

class Parser extends ParserAbstract{
protected $mu = 389;
protected $mv = 1098;
protected $mw = 571;
protected $mx = 154;
protected $my = -32766;
protected $mz = 32767;
protected $na = 401;
protected $nb = 629;
const YYERRTOK = 256;
const T_INCLUDE = 257;
const T_INCLUDE_ONCE = 258;
const T_EVAL = 259;
const T_REQUIRE = 260;
const T_REQUIRE_ONCE = 261;
const T_LOGICAL_OR = 262;
const T_LOGICAL_XOR = 263;
const T_LOGICAL_AND = 264;
const T_PRINT = 265;
const T_YIELD = 266;
const T_PLUS_EQUAL = 267;
const T_MINUS_EQUAL = 268;
const T_MUL_EQUAL = 269;
const T_DIV_EQUAL = 270;
const T_CONCAT_EQUAL = 271;
const T_MOD_EQUAL = 272;
const T_AND_EQUAL = 273;
const T_OR_EQUAL = 274;
const T_XOR_EQUAL = 275;
const T_SL_EQUAL = 276;
const T_SR_EQUAL = 277;
const T_POW_EQUAL = 278;
const T_BOOLEAN_OR = 279;
const T_BOOLEAN_AND = 280;
const T_IS_EQUAL = 281;
const T_IS_NOT_EQUAL = 282;
const T_IS_IDENTICAL = 283;
const T_IS_NOT_IDENTICAL = 284;
const T_IS_SMALLER_OR_EQUAL = 285;
const T_IS_GREATER_OR_EQUAL = 286;
const T_SL = 287;
const T_SR = 288;
const T_INSTANCEOF = 289;
const T_INC = 290;
const T_DEC = 291;
const T_INT_CAST = 292;
const T_DOUBLE_CAST = 293;
const T_STRING_CAST = 294;
const T_ARRAY_CAST = 295;
const T_OBJECT_CAST = 296;
const T_BOOL_CAST = 297;
const T_UNSET_CAST = 298;
const T_POW = 299;
const T_NEW = 300;
const T_CLONE = 301;
const T_EXIT = 302;
const T_IF = 303;
const T_ELSEIF = 304;
const T_ELSE = 305;
const T_ENDIF = 306;
const T_LNUMBER = 307;
const T_DNUMBER = 308;
const T_STRING = 309;
const T_STRING_VARNAME = 310;
const T_VARIABLE = 311;
const T_NUM_STRING = 312;
const T_INLINE_HTML = 313;
const T_CHARACTER = 314;
const T_BAD_CHARACTER = 315;
const T_ENCAPSED_AND_WHITESPACE = 316;
const T_CONSTANT_ENCAPSED_STRING = 317;
const T_ECHO = 318;
const T_DO = 319;
const T_WHILE = 320;
const T_ENDWHILE = 321;
const T_FOR = 322;
const T_ENDFOR = 323;
const T_FOREACH = 324;
const T_ENDFOREACH = 325;
const T_DECLARE = 326;
const T_ENDDECLARE = 327;
const T_AS = 328;
const T_SWITCH = 329;
const T_ENDSWITCH = 330;
const T_CASE = 331;
const T_DEFAULT = 332;
const T_BREAK = 333;
const T_CONTINUE = 334;
const T_GOTO = 335;
const T_FUNCTION = 336;
const T_CONST = 337;
const T_RETURN = 338;
const T_TRY = 339;
const T_CATCH = 340;
const T_FINALLY = 341;
const T_THROW = 342;
const T_USE = 343;
const T_INSTEADOF = 344;
const T_GLOBAL = 345;
const T_STATIC = 346;
const T_ABSTRACT = 347;
const T_FINAL = 348;
const T_PRIVATE = 349;
const T_PROTECTED = 350;
const T_PUBLIC = 351;
const T_VAR = 352;
const T_UNSET = 353;
const T_ISSET = 354;
const T_EMPTY = 355;
const T_HALT_COMPILER = 356;
const T_CLASS = 357;
const T_TRAIT = 358;
const T_INTERFACE = 359;
const T_EXTENDS = 360;
const T_IMPLEMENTS = 361;
const T_OBJECT_OPERATOR = 362;
const T_DOUBLE_ARROW = 363;
const T_LIST = 364;
const T_ARRAY = 365;
const T_CALLABLE = 366;
const T_CLASS_C = 367;
const T_TRAIT_C = 368;
const T_METHOD_C = 369;
const T_FUNC_C = 370;
const T_LINE = 371;
const T_FILE = 372;
const T_COMMENT = 373;
const T_DOC_COMMENT = 374;
const T_OPEN_TAG = 375;
const T_OPEN_TAG_WITH_ECHO = 376;
const T_CLOSE_TAG = 377;
const T_WHITESPACE = 378;
const T_START_HEREDOC = 379;
const T_END_HEREDOC = 380;
const T_DOLLAR_OPEN_CURLY_BRACES = 381;
const T_CURLY_OPEN = 382;
const T_PAAMAYIM_NEKUDOTAYIM = 383;
const T_NAMESPACE = 384;
const T_NS_C = 385;
const T_DIR = 386;
const T_NS_SEPARATOR = 387;
const T_ELLIPSIS = 388;
protected $nc = ["EOF", "eg", "T_INCLUDE", "T_INCLUDE_ONCE", "T_EVAL", "T_REQUIRE", "T_REQUIRE_ONCE", "\',\'", "T_LOGICAL_OR", "T_LOGICAL_XOR", "T_LOGICAL_AND", "T_PRINT", "T_YIELD", "\'=\'", "T_PLUS_EQUAL", "T_MINUS_EQUAL", "T_MUL_EQUAL", "T_DIV_EQUAL", "T_CONCAT_EQUAL", "T_MOD_EQUAL", "T_AND_EQUAL", "T_OR_EQUAL", "T_XOR_EQUAL", "T_SL_EQUAL", "T_SR_EQUAL", "T_POW_EQUAL", "\'?\'", "\':\'", "T_BOOLEAN_OR", "T_BOOLEAN_AND", "\'|\'", "\'^\'", "\'&\'", "T_IS_EQUAL", "T_IS_NOT_EQUAL", "T_IS_IDENTICAL", "T_IS_NOT_IDENTICAL", "\'<\'", "T_IS_SMALLER_OR_EQUAL", "\'>\'", "T_IS_GREATER_OR_EQUAL", "T_SL", "T_SR", "\'+\'", "\'-\'", "\'.\'", "\'*\'", "\'/\'", "\'%\'", "\'!\'", "T_INSTANCEOF", "\'~\'", "T_INC", "T_DEC", "T_INT_CAST", "T_DOUBLE_CAST", "T_STRING_CAST", "T_ARRAY_CAST", "T_OBJECT_CAST", "T_BOOL_CAST", "T_UNSET_CAST", "\'@\'", "T_POW", "\'[\'", "T_NEW", "T_CLONE", "T_EXIT", "T_IF", "T_ELSEIF", "T_ELSE", "T_ENDIF", "T_LNUMBER", "T_DNUMBER", "T_STRING", "T_STRING_VARNAME", "T_VARIABLE", "T_NUM_STRING", "T_INLINE_HTML", "T_ENCAPSED_AND_WHITESPACE", "T_CONSTANT_ENCAPSED_STRING", "T_ECHO", "T_DO", "T_WHILE", "T_ENDWHILE", "T_FOR", "T_ENDFOR", "T_FOREACH", "T_ENDFOREACH", "T_DECLARE", "T_ENDDECLARE", "T_AS", "T_SWITCH", "T_ENDSWITCH", "T_CASE", "T_DEFAULT", "T_BREAK", "T_CONTINUE", "T_GOTO", "T_FUNCTION", "T_CONST", "T_RETURN", "T_TRY", "T_CATCH", "T_FINALLY", "T_THROW", "T_USE", "T_INSTEADOF", "T_GLOBAL", "T_STATIC", "T_ABSTRACT", "T_FINAL", "T_PRIVATE", "T_PROTECTED", "T_PUBLIC", "T_VAR", "T_UNSET", "T_ISSET", "T_EMPTY", "T_HALT_COMPILER", "T_CLASS", "T_TRAIT", "T_INTERFACE", "T_EXTENDS", "T_IMPLEMENTS", "T_OBJECT_OPERATOR", "T_DOUBLE_ARROW", "T_LIST", "T_ARRAY", "T_CALLABLE", "T_CLASS_C", "T_TRAIT_C", "T_METHOD_C", "T_FUNC_C", "T_LINE", "T_FILE", "T_START_HEREDOC", "T_END_HEREDOC", "T_DOLLAR_OPEN_CURLY_BRACES", "T_CURLY_OPEN", "T_PAAMAYIM_NEKUDOTAYIM", "T_NAMESPACE", "T_NS_C", "T_DIR", "T_NS_SEPARATOR", "T_ELLIPSIS", "\';\'", "\'{\'", "\'}\'", "\'(\'", "\')\'", "\'\\$\'", "\'`\'", "\']\'", "\'\\"\'"];
protected $nd = [0, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 49, 153, 154, 150, 48, 32, 154, 148, 149, 46, 43, 7, 44, 45, 47, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 27, 145, 37, 13, 39, 26, 61, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 63, 154, 152, 31, 154, 151, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 146, 30, 147, 51, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 154, 1, 2, 3, 4, 5, 6, 8, 9, 10, 11, 12, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 28, 29, 33, 34, 35, 36, 38, 40, 41, 42, 50, 52, 53, 54, 55, 56, 57, 58, 59, 60, 62, 64, 65, 66, 67, 68, 69, 70, 71, 72, 73, 74, 75, 76, 77, 154, 154, 78, 79, 80, 81, 82, 83, 84, 85, 86, 87, 88, 89, 90, 91, 92, 93, 94, 95, 96, 97, 98, 99, 100, 101, 102, 103, 104, 105, 106, 107, 108, 109, 110, 111, 112, 113, 114, 115, 116, 117, 118, 119, 120, 121, 122, 123, 124, 125, 126, 127, 128, 129, 130, 131, 132, 133, 134, 154, 154, 154, 154, 154, 154, 135, 136, 137, 138, 139, 140, 141, 142, 143, 144];
protected $ne = [60, 61, 411, 62, 63, -32766, -32766, -32766, -32766, 64, 65, 216, 217, 218, 219, 220, 221, 222, 223, 224, 225, 226, 227, 228, 229, 230, 231, 232, 233, 234, 235, 236, -32766, -32766, -32766, -32766, -32766, -32767, -32767, -32767, -32767, 66, 67, 58, 436, 237, 238, 68, 370, 69, 290, 291, 70, 71, 72, 73, 74, 75, 76, 77, 306, 32, 300, 78, 403, 412, 410, 281, 408, 942, 943, 448, 0, 1035, 329, 679, 428, 449, 46, 27, 413, 31, 450, 797, 451, 126, 452, 215, 583, 414, 758, 759, 54, 36, 37, 453, 419, 415, 38, 454, 348, 349, 79, 184, 321, 351, 352, 1035, 455, 456, 39, 293, -122, 457, 458, 459, 704, 661, 705, 460, 461, 297, 894, 35, 462, 463, 125, 948, 949, 950, 951, 945, 946, 307, 83, 84, 85, 204, 476, 952, 947, 416, 294, 685, 602, 407, 47, 733, 332, 319, 425, 323, 40, 604, 86, 87, 88, 89, 90, 91, 92, 93, 94, 95, 96, 97, 98, 99, 100, 101, 102, 103, 104, 105, 106, 121, 301, -32766, 408, -32766, -32766, -32766, 332, 633, 329, 339, 22, -32766, 107, 334, -32766, -32766, -32766, 797, -32766, 429, -32766, -32766, -32766, -32766, -32766, -32766, 213, 214, 215, -32766, -32766, -32766, 909, 1042, -32766, -32766, 294, 433, -32766, 462, 350, -32766, 475, 1067, 184, 1069, 1068, 761, 894, -32766, 702, 213, 214, 215, 41, 108, 109, 110, 111, 112, 113, 114, 115, 116, 117, 118, 119, 1029, 292, 184, 523, -32766, -32766, -32766, -32766, -32766, -32766, 633, 129, -32766, -32766, -32766, 446, 1001, -32766, -32766, -32766, 431, -32766, 734, -32766, 358, -32766, 835, 837, -32766, 213, 214, 215, -32766, -32766, -32766, 132, -32766, -32766, -32766, 279, 430, -32766, 633, 130, -32766, 475, -32766, 184, 894, -32766, -32766, -32766, -32766, -32766, 296, -32766, 408, -32766, 601, 633, -32766, -32766, 329, -118, -32766, -32766, -32766, 1057, 282, -32766, -32766, 797, 770, -32766, 120, 340, -32766, 475, 237, 238, 894, 129, -32766, -32766, -32766, 415, 760, -32767, -32767, -32767, -32767, 99, 100, 101, 102, 103, 455, 456, -392, 592, 993, 435, 55, -32766, 703, 661, 705, 460, 461, 633, -32766, -32766, -32766, -32766, -32766, -32766, -32766, -32766, -32766, 1064, -32766, 1057, -32766, 894, -32766, 999, 476, -32766, 992, 416, 789, -32766, -32766, -32766, 692, -32766, -32766, -32766, 128, 243, -32766, 633, 380, -32766, 475, -32766, 239, 283, -32766, -32766, -32766, -32766, -32766, 779, -32766, 633, -32766, 1035, 677, -32766, 214, 215, 676, -32766, -32766, -32766, 894, 184, -32766, -32766, 1039, 559, -32766, 784, 130, -32766, 475, 184, -32766, 324, 242, -32766, -32766, -32766, 633, 122, 295, 1000, -32766, 207, 919, -32766, -32766, -32766, 206, -32766, 998, -32766, 894, -32766, 205, 57, -32766, -32766, -32766, -32766, -32766, -32766, -32766, -32766, -32766, -32766, -32766, -32766, -32766, -32766, 134, 689, -32766, 475, 551, -32766, 476, -32766, -32766, 416, -32766, 633, -32766, 954, 420, -32766, 332, 1001, -32766, -32766, -32766, 954, -32766, 624, -32766, 894, -32766, 131, 617, -32766, 213, 214, 215, -32766, -32766, -32766, 626, -32766, -32766, -32766, -32766, -32766, -32766, 633, 614, -32766, 475, -32766, 184, 241, -32766, -32766, -32766, -32766, -32766, 618, -32766, 894, -32766, 443, 565, -32766, 231, 232, 233, -32766, -32766, -32766, 123, 133, -32766, -32766, 438, 28, -32766, 135, 359, -32766, 475, 605, -32766, 758, 759, -32766, -32766, -32766, 633, -32766, -32766, -32766, -32766, 574, 575, -32766, -32766, -32766, 607, -32766, 698, -32766, 894, -32766, 794, 628, -32766, -32766, 301, -32766, -32766, -32766, -32766, 107, -32766, -32766, -32766, -32766, -32766, -32766, 633, 300, -32766, 475, -32766, 783, 623, -32766, -32766, -32766, -32766, -32766, 50, -32766, 579, -32766, 51, 52, -32766, 101, 102, 103, -32766, -32766, -32766, 640, 609, -32766, -32766, 53, 49, -32766, 56, 496, -32766, 475, 59, -32766, 633, 912, 673, -32766, -32766, 633, 104, 105, 106, -32766, 301, 576, -32766, -32766, -32766, 424, -32766, 426, -32766, 600, -32766, 240, 107, -32766, -32766, -32766, -32766, -32766, -32766, -32766, 791, 497, -32766, -32766, 669, -32766, -32766, 208, 209, -32766, 475, 415, -32766, 210, 589, 211, 514, -32766, 634, 213, 214, 215, 455, 456, 513, 650, 501, 202, 234, 235, 236, 661, 705, 460, 461, 942, 943, 184, 652, -32766, -32766, 1062, -167, 944, 237, 238, 633, 671, -32766, 584, -32766, 500, 591, -32766, -32766, -32766, 1057, -32766, 338, -32766, 896, -32766, 337, 427, -32766, -32766, -32766, -32766, -32766, -32766, -32766, 556, 330, -32766, -32766, 299, 570, -32766, 516, 544, -32766, 475, 278, -32766, -164, -32766, -32766, -32766, -32766, 568, 953, 541, 327, 948, 949, 950, 951, 945, 946, 386, 423, 208, 209, 445, 506, 952, 947, 210, 124, 211, 706, -392, 212, 328, -32766, 707, 700, 333, -32766, -32766, 790, 202, 935, -393, 320, 322, -32766, 0, 42, 942, 943, 0, 633, -32766, 462, 0, -32766, 944, 788, -32766, -32766, -32766, 0, -32766, 608, -32766, 373, -32766, 597, -300, -32766, 360, 326, 310, -32766, -32766, -32766, -291, -299, -32766, -32766, 415, 404, -32766, 425, 407, -32766, 475, 318, 45, 610, 611, 455, 456, -32766, 805, 806, 807, 804, 803, 802, 639, 705, 460, 461, 541, 646, 948, 949, 950, 951, 945, 946, 386, -32766, -32766, -32766, 675, 645, 952, 947, 717, 726, 331, -32766, -32766, 212, 688, -32766, 666, 642, 681, -32766, 736, -32766, -32766, -32766, -32766, -32766, -32767, -32767, -32767, -32767, -32766, -32766, -32766, -32766, -32766, -32766, -32766, -32766, -32766, -32767, -32767, -32767, -32767, 415, 404, 727, 644, 643, 719, 787, 318, 678, 728, 664, 455, 456, 44, 721, 687, 674, 415, 404, 672, 639, 705, 460, 461, 318, 780, 670, 680, 455, 456, -32766, -32766, -32766, 621, 622, 415, 615, 639, 705, 460, 461, 625, 331, 627, 82, 603, 455, 456, -32766, 641, -32766, -32766, -32766, -32766, -32766, 661, 705, 460, 461, 331, 415, 620, 613, 127, 892, 415, 303, 442, 1063, 1036, 1065, 455, 456, 1066, 1020, 1034, 455, 456, 415, 1032, 661, 705, 460, 461, 694, 661, 705, 460, 461, 455, 456, 933, 1030, 1040, 725, 415, 772, 553, 661, 705, 460, 461, 302, 289, -32766, 304, 455, 456, 415, 895, 958, 305, 415, 599, 701, 661, 705, 460, 461, 455, 456, 335, 288, 455, 456, 280, 415, 662, 661, 705, 460, 461, 661, 705, 460, 461, 402, 455, 456, 590, 406, 203, 81, 415, 612, 762, 661, 705, 460, 461, 415, 80, 48, 43, 455, 456, 34, 795, -32766, -32766, -32766, 455, 456, 661, 705, 460, 461, 33, 30, 577, 661, 705, 460, 461, 901, 898, -32766, 0, -32766, -32766, -32766, -32766, 596, 569, 536, 444, 439, 381, 361, 25, 24, 23, -118, 873, 0, 545, 874, 897, -119, 0, 0, 0, 1014, 959, 0, 1061, 932, 1031, 1015, 1019, 1033, 918, 905, 906, 903, 904, 902];
protected $nf = [2, 3, 4, 5, 6, 28, 29, 30, 31, 11, 12, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 28, 29, 30, 31, 32, 33, 34, 35, 36, 43, 44, 63, 7, 62, 63, 49, 75, 51, 52, 53, 54, 55, 56, 57, 58, 59, 60, 61, 7, 63, 64, 65, 66, 67, 7, 7, 99, 71, 72, 73, 0, 75, 105, 77, 27, 79, 80, 81, 82, 7, 84, 114, 86, 7, 88, 10, 89, 91, 127, 128, 63, 95, 96, 97, 98, 98, 100, 101, 98, 99, 104, 26, 124, 107, 108, 75, 109, 110, 137, 138, 149, 115, 116, 117, 147, 118, 119, 120, 121, 32, 12, 7, 126, 127, 146, 129, 130, 131, 132, 133, 134, 135, 8, 9, 10, 7, 140, 141, 142, 143, 32, 145, 146, 143, 148, 27, 150, 151, 143, 153, 26, 146, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 146, 50, 67, 99, 8, 9, 10, 150, 73, 105, 63, 149, 77, 62, 7, 80, 81, 82, 114, 84, 146, 86, 26, 88, 28, 29, 91, 8, 9, 10, 95, 96, 97, 149, 149, 100, 101, 32, 73, 104, 126, 7, 107, 108, 73, 26, 75, 76, 149, 12, 115, 147, 8, 9, 10, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 75, 32, 26, 124, 67, 28, 29, 30, 31, 32, 73, 144, 145, 146, 77, 7, 119, 80, 81, 82, 7, 84, 145, 86, 7, 88, 52, 53, 91, 8, 9, 10, 95, 96, 97, 63, 67, 100, 101, 125, 7, 104, 73, 146, 107, 108, 77, 26, 12, 80, 81, 82, 115, 84, 7, 86, 99, 88, 73, 73, 91, 8, 105, 149, 95, 96, 97, 78, 32, 100, 101, 114, 75, 104, 13, 150, 107, 108, 62, 63, 12, 144, 145, 146, 115, 98, 149, 37, 38, 39, 40, 41, 42, 43, 44, 45, 109, 110, 124, 73, 149, 73, 63, 67, 147, 118, 119, 120, 121, 73, 8, 9, 10, 77, 145, 146, 80, 81, 82, 147, 84, 78, 86, 12, 88, 136, 140, 91, 152, 143, 145, 95, 96, 97, 147, 67, 100, 101, 27, 13, 104, 73, 74, 107, 108, 77, 125, 150, 80, 81, 82, 115, 84, 145, 86, 73, 88, 75, 145, 91, 9, 10, 145, 95, 96, 97, 12, 26, 100, 101, 73, 78, 104, 147, 146, 107, 108, 26, 67, 78, 13, 145, 146, 115, 73, 146, 32, 73, 77, 13, 108, 80, 81, 82, 13, 84, 153, 86, 12, 88, 13, 63, 91, 28, 29, 30, 95, 96, 97, 8, 9, 100, 101, 145, 146, 104, 146, 27, 107, 108, 150, 67, 140, 28, 29, 143, 115, 73, 28, 136, 148, 77, 150, 119, 80, 81, 82, 136, 84, 27, 86, 12, 88, 146, 27, 91, 8, 9, 10, 95, 96, 97, 27, 67, 100, 101, 145, 146, 104, 73, 27, 107, 108, 77, 26, 27, 80, 81, 82, 115, 84, 27, 86, 12, 88, 68, 69, 91, 43, 44, 45, 95, 96, 97, 146, 27, 100, 101, 68, 69, 104, 93, 94, 107, 108, 27, 67, 127, 128, 145, 146, 115, 73, 8, 9, 10, 77, 102, 103, 80, 81, 82, 27, 84, 32, 86, 12, 88, 145, 146, 91, 26, 50, 28, 95, 96, 97, 62, 67, 100, 101, 145, 146, 104, 73, 64, 107, 108, 77, 145, 146, 80, 81, 82, 115, 84, 63, 86, 70, 88, 63, 63, 91, 43, 44, 45, 95, 96, 97, 145, 146, 100, 101, 63, 63, 104, 63, 73, 107, 108, 63, 67, 73, 75, 145, 146, 115, 73, 46, 47, 48, 77, 50, 75, 80, 81, 82, 73, 84, 73, 86, 73, 88, 27, 62, 91, 8, 9, 10, 95, 96, 97, 73, 73, 100, 101, 145, 146, 104, 43, 44, 107, 108, 98, 26, 49, 73, 51, 73, 115, 73, 8, 9, 10, 109, 110, 73, 73, 73, 63, 46, 47, 48, 118, 119, 120, 121, 71, 72, 26, 73, 75, 67, 73, 75, 79, 62, 63, 73, 145, 146, 75, 77, 75, 75, 80, 81, 82, 78, 84, 78, 86, 147, 88, 78, 82, 91, 8, 9, 10, 95, 96, 97, 92, 106, 100, 101, 90, 105, 104, 90, 90, 107, 108, 90, 26, 90, 28, 29, 30, 115, 92, 136, 127, 122, 129, 130, 131, 132, 133, 134, 135, 98, 43, 44, 98, 143, 141, 142, 49, 125, 51, 119, 124, 148, 123, 150, 119, 144, 122, 145, 146, 145, 63, 149, 124, 124, 124, 67, -1, 125, 71, 72, -1, 73, 75, 126, -1, 77, 79, 145, 80, 81, 82, -1, 84, 146, 86, 139, 88, 139, 139, 91, 139, 139, 139, 95, 96, 97, 139, 139, 100, 101, 98, 99, 104, 143, 143, 107, 108, 105, 145, 145, 145, 109, 110, 115, 108, 109, 110, 111, 112, 113, 118, 119, 120, 121, 127, 145, 129, 130, 131, 132, 133, 134, 135, 8, 9, 10, 145, 145, 141, 142, 145, 147, 140, 145, 146, 148, 145, 150, 145, 147, 145, 26, 145, 28, 29, 30, 31, 32, 33, 34, 35, 36, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39, 40, 98, 99, 145, 145, 145, 145, 145, 105, 145, 145, 145, 109, 110, 145, 145, 145, 145, 98, 99, 145, 118, 119, 120, 121, 105, 145, 145, 145, 109, 110, 8, 9, 10, 146, 146, 98, 146, 118, 119, 120, 121, 146, 140, 146, 146, 146, 109, 110, 26, 147, 28, 29, 30, 31, 32, 118, 119, 120, 121, 140, 98, 146, 146, 146, 151, 98, 148, 147, 147, 147, 147, 109, 110, 147, 147, 147, 109, 110, 98, 147, 118, 119, 120, 121, 147, 118, 119, 120, 121, 109, 110, 147, 147, 147, 147, 98, 147, 83, 118, 119, 120, 121, 148, 148, 148, 148, 109, 110, 98, 147, 149, 148, 98, 85, 147, 118, 119, 120, 121, 109, 110, 148, 148, 109, 110, 148, 98, 147, 118, 119, 120, 121, 118, 119, 120, 121, 148, 109, 110, 87, 148, 148, 148, 98, 147, 149, 118, 119, 120, 121, 98, 148, 148, 148, 109, 110, 148, 147, 8, 9, 10, 109, 110, 118, 119, 120, 121, 148, 148, 152, 118, 119, 120, 121, 149, 149, 26, -1, 28, 29, 30, 31, 149, 149, 149, 149, 149, 149, 149, 149, 149, 149, 149, 149, -1, 149, 149, 149, 149, -1, -1, -1, 152, 152, -1, 152, 152, 152, 152, 152, 152, 152, 152, 152, 152, 152, 152];
protected $ng = [0, 708, 783, 800, 861, 878, 895, -1, 933, 848, 843, 818, 558, 909, 230, 891, 926, 926, 926, 926, 926, 528, 476, 487, 468, 487, 511, -2, -2, -2, 180, 110, 212, 212, 618, 212, 504, 547, 472, 311, 354, 279, 397, 429, 429, 429, 429, 704, 704, 429, 429, 429, 429, 429, 429, 429, 429, 429, 429, 429, 429, 429, 429, 429, 429, 429, 429, 429, 429, 429, 429, 429, 429, 429, 429, 429, 429, 429, 429, 429, 429, 429, 429, 429, 429, 429, 429, 429, 429, 429, 429, 429, 429, 429, 429, 429, 429, 429, 429, 429, 429, 429, 429, 429, 429, 429, 429, 429, 429, 429, 429, 429, 429, 429, 429, 429, 429, 429, 429, 429, 429, 429, 429, 429, 429, 429, 429, 429, 429, 429, 429, 429, 429, 429, 429, 429, 120, 763, 628, 648, 762, 755, 752, 751, 929, 637, 928, 802, 803, 501, 809, 808, 813, 825, 830, 801, 827, 264, 194, 898, 826, 481, 219, 126, 126, 126, 126, 126, 126, 126, 126, 126, 126, 656, 656, 126, 656, 656, 656, 656, 296, 394, 444, 77, 609, 345, 345, 345, 345, 345, 345, 345, 345, 345, 345, 345, 345, 345, 345, 345, 345, 384, 703, 703, 703, 703, 703, 703, 703, 703, 703, 703, 703, 703, 703, 703, 703, 703, 703, 703, 703, 703, 703, 703, 703, 703, 703, 703, 703, 703, 703, 703, 703, 703, 703, 703, 703, 703, 703, 703, 703, 703, 703, 703, 631, 631, -17, -17, 538, 443, 171, 438, 702, 418, 1031, -23, 903, 831, 831, 831, 831, 220, 4, 4, 4, 4, 217, 293, 293, 293, 293, 840, 840, 840, 840, -31, 200, 79, 89, 89, 653, 653, 514, 798, 553, 553, 478, 478, 325, 325, 325, 325, 325, 325, 325, 325, 325, 325, 612, 561, 837, 837, -37, -37, -37, -37, 413, 344, 232, 286, 140, 575, 575, 575, 627, 627, 627, 269, 2, 629, 340, 340, 340, 625, 599, 623, 271, 229, 229, 229, 229, 7, 779, 229, 229, 229, 282, -27, -27, 146, 313, 624, 828, 642, 700, 437, 655, -20, 667, 667, 667, 240, 647, 463, 450, 448, 663, 49, 240, 120, 357, 416, 381, 515, 744, 588, 686, 740, 260, 256, 122, 457, 29, 168, 37, 739, 698, 927, 925, 60, 215, 644, 515, 515, 515, 74, 336, 29, 157, 259, 259, 259, 259, 259, 259, 259, 259, 761, 251, 59, 742, 228, 525, 889, 573, 901, 596, 542, 573, 551, 525, 885, 885, 885, 885, 525, 542, 901, 901, 525, 514, 901, 116, 525, 615, 542, 640, 885, 670, 671, 573, 621, 635, 901, 901, 901, 596, 525, 885, 616, 617, 130, 901, 885, 616, 525, 551, 72, 433, 544, 886, 884, 873, 537, 780, 636, 641, 855, 836, 875, 598, 557, 858, 900, 606, 697, 559, 304, 526, 530, 531, 543, 659, 546, 645, 647, 666, 508, 508, 508, 632, 658, 632, 508, 508, 508, 508, 508, 508, 508, 508, 945, 652, 664, 646, 626, 707, 430, 606, 633, 424, 643, 606, 907, 919, 794, 590, 835, 916, 632, 944, 749, 78, 419, 799, 634, 597, 632, 838, 632, 797, 632, 906, 613, 807, 606, 508, 877, 943, 942, 941, 940, 939, 938, 937, 936, 550, 935, 709, 918, 53, 874, 663, 657, 610, 711, 182, 934, 632, 632, 771, 779, 632, 713, 669, 923, 738, 915, 932, 599, 917, 632, 650, 931, 182, 460, 521, 930, 745, 796, 869, 768, 619, 842, 854, 769, 410, 804, 455, 746, 922, 921, 924, 750, 369, 776, 586, 541, 622, 844, 741, 914, 639, 654, 611, 630, 778, 572, 920, 701, 620, 638, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, 0, 0, 0, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, -2, 126, 126, 126, 126, 126, 126, 126, 126, 126, 126, 126, 126, 126, 126, 126, 126, 126, 126, 126, 126, 126, -17, -17, 126, 126, -17, -17, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -17, -17, 0, -17, -17, -17, -17, 126, -17, 126, -17, 325, 126, 126, 126, 126, 126, 126, 126, 126, 126, 126, 126, 126, 126, 126, 126, 126, -17, 325, 325, 325, 325, 325, 325, 325, 325, 325, 325, 325, 325, 325, 325, 325, 325, 325, 325, 325, 325, 325, 325, 325, 325, 325, 325, 325, 325, 325, 325, 325, 325, 325, 325, 325, 325, 325, 325, 325, 325, 325, 325, 126, 126, 0, 0, 126, -17, 126, -17, 126, -17, 126, -17, 126, 126, 126, 126, 126, -17, -17, -17, -17, -17, 0, 575, 575, 575, 575, -17, -17, -17, -17, 712, 712, 712, 325, 325, 325, 325, 325, 325, 575, 575, 627, 627, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 712, 712, 325, 325, 229, 229, 229, 229, 229, -27, -27, -27, 168, 0, 0, 0, 0, 0, 0, 229, 542, -27, 32, 32, 32, -27, -27, -27, 168, 0, 0, 0, 0, 542, 32, 0, 0, 0, 901, 0, 0, 0, 32, 441, 441, 441, 441, 182, 29, 0, 542, 542, 542, 0, 621, 0, 0, 0, 901, 0, 0, 0, 0, 0, 0, 508, 78, 835, 276, 209, 0, 0, 0, 0, 0, 0, 0, 209, 209, 290, 290, 0, 0, 550, 508, 508, 508, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 276, 0, 0, 182];
protected $nh = [3, 32767, 32767, 1, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 111, 103, 117, 102, 113, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 419, 419, 32767, 376, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 185, 185, 185, 32767, 32767, 32767, 408, 408, 408, 408, 408, 408, 408, 408, 408, 408, 408, 32767, 32767, 32767, 32767, 32767, 265, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 270, 424, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 380, 32767, 32767, 32767, 32767, 32767, 246, 247, 249, 250, 184, 409, 136, 271, 423, 183, 26, 147, 138, 95, 379, 182, 126, 212, 334, 214, 336, 32767, 264, 213, 189, 194, 195, 196, 197, 198, 199, 200, 201, 202, 203, 204, 205, 188, 335, 373, 373, 376, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 243, 242, 362, 361, 210, 332, 211, 333, 215, 337, 217, 339, 216, 233, 234, 231, 232, 338, 355, 356, 353, 354, 187, 235, 236, 237, 238, 357, 358, 359, 360, 169, 169, 169, 32767, 32767, 418, 418, 32767, 32767, 224, 225, 346, 347, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 170, 32767, 32767, 32767, 127, 127, 127, 127, 127, 32767, 32767, 32767, 32767, 219, 220, 218, 341, 342, 340, 32767, 32767, 308, 32767, 32767, 32767, 32767, 32767, 310, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 381, 309, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 394, 297, 32767, 32767, 32767, 32767, 290, 114, 116, 64, 365, 32767, 32767, 32767, 32767, 32767, 399, 229, 32767, 32767, 32767, 32767, 32767, 32767, 431, 32767, 394, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 241, 221, 222, 223, 32767, 32767, 398, 392, 349, 350, 351, 352, 343, 344, 345, 348, 32767, 32767, 32767, 32767, 32767, 68, 305, 32767, 311, 32767, 32767, 32767, 32767, 68, 32767, 32767, 32767, 32767, 68, 32767, 397, 396, 68, 32767, 291, 375, 68, 81, 32767, 79, 32767, 100, 100, 32767, 32767, 83, 371, 387, 32767, 32767, 68, 32767, 279, 70, 375, 32767, 32767, 279, 68, 32767, 32767, 4, 315, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 292, 32767, 32767, 32767, 261, 262, 368, 383, 32767, 384, 32767, 290, 32767, 227, 228, 230, 207, 32767, 209, 251, 252, 253, 254, 255, 256, 257, 259, 32767, 32767, 295, 298, 32767, 32767, 32767, 6, 20, 146, 32767, 293, 32767, 192, 32767, 32767, 32767, 32767, 426, 32767, 32767, 186, 32767, 32767, 22, 32767, 142, 32767, 66, 32767, 416, 32767, 32767, 392, 294, 226, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 393, 32767, 32767, 32767, 121, 32767, 328, 32767, 32767, 32767, 82, 32767, 190, 137, 32767, 32767, 425, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 67, 32767, 32767, 84, 32767, 32767, 392, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 181, 32767, 32767, 32767, 32767, 32767, 392, 32767, 125, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 4, 32767, 163, 32767, 32767, 32767, 32767, 32767, 32767, 32767, 28, 28, 3, 28, 108, 28, 149, 3, 100, 100, 61, 149, 28, 149, 28, 28, 28, 28, 28, 28, 28, 156, 28, 28, 28, 28, 28];
protected $goto = [169, 169, 139, 139, 144, 139, 140, 141, 142, 147, 149, 187, 171, 167, 167, 167, 167, 144, 144, 168, 168, 168, 168, 168, 168, 168, 168, 168, 168, 168, 163, 164, 165, 166, 185, 138, 477, 478, 363, 479, 483, 484, 485, 486, 487, 488, 489, 490, 822, 143, 145, 146, 148, 180, 182, 186, 248, 250, 252, 254, 256, 257, 258, 259, 260, 267, 268, 269, 270, 284, 285, 311, 312, 313, 382, 383, 384, 526, 188, 189, 190, 191, 192, 193, 194, 195, 196, 197, 198, 199, 200, 150, 151, 152, 170, 153, 172, 154, 244, 175, 155, 156, 159, 245, 160, 136, 542, 528, 529, 530, 531, 532, 533, 534, 535, 537, 563, 749, 749, 1046, 1046, 637, 637, 637, 542, 542, 542, 542, 542, 542, 542, 542, 542, 542, 542, 542, 542, 542, 542, 542, 542, 542, 542, 542, 542, 542, 542, 542, 542, 542, 542, 542, 542, 542, 542, 542, 542, 542, 542, 542, 542, 542, 542, 542, 542, 542, 481, 481, 481, 481, 481, 481, 504, 342, 1025, 1025, 481, 481, 481, 481, 481, 481, 481, 481, 481, 481, 325, 683, 492, 492, 309, 1056, 1056, 522, 1041, 1041, 1041, 638, 638, 638, 421, 421, 421, 421, 421, 421, 1024, 1059, 1056, 764, 421, 421, 421, 421, 421, 421, 421, 421, 421, 421, 1059, 1059, 920, 920, 757, 757, 757, 757, 757, 557, 560, 598, 371, 372, 372, 372, 564, 345, 400, 593, 543, 1, 276, 1050, 277, 372, 2, 554, 580, 714, 714, 714, 714, 387, 573, 709, 715, 588, 543, 543, 543, 543, 543, 543, 543, 543, 543, 543, 543, 543, 543, 543, 543, 543, 543, 543, 543, 543, 543, 543, 543, 543, 543, 543, 543, 543, 543, 543, 543, 543, 543, 543, 543, 543, 543, 543, 543, 543, 543, 543, 5, 364, 16, 1006, 6, 801, 401, 581, 515, 1026, 1026, 7, 1043, 17, 18, 8, 19, 9, 10, 11, 868, 20, 12, 13, 14, 15, 494, 494, 378, 931, 930, 388, 582, 521, 521, 548, 517, 375, 376, 753, 955, 519, 519, 480, 482, 509, 524, 549, 552, 561, 567, 647, 768, 956, 343, 344, 493, 493, 955, 955, 955, 955, 955, 955, 955, 955, 955, 955, 955, 955, 955, 955, 955, 955, 955, 955, 955, 955, 955, 955, 955, 955, 955, 955, 955, 955, 955, 955, 955, 955, 955, 955, 955, 955, 955, 955, 955, 955, 955, 955, 161, 527, 616, 397, 653, 503, 911, 820, 1018, 773, 1003, 723, 585, 809, 0, 0, 0, 0, 503, 503, 0, 173, 174, 176, 389, 390, 391, 392, 158, 181, 183, 201, 249, 251, 253, 255, 261, 262, 263, 264, 265, 271, 272, 273, 274, 286, 287, 314, 315, 316, 393, 394, 395, 396, 162, 177, 246, 247, 178, 179, 636, 636, 636, 498, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 498, 941, 0, 0, 735, 720, 718, 716, 718, 606, 495, 744, 739, 916, 917, 936, 0, 498, 498, 498, 0, 0, 0, 877, 26, 21, 357, 0, 0, 914, 1017, 914, 365, 0, 0, 0, 507, 0, 915, 538, 518, 0, 0, 0, 0, 0, 0, 0, 0, 0, 29, 0, 0, 0, 440, 578, 0, 0, 0, 0, 0, 0, 586, 0, 0, 0, 0, 0, 0, 508, 0, 0, 0, 0, 0, 0, 498, 0, 0, 0, 0, 0, 0, 0, 0, 502, 0, 0, 0, 0, 0, 0, 0, 0, 525];
protected $ni = [25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 39, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 55, 55, 55, 55, 7, 7, 7, 39, 39, 39, 39, 39, 39, 39, 39, 39, 39, 39, 39, 39, 39, 39, 39, 39, 39, 39, 39, 39, 39, 39, 39, 39, 39, 39, 39, 39, 39, 39, 39, 39, 39, 39, 39, 39, 39, 39, 39, 39, 39, 92, 92, 92, 92, 92, 92, 77, 50, 94, 94, 92, 92, 92, 92, 92, 92, 92, 92, 92, 92, 101, 32, 92, 92, 101, 117, 117, 85, 94, 94, 94, 8, 8, 8, 39, 39, 39, 39, 39, 39, 94, 117, 117, 61, 39, 39, 39, 39, 39, 39, 39, 39, 39, 39, 117, 117, 39, 39, 39, 39, 39, 39, 39, 42, 42, 42, 5, 99, 99, 99, 48, 48, 48, 39, 95, 2, 46, 116, 46, 99, 2, 22, 22, 39, 39, 39, 39, 99, 104, 39, 39, 39, 95, 95, 95, 95, 95, 95, 95, 95, 95, 95, 95, 95, 95, 95, 95, 95, 95, 95, 95, 95, 95, 95, 95, 95, 95, 95, 95, 95, 95, 95, 95, 95, 95, 95, 95, 95, 95, 95, 95, 95, 95, 95, 14, 29, 14, 108, 14, 74, 74, 31, 5, 93, 93, 14, 114, 14, 14, 14, 14, 14, 14, 14, 78, 14, 14, 14, 14, 14, 98, 98, 30, 100, 100, 33, 33, 33, 33, 33, 33, 9, 9, 57, 102, 33, 33, 33, 33, 33, 33, 33, 33, 33, 33, 11, 62, 103, 50, 50, 95, 95, 102, 102, 102, 102, 102, 102, 102, 102, 102, 102, 102, 102, 102, 102, 102, 102, 102, 102, 102, 102, 102, 102, 102, 102, 102, 102, 102, 102, 102, 102, 102, 102, 102, 102, 102, 102, 102, 102, 102, 102, 102, 102, 13, 26, 52, 10, 12, 26, 90, 77, 59, 63, 107, 49, 84, 76, -1, -1, -1, -1, 26, 26, -1, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 6, 6, 6, 4, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 4, 59, -1, -1, 6, 6, 6, 6, 6, 6, 6, 6, 6, 59, 59, 16, -1, 4, 4, 4, -1, -1, -1, 16, 16, 16, 16, -1, -1, 59, 59, 59, 40, -1, -1, -1, 40, -1, 59, 16, 40, -1, -1, -1, -1, -1, -1, -1, -1, -1, 16, -1, -1, -1, 40, 16, -1, -1, -1, -1, -1, -1, 40, -1, -1, -1, -1, -1, -1, 77, -1, -1, -1, -1, -1, -1, 4, -1, -1, -1, -1, -1, -1, -1, -1, 4, -1, -1, -1, -1, -1, -1, -1, -1, 4];
protected $nj = [0, 0, -363, 0, 145, -99, 459, 120, 196, -11, -5, 1, -26, 216, -303, 0, 88, 0, 0, 0, 0, 0, 203, 0, 0, -30, 371, 0, 0, 255, 39, 28, 162, 53, 0, 0, 0, 0, 0, -78, 93, 0, -74, 0, 0, 0, -371, 0, -92, -25, -256, 0, 43, 0, 0, -161, 0, 33, 0, 72, 0, 178, -6, -22, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 7, 0, -33, 125, 19, 0, 0, 0, 0, 0, -32, 160, 57, 0, 0, 0, -4, 0, -112, 9, -126, 56, 0, 0, 26, -87, 8, -133, 156, -7, 51, 0, 0, -31, 99, 0, 0, 0, 0, 0, 31, 0, 208, -117, 0];
protected $nk = [-32768, 447, 3, 631, 464, 499, 658, 659, 660, 367, 366, 648, 654, 157, 4, 656, 869, 353, 663, 354, 566, 665, 511, 667, 668, 137, 465, 368, 369, 512, 377, 555, 682, 266, 374, 684, 355, 686, 691, 356, 587, 572, 539, 466, 432, 550, 275, 520, 546, 722, 341, 730, 619, 738, 741, 467, 540, 752, 437, 913, 385, 763, 769, 774, 777, 409, 398, 562, 781, 782, 317, 786, 594, 595, 800, 298, 808, 821, 405, 887, 889, 468, 469, 505, 571, 491, 510, 470, 907, 399, 910, 471, 472, 417, 418, 928, 925, 347, 1011, 346, 434, 308, 996, 995, 558, 960, 441, 1049, 1007, 336, 473, 474, 362, 379, 1044, 422, 1051, 1058, 547];
protected $nl = [0, 1, 2, 2, 4, 4, 5, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 9, 9, 11, 11, 11, 11, 10, 10, 12, 14, 14, 15, 15, 15, 15, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 36, 36, 38, 37, 37, 30, 30, 40, 40, 41, 41, 7, 8, 8, 8, 43, 43, 43, 44, 44, 47, 47, 45, 45, 48, 48, 23, 23, 32, 32, 35, 35, 34, 34, 49, 24, 24, 24, 24, 50, 50, 51, 51, 52, 52, 21, 21, 17, 17, 53, 19, 19, 54, 18, 18, 20, 20, 31, 31, 31, 42, 42, 56, 56, 57, 57, 58, 58, 58, 58, 59, 59, 59, 60, 60, 61, 61, 61, 27, 27, 62, 62, 62, 28, 28, 63, 63, 46, 46, 64, 64, 64, 64, 69, 69, 70, 70, 71, 71, 71, 71, 72, 73, 73, 68, 68, 65, 65, 67, 67, 75, 75, 74, 74, 74, 74, 74, 74, 66, 66, 76, 76, 29, 29, 22, 22, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 25, 16, 16, 26, 26, 81, 81, 82, 82, 82, 82, 77, 84, 84, 89, 89, 90, 91, 91, 91, 91, 91, 91, 95, 95, 39, 39, 39, 78, 78, 96, 96, 92, 92, 97, 97, 97, 97, 79, 79, 79, 83, 83, 83, 88, 88, 102, 102, 102, 102, 102, 102, 102, 102, 102, 102, 102, 102, 102, 13, 13, 13, 13, 13, 13, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 105, 87, 87, 80, 80, 80, 80, 103, 103, 104, 104, 107, 107, 106, 106, 108, 108, 33, 33, 33, 33, 110, 110, 109, 109, 109, 109, 109, 111, 111, 94, 94, 98, 98, 93, 93, 112, 112, 112, 112, 99, 99, 99, 99, 86, 86, 100, 100, 100, 55, 113, 113, 114, 114, 114, 85, 85, 115, 115, 116, 116, 116, 116, 101, 101, 101, 101, 117, 117, 117, 117, 117, 117, 117, 118, 118, 118];
protected $nm = [1, 1, 2, 0, 1, 3, 1, 1, 1, 1, 1, 3, 5, 4, 3, 4, 4, 3, 3, 1, 1, 3, 2, 4, 3, 1, 3, 2, 0, 1, 1, 1, 1, 3, 5, 8, 3, 5, 9, 3, 2, 3, 2, 3, 2, 3, 2, 3, 3, 3, 1, 2, 5, 7, 9, 5, 1, 6, 3, 3, 2, 0, 2, 8, 0, 4, 1, 3, 0, 1, 0, 1, 9, 7, 6, 5, 1, 2, 2, 0, 2, 0, 2, 0, 2, 1, 3, 1, 4, 1, 4, 1, 4, 1, 3, 3, 3, 4, 4, 5, 0, 2, 4, 3, 1, 1, 1, 4, 0, 2, 3, 0, 2, 4, 0, 2, 0, 3, 1, 2, 1, 1, 0, 1, 3, 4, 6, 0, 1, 1, 1, 2, 3, 3, 1, 3, 1, 2, 2, 3, 1, 1, 2, 4, 3, 1, 1, 3, 2, 0, 3, 3, 8, 3, 1, 3, 0, 2, 4, 5, 4, 4, 3, 1, 1, 1, 3, 1, 1, 0, 1, 1, 2, 1, 1, 1, 1, 1, 1, 1, 3, 1, 3, 3, 1, 0, 1, 1, 3, 3, 4, 4, 1, 2, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 2, 2, 2, 2, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 2, 2, 2, 2, 3, 3, 3, 3, 3, 3, 3, 3, 3, 1, 3, 5, 4, 4, 4, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 1, 1, 1, 3, 2, 1, 9, 10, 3, 3, 2, 4, 4, 3, 4, 4, 4, 4, 3, 0, 4, 1, 3, 2, 2, 4, 6, 2, 2, 4, 1, 1, 1, 2, 3, 1, 1, 1, 1, 1, 1, 3, 3, 4, 4, 0, 2, 1, 0, 1, 1, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 3, 2, 1, 3, 1, 4, 3, 1, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 2, 2, 2, 2, 3, 3, 3, 3, 3, 3, 3, 3, 5, 4, 4, 3, 1, 3, 1, 1, 3, 3, 1, 1, 0, 2, 0, 1, 3, 1, 3, 1, 1, 1, 1, 1, 6, 4, 3, 4, 2, 4, 4, 1, 3, 1, 2, 1, 1, 4, 1, 3, 6, 4, 4, 4, 4, 1, 4, 0, 1, 1, 3, 1, 4, 3, 1, 1, 1, 0, 0, 2, 3, 1, 3, 1, 4, 2, 2, 2, 1, 2, 1, 4, 3, 3, 3, 6, 3, 1, 1, 1];
protected function reduceRule0(){
$this->nn = $this->no[$this->np];}
protected function reduceRule1($hc){
$this->nn = $this->nq($this->no[$this->np - (1 - 1)]);}
protected function reduceRule2($hc){
if (is_array($this->no[$this->np - (2 - 2)])) {
$this->nn = array_merge($this->no[$this->np - (2 - 1)], $this->no[$this->np - (2 - 2)]);} else {
$this->no[$this->np - (2 - 1)][] = $this->no[$this->np - (2 - 2)];
$this->nn = $this->no[$this->np - (2 - 1)];}}
protected function reduceRule3($hc){
$this->nn = [];}
protected function reduceRule4($hc){
$this->nn = [$this->no[$this->np - (1 - 1)]];}
protected function reduceRule5($hc){
$this->no[$this->np - (3 - 1)][] = $this->no[$this->np - (3 - 3)];
$this->nn = $this->no[$this->np - (3 - 1)];}
protected function reduceRule6($hc){
$this->nn = new Node\\Name($this->no[$this->np - (1 - 1)], $hc);}
protected function reduceRule7($hc){
$this->nn = $this->no[$this->np - (1 - 1)];}
protected function reduceRule8($hc){
$this->nn = $this->no[$this->np - (1 - 1)];}
protected function reduceRule9($hc){
$this->nn = $this->no[$this->np - (1 - 1)];}
protected function reduceRule10($hc){
$this->nn = new Node\\Stmt\\HaltCompiler($this->nr->jv(), $hc);}
protected function reduceRule11($hc){
$this->nn = new Node\\Stmt\\Namespace_($this->no[$this->np - (3 - 2)], null, $hc);}
protected function reduceRule12($hc){
$this->nn = new Node\\Stmt\\Namespace_($this->no[$this->np - (5 - 2)], $this->no[$this->np - (5 - 4)], $hc);}
protected function reduceRule13($hc){
$this->nn = new Node\\Stmt\\Namespace_(null, $this->no[$this->np - (4 - 3)], $hc);}
protected function reduceRule14($hc){
$this->nn = new Node\\Stmt\\Use_($this->no[$this->np - (3 - 2)], Node\\Stmt\\Use_::TYPE_NORMAL, $hc);}
protected function reduceRule15($hc){
$this->nn = new Node\\Stmt\\Use_($this->no[$this->np - (4 - 3)], Node\\Stmt\\Use_::TYPE_FUNCTION, $hc);}
protected function reduceRule16($hc){
$this->nn = new Node\\Stmt\\Use_($this->no[$this->np - (4 - 3)], Node\\Stmt\\Use_::TYPE_CONSTANT, $hc);}
protected function reduceRule17($hc){
$this->nn = new Node\\Stmt\\Const_($this->no[$this->np - (3 - 2)], $hc);}
protected function reduceRule18($hc){
$this->no[$this->np - (3 - 1)][] = $this->no[$this->np - (3 - 3)];
$this->nn = $this->no[$this->np - (3 - 1)];}
protected function reduceRule19($hc){
$this->nn = [$this->no[$this->np - (1 - 1)]];}
protected function reduceRule20($hc){
$this->nn = new Node\\Stmt\\UseUse($this->no[$this->np - (1 - 1)], null, $hc);}
protected function reduceRule21($hc){
$this->nn = new Node\\Stmt\\UseUse($this->no[$this->np - (3 - 1)], $this->no[$this->np - (3 - 3)], $hc);}
protected function reduceRule22($hc){
$this->nn = new Node\\Stmt\\UseUse($this->no[$this->np - (2 - 2)], null, $hc);}
protected function reduceRule23($hc){
$this->nn = new Node\\Stmt\\UseUse($this->no[$this->np - (4 - 2)], $this->no[$this->np - (4 - 4)], $hc);}
protected function reduceRule24($hc){
$this->no[$this->np - (3 - 1)][] = $this->no[$this->np - (3 - 3)];
$this->nn = $this->no[$this->np - (3 - 1)];}
protected function reduceRule25($hc){
$this->nn = [$this->no[$this->np - (1 - 1)]];}
protected function reduceRule26($hc){
$this->nn = new Node\\Const_($this->no[$this->np - (3 - 1)], $this->no[$this->np - (3 - 3)], $hc);}
protected function reduceRule27($hc){
if (is_array($this->no[$this->np - (2 - 2)])) {
$this->nn = array_merge($this->no[$this->np - (2 - 1)], $this->no[$this->np - (2 - 2)]);} else {
$this->no[$this->np - (2 - 1)][] = $this->no[$this->np - (2 - 2)];
$this->nn = $this->no[$this->np - (2 - 1)];}}
protected function reduceRule28($hc){
$this->nn = [];}
protected function reduceRule29($hc){
$this->nn = $this->no[$this->np - (1 - 1)];}
protected function reduceRule30($hc){
$this->nn = $this->no[$this->np - (1 - 1)];}
protected function reduceRule31($hc){
$this->nn = $this->no[$this->np - (1 - 1)];}
protected function reduceRule32($hc){
throw new Error(str_rot13("__UNYG_PBZCVYRE() pna bayl or hfrq sebz gur bhgrezbfg fpbcr"));}
protected function reduceRule33($hc){
$this->nn = $this->no[$this->np - (3 - 2)];}
protected function reduceRule34($hc){
$this->nn = new Node\\Stmt\\If_($this->no[$this->np - (5 - 2)], ["cj" => is_array($this->no[$this->np - (5 - 3)]) ? $this->no[$this->np - (5 - 3)] : [$this->no[$this->np - (5 - 3)]], "pd" => $this->no[$this->np - (5 - 4)], "else" => $this->no[$this->np - (5 - 5)]], $hc);}
protected function reduceRule35($hc){
$this->nn = new Node\\Stmt\\If_($this->no[$this->np - (8 - 2)], ["cj" => $this->no[$this->np - (8 - 4)], "pd" => $this->no[$this->np - (8 - 5)], "else" => $this->no[$this->np - (8 - 6)]], $hc);}
protected function reduceRule36($hc){
$this->nn = new Node\\Stmt\\While_($this->no[$this->np - (3 - 2)], $this->no[$this->np - (3 - 3)], $hc);}
protected function reduceRule37($hc){
$this->nn = new Node\\Stmt\\Do_($this->no[$this->np - (5 - 4)], is_array($this->no[$this->np - (5 - 2)]) ? $this->no[$this->np - (5 - 2)] : [$this->no[$this->np - (5 - 2)]], $hc);}
protected function reduceRule38($hc){
$this->nn = new Node\\Stmt\\For_(["pf" => $this->no[$this->np - (9 - 3)], "kd" => $this->no[$this->np - (9 - 5)], "pg" => $this->no[$this->np - (9 - 7)], "cj" => $this->no[$this->np - (9 - 9)]], $hc);}
protected function reduceRule39($hc){
$this->nn = new Node\\Stmt\\Switch_($this->no[$this->np - (3 - 2)], $this->no[$this->np - (3 - 3)], $hc);}
protected function reduceRule40($hc){
$this->nn = new Node\\Stmt\\Break_(null, $hc);}
protected function reduceRule41($hc){
$this->nn = new Node\\Stmt\\Break_($this->no[$this->np - (3 - 2)], $hc);}
protected function reduceRule42($hc){
$this->nn = new Node\\Stmt\\Continue_(null, $hc);}
protected function reduceRule43($hc){
$this->nn = new Node\\Stmt\\Continue_($this->no[$this->np - (3 - 2)], $hc);}
protected function reduceRule44($hc){
$this->nn = new Node\\Stmt\\Return_(null, $hc);}
protected function reduceRule45($hc){
$this->nn = new Node\\Stmt\\Return_($this->no[$this->np - (3 - 2)], $hc);}
protected function reduceRule46($hc){
$this->nn = $this->no[$this->np - (2 - 1)];}
protected function reduceRule47($hc){
$this->nn = new Node\\Stmt\\Global_($this->no[$this->np - (3 - 2)], $hc);}
protected function reduceRule48($hc){
$this->nn = new Node\\Stmt\\Static_($this->no[$this->np - (3 - 2)], $hc);}
protected function reduceRule49($hc){
$this->nn = new Node\\Stmt\\Echo_($this->no[$this->np - (3 - 2)], $hc);}
protected function reduceRule50($hc){
$this->nn = new Node\\Stmt\\InlineHTML($this->no[$this->np - (1 - 1)], $hc);}
protected function reduceRule51($hc){
$this->nn = $this->no[$this->np - (2 - 1)];}
protected function reduceRule52($hc){
$this->nn = new Node\\Stmt\\Unset_($this->no[$this->np - (5 - 3)], $hc);}
protected function reduceRule53($hc){
$this->nn = new Node\\Stmt\\Foreach_($this->no[$this->np - (7 - 3)], $this->no[$this->np - (7 - 5)][0], ["ph" => null, "hq" => $this->no[$this->np - (7 - 5)][1], "cj" => $this->no[$this->np - (7 - 7)]], $hc);}
protected function reduceRule54($hc){
$this->nn = new Node\\Stmt\\Foreach_($this->no[$this->np - (9 - 3)], $this->no[$this->np - (9 - 7)][0], ["ph" => $this->no[$this->np - (9 - 5)], "hq" => $this->no[$this->np - (9 - 7)][1], "cj" => $this->no[$this->np - (9 - 9)]], $hc);}
protected function reduceRule55($hc){
$this->nn = new Node\\Stmt\\Declare_($this->no[$this->np - (5 - 3)], $this->no[$this->np - (5 - 5)], $hc);}
protected function reduceRule56($hc){
$this->nn = [];}
protected function reduceRule57($hc){
$this->nn = new Node\\Stmt\\TryCatch($this->no[$this->np - (6 - 3)], $this->no[$this->np - (6 - 5)], $this->no[$this->np - (6 - 6)], $hc);}
protected function reduceRule58($hc){
$this->nn = new Node\\Stmt\\Throw_($this->no[$this->np - (3 - 2)], $hc);}
protected function reduceRule59($hc){
$this->nn = new Node\\Stmt\\Goto_($this->no[$this->np - (3 - 2)], $hc);}
protected function reduceRule60($hc){
$this->nn = new Node\\Stmt\\Label($this->no[$this->np - (2 - 1)], $hc);}
protected function reduceRule61($hc){
$this->nn = [];}
protected function reduceRule62($hc){
$this->no[$this->np - (2 - 1)][] = $this->no[$this->np - (2 - 2)];
$this->nn = $this->no[$this->np - (2 - 1)];}
protected function reduceRule63($hc){
$this->nn = new Node\\Stmt\\Catch_($this->no[$this->np - (8 - 3)], substr($this->no[$this->np - (8 - 4)], 1), $this->no[$this->np - (8 - 7)], $hc);}
protected function reduceRule64($hc){
$this->nn = null;}
protected function reduceRule65($hc){
$this->nn = $this->no[$this->np - (4 - 3)];}
protected function reduceRule66($hc){
$this->nn = [$this->no[$this->np - (1 - 1)]];}
protected function reduceRule67($hc){
$this->no[$this->np - (3 - 1)][] = $this->no[$this->np - (3 - 3)];
$this->nn = $this->no[$this->np - (3 - 1)];}
protected function reduceRule68($hc){
$this->nn = false;}
protected function reduceRule69($hc){
$this->nn = true;}
protected function reduceRule70($hc){
$this->nn = false;}
protected function reduceRule71($hc){
$this->nn = true;}
protected function reduceRule72($hc){
$this->nn = new Node\\Stmt\\Function_($this->no[$this->np - (9 - 3)], ["hq" => $this->no[$this->np - (9 - 2)], "fw" => $this->no[$this->np - (9 - 5)], "cj" => $this->no[$this->np - (9 - 8)]], $hc);}
protected function reduceRule73($hc){
$this->nn = new Node\\Stmt\\Class_($this->no[$this->np - (7 - 2)], ["type" => $this->no[$this->np - (7 - 1)], "extends" => $this->no[$this->np - (7 - 3)], "implements" => $this->no[$this->np - (7 - 4)], "cj" => $this->no[$this->np - (7 - 6)]], $hc);}
protected function reduceRule74($hc){
$this->nn = new Node\\Stmt\\Interface_($this->no[$this->np - (6 - 2)], ["extends" => $this->no[$this->np - (6 - 3)], "cj" => $this->no[$this->np - (6 - 5)]], $hc);}
protected function reduceRule75($hc){
$this->nn = new Node\\Stmt\\Trait_($this->no[$this->np - (5 - 2)], $this->no[$this->np - (5 - 4)], $hc);}
protected function reduceRule76($hc){
$this->nn = 0;}
protected function reduceRule77($hc){
$this->nn = Node\\Stmt\\Class_::MODIFIER_ABSTRACT;}
protected function reduceRule78($hc){
$this->nn = Node\\Stmt\\Class_::MODIFIER_FINAL;}
protected function reduceRule79($hc){
$this->nn = null;}
protected function reduceRule80($hc){
$this->nn = $this->no[$this->np - (2 - 2)];}
protected function reduceRule81($hc){
$this->nn = [];}
protected function reduceRule82($hc){
$this->nn = $this->no[$this->np - (2 - 2)];}
protected function reduceRule83($hc){
$this->nn = [];}
protected function reduceRule84($hc){
$this->nn = $this->no[$this->np - (2 - 2)];}
protected function reduceRule85($hc){
$this->nn = [$this->no[$this->np - (1 - 1)]];}
protected function reduceRule86($hc){
$this->no[$this->np - (3 - 1)][] = $this->no[$this->np - (3 - 3)];
$this->nn = $this->no[$this->np - (3 - 1)];}
protected function reduceRule87($hc){
$this->nn = is_array($this->no[$this->np - (1 - 1)]) ? $this->no[$this->np - (1 - 1)] : [$this->no[$this->np - (1 - 1)]];}
protected function reduceRule88($hc){
$this->nn = $this->no[$this->np - (4 - 2)];}
protected function reduceRule89($hc){
$this->nn = is_array($this->no[$this->np - (1 - 1)]) ? $this->no[$this->np - (1 - 1)] : [$this->no[$this->np - (1 - 1)]];}
protected function reduceRule90($hc){
$this->nn = $this->no[$this->np - (4 - 2)];}
protected function reduceRule91($hc){
$this->nn = is_array($this->no[$this->np - (1 - 1)]) ? $this->no[$this->np - (1 - 1)] : [$this->no[$this->np - (1 - 1)]];}
protected function reduceRule92($hc){
$this->nn = $this->no[$this->np - (4 - 2)];}
protected function reduceRule93($hc){
$this->nn = [$this->no[$this->np - (1 - 1)]];}
protected function reduceRule94($hc){
$this->no[$this->np - (3 - 1)][] = $this->no[$this->np - (3 - 3)];
$this->nn = $this->no[$this->np - (3 - 1)];}
protected function reduceRule95($hc){
$this->nn = new Node\\Stmt\\DeclareDeclare($this->no[$this->np - (3 - 1)], $this->no[$this->np - (3 - 3)], $hc);}
protected function reduceRule96($hc){
$this->nn = $this->no[$this->np - (3 - 2)];}
protected function reduceRule97($hc){
$this->nn = $this->no[$this->np - (4 - 3)];}
protected function reduceRule98($hc){
$this->nn = $this->no[$this->np - (4 - 2)];}
protected function reduceRule99($hc){
$this->nn = $this->no[$this->np - (5 - 3)];}
protected function reduceRule100($hc){
$this->nn = [];}
protected function reduceRule101($hc){
$this->no[$this->np - (2 - 1)][] = $this->no[$this->np - (2 - 2)];
$this->nn = $this->no[$this->np - (2 - 1)];}
protected function reduceRule102($hc){
$this->nn = new Node\\Stmt\\Case_($this->no[$this->np - (4 - 2)], $this->no[$this->np - (4 - 4)], $hc);}
protected function reduceRule103($hc){
$this->nn = new Node\\Stmt\\Case_(null, $this->no[$this->np - (3 - 3)], $hc);}
protected function reduceRule104(){
$this->nn = $this->no[$this->np];}
protected function reduceRule105(){
$this->nn = $this->no[$this->np];}
protected function reduceRule106($hc){
$this->nn = is_array($this->no[$this->np - (1 - 1)]) ? $this->no[$this->np - (1 - 1)] : [$this->no[$this->np - (1 - 1)]];}
protected function reduceRule107($hc){
$this->nn = $this->no[$this->np - (4 - 2)];}
protected function reduceRule108($hc){
$this->nn = [];}
protected function reduceRule109($hc){
$this->no[$this->np - (2 - 1)][] = $this->no[$this->np - (2 - 2)];
$this->nn = $this->no[$this->np - (2 - 1)];}
protected function reduceRule110($hc){
$this->nn = new Node\\Stmt\\ElseIf_($this->no[$this->np - (3 - 2)], is_array($this->no[$this->np - (3 - 3)]) ? $this->no[$this->np - (3 - 3)] : [$this->no[$this->np - (3 - 3)]], $hc);}
protected function reduceRule111($hc){
$this->nn = [];}
protected function reduceRule112($hc){
$this->no[$this->np - (2 - 1)][] = $this->no[$this->np - (2 - 2)];
$this->nn = $this->no[$this->np - (2 - 1)];}
protected function reduceRule113($hc){
$this->nn = new Node\\Stmt\\ElseIf_($this->no[$this->np - (4 - 2)], $this->no[$this->np - (4 - 4)], $hc);}
protected function reduceRule114($hc){
$this->nn = null;}
protected function reduceRule115($hc){
$this->nn = new Node\\Stmt\\Else_(is_array($this->no[$this->np - (2 - 2)]) ? $this->no[$this->np - (2 - 2)] : [$this->no[$this->np - (2 - 2)]], $hc);}
protected function reduceRule116($hc){
$this->nn = null;}
protected function reduceRule117($hc){
$this->nn = new Node\\Stmt\\Else_($this->no[$this->np - (3 - 3)], $hc);}
protected function reduceRule118($hc){
$this->nn = [$this->no[$this->np - (1 - 1)], false];}
protected function reduceRule119($hc){
$this->nn = [$this->no[$this->np - (2 - 2)], true];}
protected function reduceRule120($hc){
$this->nn = [$this->no[$this->np - (1 - 1)], false];}
protected function reduceRule121($hc){
$this->nn = $this->no[$this->np - (1 - 1)];}
protected function reduceRule122($hc){
$this->nn = [];}
protected function reduceRule123($hc){
$this->nn = [$this->no[$this->np - (1 - 1)]];}
protected function reduceRule124($hc){
$this->no[$this->np - (3 - 1)][] = $this->no[$this->np - (3 - 3)];
$this->nn = $this->no[$this->np - (3 - 1)];}
protected function reduceRule125($hc){
$this->nn = new Node\\Param(substr($this->no[$this->np - (4 - 4)], 1), null, $this->no[$this->np - (4 - 1)], $this->no[$this->np - (4 - 2)], $this->no[$this->np - (4 - 3)], $hc);}
protected function reduceRule126($hc){
$this->nn = new Node\\Param(substr($this->no[$this->np - (6 - 4)], 1), $this->no[$this->np - (6 - 6)], $this->no[$this->np - (6 - 1)], $this->no[$this->np - (6 - 2)], $this->no[$this->np - (6 - 3)], $hc);}
protected function reduceRule127($hc){
$this->nn = null;}
protected function reduceRule128($hc){
$this->nn = $this->no[$this->np - (1 - 1)];}
protected function reduceRule129($hc){
$this->nn = "array";}
protected function reduceRule130($hc){
$this->nn = "callable";}
protected function reduceRule131($hc){
$this->nn = [];}
protected function reduceRule132($hc){
$this->nn = $this->no[$this->np - (3 - 2)];}
protected function reduceRule133($hc){
$this->nn = [new Node\\Arg($this->no[$this->np - (3 - 2)], false, false, $hc)];}
protected function reduceRule134($hc){
$this->nn = [$this->no[$this->np - (1 - 1)]];}
protected function reduceRule135($hc){
$this->no[$this->np - (3 - 1)][] = $this->no[$this->np - (3 - 3)];
$this->nn = $this->no[$this->np - (3 - 1)];}
protected function reduceRule136($hc){
$this->nn = new Node\\Arg($this->no[$this->np - (1 - 1)], false, false, $hc);}
protected function reduceRule137($hc){
$this->nn = new Node\\Arg($this->no[$this->np - (2 - 2)], true, false, $hc);}
protected function reduceRule138($hc){
$this->nn = new Node\\Arg($this->no[$this->np - (2 - 2)], false, true, $hc);}
protected function reduceRule139($hc){
$this->no[$this->np - (3 - 1)][] = $this->no[$this->np - (3 - 3)];
$this->nn = $this->no[$this->np - (3 - 1)];}
protected function reduceRule140($hc){
$this->nn = [$this->no[$this->np - (1 - 1)]];}
protected function reduceRule141($hc){
$this->nn = new Node\\Expr\\Variable(substr($this->no[$this->np - (1 - 1)], 1), $hc);}
protected function reduceRule142($hc){
$this->nn = new Node\\Expr\\Variable($this->no[$this->np - (2 - 2)], $hc);}
protected function reduceRule143($hc){
$this->nn = new Node\\Expr\\Variable($this->no[$this->np - (4 - 3)], $hc);}
protected function reduceRule144($hc){
$this->no[$this->np - (3 - 1)][] = $this->no[$this->np - (3 - 3)];
$this->nn = $this->no[$this->np - (3 - 1)];}
protected function reduceRule145($hc){
$this->nn = [$this->no[$this->np - (1 - 1)]];}
protected function reduceRule146($hc){
$this->nn = new Node\\Stmt\\StaticVar(substr($this->no[$this->np - (1 - 1)], 1), null, $hc);}
protected function reduceRule147($hc){
$this->nn = new Node\\Stmt\\StaticVar(substr($this->no[$this->np - (3 - 1)], 1), $this->no[$this->np - (3 - 3)], $hc);}
protected function reduceRule148($hc){
$this->no[$this->np - (2 - 1)][] = $this->no[$this->np - (2 - 2)];
$this->nn = $this->no[$this->np - (2 - 1)];}
protected function reduceRule149($hc){
$this->nn = [];}
protected function reduceRule150($hc){
$this->nn = new Node\\Stmt\\Property($this->no[$this->np - (3 - 1)], $this->no[$this->np - (3 - 2)], $hc);}
protected function reduceRule151($hc){
$this->nn = new Node\\Stmt\\ClassConst($this->no[$this->np - (3 - 2)], $hc);}
protected function reduceRule152($hc){
$this->nn = new Node\\Stmt\\ClassMethod($this->no[$this->np - (8 - 4)], ["type" => $this->no[$this->np - (8 - 1)], "hq" => $this->no[$this->np - (8 - 3)], "fw" => $this->no[$this->np - (8 - 6)], "cj" => $this->no[$this->np - (8 - 8)]], $hc);}
protected function reduceRule153($hc){
$this->nn = new Node\\Stmt\\TraitUse($this->no[$this->np - (3 - 2)], $this->no[$this->np - (3 - 3)], $hc);}
protected function reduceRule154($hc){
$this->nn = [];}
protected function reduceRule155($hc){
$this->nn = $this->no[$this->np - (3 - 2)];}
protected function reduceRule156($hc){
$this->nn = [];}
protected function reduceRule157($hc){
$this->no[$this->np - (2 - 1)][] = $this->no[$this->np - (2 - 2)];
$this->nn = $this->no[$this->np - (2 - 1)];}
protected function reduceRule158($hc){
$this->nn = new Node\\Stmt\\TraitUseAdaptation\\Precedence($this->no[$this->np - (4 - 1)][0], $this->no[$this->np - (4 - 1)][1], $this->no[$this->np - (4 - 3)], $hc);}
protected function reduceRule159($hc){
$this->nn = new Node\\Stmt\\TraitUseAdaptation\\Alias($this->no[$this->np - (5 - 1)][0], $this->no[$this->np - (5 - 1)][1], $this->no[$this->np - (5 - 3)], $this->no[$this->np - (5 - 4)], $hc);}
protected function reduceRule160($hc){
$this->nn = new Node\\Stmt\\TraitUseAdaptation\\Alias($this->no[$this->np - (4 - 1)][0], $this->no[$this->np - (4 - 1)][1], $this->no[$this->np - (4 - 3)], null, $hc);}
protected function reduceRule161($hc){
$this->nn = new Node\\Stmt\\TraitUseAdaptation\\Alias($this->no[$this->np - (4 - 1)][0], $this->no[$this->np - (4 - 1)][1], null, $this->no[$this->np - (4 - 3)], $hc);}
protected function reduceRule162($hc){
$this->nn = [$this->no[$this->np - (3 - 1)], $this->no[$this->np - (3 - 3)]];}
protected function reduceRule163($hc){
$this->nn = $this->no[$this->np - (1 - 1)];}
protected function reduceRule164($hc){
$this->nn = [null, $this->no[$this->np - (1 - 1)]];}
protected function reduceRule165($hc){
$this->nn = null;}
protected function reduceRule166($hc){
$this->nn = $this->no[$this->np - (3 - 2)];}
protected function reduceRule167($hc){
$this->nn = $this->no[$this->np - (1 - 1)];}
protected function reduceRule168($hc){
$this->nn = Node\\Stmt\\Class_::MODIFIER_PUBLIC;}
protected function reduceRule169($hc){
$this->nn = Node\\Stmt\\Class_::MODIFIER_PUBLIC;}
protected function reduceRule170($hc){
$this->nn = $this->no[$this->np - (1 - 1)];}
protected function reduceRule171($hc){
$this->nn = $this->no[$this->np - (1 - 1)];}
protected function reduceRule172($hc){
Node\\Stmt\\Class_::hz($this->no[$this->np - (2 - 1)], $this->no[$this->np - (2 - 2)]);
$this->nn = $this->no[$this->np - (2 - 1)] | $this->no[$this->np - (2 - 2)];}
protected function reduceRule173($hc){
$this->nn = Node\\Stmt\\Class_::MODIFIER_PUBLIC;}
protected function reduceRule174($hc){
$this->nn = Node\\Stmt\\Class_::MODIFIER_PROTECTED;}
protected function reduceRule175($hc){
$this->nn = Node\\Stmt\\Class_::MODIFIER_PRIVATE;}
protected function reduceRule176($hc){
$this->nn = Node\\Stmt\\Class_::MODIFIER_STATIC;}
protected function reduceRule177($hc){
$this->nn = Node\\Stmt\\Class_::MODIFIER_ABSTRACT;}
protected function reduceRule178($hc){
$this->nn = Node\\Stmt\\Class_::MODIFIER_FINAL;}
protected function reduceRule179($hc){
$this->nn = [$this->no[$this->np - (1 - 1)]];}
protected function reduceRule180($hc){
$this->no[$this->np - (3 - 1)][] = $this->no[$this->np - (3 - 3)];
$this->nn = $this->no[$this->np - (3 - 1)];}
protected function reduceRule181($hc){
$this->nn = new Node\\Stmt\\PropertyProperty(substr($this->no[$this->np - (1 - 1)], 1), null, $hc);}
protected function reduceRule182($hc){
$this->nn = new Node\\Stmt\\PropertyProperty(substr($this->no[$this->np - (3 - 1)], 1), $this->no[$this->np - (3 - 3)], $hc);}
protected function reduceRule183($hc){
$this->no[$this->np - (3 - 1)][] = $this->no[$this->np - (3 - 3)];
$this->nn = $this->no[$this->np - (3 - 1)];}
protected function reduceRule184($hc){
$this->nn = [$this->no[$this->np - (1 - 1)]];}
protected function reduceRule185($hc){
$this->nn = [];}
protected function reduceRule186($hc){
$this->nn = $this->no[$this->np - (1 - 1)];}
protected function reduceRule187($hc){
$this->nn = $this->no[$this->np - (1 - 1)];}
protected function reduceRule188($hc){
$this->nn = new Node\\Expr\\Assign($this->no[$this->np - (3 - 1)], $this->no[$this->np - (3 - 3)], $hc);}
protected function reduceRule189($hc){
$this->nn = new Node\\Expr\\Assign($this->no[$this->np - (3 - 1)], $this->no[$this->np - (3 - 3)], $hc);}
protected function reduceRule190($hc){
$this->nn = new Node\\Expr\\AssignRef($this->no[$this->np - (4 - 1)], $this->no[$this->np - (4 - 4)], $hc);}
protected function reduceRule191($hc){
$this->nn = new Node\\Expr\\AssignRef($this->no[$this->np - (4 - 1)], $this->no[$this->np - (4 - 4)], $hc);}
protected function reduceRule192($hc){
$this->nn = $this->no[$this->np - (1 - 1)];}
protected function reduceRule193($hc){
$this->nn = new Node\\Expr\\Clone_($this->no[$this->np - (2 - 2)], $hc);}
protected function reduceRule194($hc){
$this->nn = new Node\\Expr\\AssignOp\\Plus($this->no[$this->np - (3 - 1)], $this->no[$this->np - (3 - 3)], $hc);}
protected function reduceRule195($hc){
$this->nn = new Node\\Expr\\AssignOp\\Minus($this->no[$this->np - (3 - 1)], $this->no[$this->np - (3 - 3)], $hc);}
protected function reduceRule196($hc){
$this->nn = new Node\\Expr\\AssignOp\\Mul($this->no[$this->np - (3 - 1)], $this->no[$this->np - (3 - 3)], $hc);}
protected function reduceRule197($hc){
$this->nn = new Node\\Expr\\AssignOp\\Div($this->no[$this->np - (3 - 1)], $this->no[$this->np - (3 - 3)], $hc);}
protected function reduceRule198($hc){
$this->nn = new Node\\Expr\\AssignOp\\Concat($this->no[$this->np - (3 - 1)], $this->no[$this->np - (3 - 3)], $hc);}
protected function reduceRule199($hc){
$this->nn = new Node\\Expr\\AssignOp\\Mod($this->no[$this->np - (3 - 1)], $this->no[$this->np - (3 - 3)], $hc);}
protected function reduceRule200($hc){
$this->nn = new Node\\Expr\\AssignOp\\BitwiseAnd($this->no[$this->np - (3 - 1)], $this->no[$this->np - (3 - 3)], $hc);}
protected function reduceRule201($hc){
$this->nn = new Node\\Expr\\AssignOp\\BitwiseOr($this->no[$this->np - (3 - 1)], $this->no[$this->np - (3 - 3)], $hc);}
protected function reduceRule202($hc){
$this->nn = new Node\\Expr\\AssignOp\\BitwiseXor($this->no[$this->np - (3 - 1)], $this->no[$this->np - (3 - 3)], $hc);}
protected function reduceRule203($hc){
$this->nn = new Node\\Expr\\AssignOp\\ShiftLeft($this->no[$this->np - (3 - 1)], $this->no[$this->np - (3 - 3)], $hc);}
protected function reduceRule204($hc){
$this->nn = new Node\\Expr\\AssignOp\\ShiftRight($this->no[$this->np - (3 - 1)], $this->no[$this->np - (3 - 3)], $hc);}
protected function reduceRule205($hc){
$this->nn = new Node\\Expr\\AssignOp\\Pow($this->no[$this->np - (3 - 1)], $this->no[$this->np - (3 - 3)], $hc);}
protected function reduceRule206($hc){
$this->nn = new Node\\Expr\\PostInc($this->no[$this->np - (2 - 1)], $hc);}
protected function reduceRule207($hc){
$this->nn = new Node\\Expr\\PreInc($this->no[$this->np - (2 - 2)], $hc);}
protected function reduceRule208($hc){
$this->nn = new Node\\Expr\\PostDec($this->no[$this->np - (2 - 1)], $hc);}
protected function reduceRule209($hc){
$this->nn = new Node\\Expr\\PreDec($this->no[$this->np - (2 - 2)], $hc);}
protected function reduceRule210($hc){
$this->nn = new Node\\Expr\\BinaryOp\\BooleanOr($this->no[$this->np - (3 - 1)], $this->no[$this->np - (3 - 3)], $hc);}
protected function reduceRule211($hc){
$this->nn = new Node\\Expr\\BinaryOp\\BooleanAnd($this->no[$this->np - (3 - 1)], $this->no[$this->np - (3 - 3)], $hc);}
protected function reduceRule212($hc){
$this->nn = new Node\\Expr\\BinaryOp\\LogicalOr($this->no[$this->np - (3 - 1)], $this->no[$this->np - (3 - 3)], $hc);}
protected function reduceRule213($hc){
$this->nn = new Node\\Expr\\BinaryOp\\LogicalAnd($this->no[$this->np - (3 - 1)], $this->no[$this->np - (3 - 3)], $hc);}
protected function reduceRule214($hc){
$this->nn = new Node\\Expr\\BinaryOp\\LogicalXor($this->no[$this->np - (3 - 1)], $this->no[$this->np - (3 - 3)], $hc);}
protected function reduceRule215($hc){
$this->nn = new Node\\Expr\\BinaryOp\\BitwiseOr($this->no[$this->np - (3 - 1)], $this->no[$this->np - (3 - 3)], $hc);}
protected function reduceRule216($hc){
$this->nn = new Node\\Expr\\BinaryOp\\BitwiseAnd($this->no[$this->np - (3 - 1)], $this->no[$this->np - (3 - 3)], $hc);}
protected function reduceRule217($hc){
$this->nn = new Node\\Expr\\BinaryOp\\BitwiseXor($this->no[$this->np - (3 - 1)], $this->no[$this->np - (3 - 3)], $hc);}
protected function reduceRule218($hc){
$this->nn = new Node\\Expr\\BinaryOp\\Concat($this->no[$this->np - (3 - 1)], $this->no[$this->np - (3 - 3)], $hc);}
protected function reduceRule219($hc){
$this->nn = new Node\\Expr\\BinaryOp\\Plus($this->no[$this->np - (3 - 1)], $this->no[$this->np - (3 - 3)], $hc);}
protected function reduceRule220($hc){
$this->nn = new Node\\Expr\\BinaryOp\\Minus($this->no[$this->np - (3 - 1)], $this->no[$this->np - (3 - 3)], $hc);}
protected function reduceRule221($hc){
$this->nn = new Node\\Expr\\BinaryOp\\Mul($this->no[$this->np - (3 - 1)], $this->no[$this->np - (3 - 3)], $hc);}
protected function reduceRule222($hc){
$this->nn = new Node\\Expr\\BinaryOp\\Div($this->no[$this->np - (3 - 1)], $this->no[$this->np - (3 - 3)], $hc);}
protected function reduceRule223($hc){
$this->nn = new Node\\Expr\\BinaryOp\\Mod($this->no[$this->np - (3 - 1)], $this->no[$this->np - (3 - 3)], $hc);}
protected function reduceRule224($hc){
$this->nn = new Node\\Expr\\BinaryOp\\ShiftLeft($this->no[$this->np - (3 - 1)], $this->no[$this->np - (3 - 3)], $hc);}
protected function reduceRule225($hc){
$this->nn = new Node\\Expr\\BinaryOp\\ShiftRight($this->no[$this->np - (3 - 1)], $this->no[$this->np - (3 - 3)], $hc);}
protected function reduceRule226($hc){
$this->nn = new Node\\Expr\\BinaryOp\\Pow($this->no[$this->np - (3 - 1)], $this->no[$this->np - (3 - 3)], $hc);}
protected function reduceRule227($hc){
$this->nn = new Node\\Expr\\UnaryPlus($this->no[$this->np - (2 - 2)], $hc);}
protected function reduceRule228($hc){
$this->nn = new Node\\Expr\\UnaryMinus($this->no[$this->np - (2 - 2)], $hc);}
protected function reduceRule229($hc){
$this->nn = new Node\\Expr\\BooleanNot($this->no[$this->np - (2 - 2)], $hc);}
protected function reduceRule230($hc){
$this->nn = new Node\\Expr\\BitwiseNot($this->no[$this->np - (2 - 2)], $hc);}
protected function reduceRule231($hc){
$this->nn = new Node\\Expr\\BinaryOp\\Identical($this->no[$this->np - (3 - 1)], $this->no[$this->np - (3 - 3)], $hc);}
protected function reduceRule232($hc){
$this->nn = new Node\\Expr\\BinaryOp\\NotIdentical($this->no[$this->np - (3 - 1)], $this->no[$this->np - (3 - 3)], $hc);}
protected function reduceRule233($hc){
$this->nn = new Node\\Expr\\BinaryOp\\Equal($this->no[$this->np - (3 - 1)], $this->no[$this->np - (3 - 3)], $hc);}
protected function reduceRule234($hc){
$this->nn = new Node\\Expr\\BinaryOp\\NotEqual($this->no[$this->np - (3 - 1)], $this->no[$this->np - (3 - 3)], $hc);}
protected function reduceRule235($hc){
$this->nn = new Node\\Expr\\BinaryOp\\Smaller($this->no[$this->np - (3 - 1)], $this->no[$this->np - (3 - 3)], $hc);}
protected function reduceRule236($hc){
$this->nn = new Node\\Expr\\BinaryOp\\SmallerOrEqual($this->no[$this->np - (3 - 1)], $this->no[$this->np - (3 - 3)], $hc);}
protected function reduceRule237($hc){
$this->nn = new Node\\Expr\\BinaryOp\\Greater($this->no[$this->np - (3 - 1)], $this->no[$this->np - (3 - 3)], $hc);}
protected function reduceRule238($hc){
$this->nn = new Node\\Expr\\BinaryOp\\GreaterOrEqual($this->no[$this->np - (3 - 1)], $this->no[$this->np - (3 - 3)], $hc);}
protected function reduceRule239($hc){
$this->nn = new Node\\Expr\\Instanceof_($this->no[$this->np - (3 - 1)], $this->no[$this->np - (3 - 3)], $hc);}
protected function reduceRule240($hc){
$this->nn = $this->no[$this->np - (1 - 1)];}
protected function reduceRule241($hc){
$this->nn = $this->no[$this->np - (3 - 2)];}
protected function reduceRule242($hc){
$this->nn = new Node\\Expr\\Ternary($this->no[$this->np - (5 - 1)], $this->no[$this->np - (5 - 3)], $this->no[$this->np - (5 - 5)], $hc);}
protected function reduceRule243($hc){
$this->nn = new Node\\Expr\\Ternary($this->no[$this->np - (4 - 1)], null, $this->no[$this->np - (4 - 4)], $hc);}
protected function reduceRule244($hc){
$this->nn = new Node\\Expr\\Isset_($this->no[$this->np - (4 - 3)], $hc);}
protected function reduceRule245($hc){
$this->nn = new Node\\Expr\\Empty_($this->no[$this->np - (4 - 3)], $hc);}
protected function reduceRule246($hc){
$this->nn = new Node\\Expr\\Include_($this->no[$this->np - (2 - 2)], Node\\Expr\\Include_::TYPE_INCLUDE, $hc);}
protected function reduceRule247($hc){
$this->nn = new Node\\Expr\\Include_($this->no[$this->np - (2 - 2)], Node\\Expr\\Include_::TYPE_INCLUDE_ONCE, $hc);}
protected function reduceRule248($hc){
$this->nn = new Node\\Expr\\Eval_($this->no[$this->np - (2 - 2)], $hc);}
protected function reduceRule249($hc){
$this->nn = new Node\\Expr\\Include_($this->no[$this->np - (2 - 2)], Node\\Expr\\Include_::TYPE_REQUIRE, $hc);}
protected function reduceRule250($hc){
$this->nn = new Node\\Expr\\Include_($this->no[$this->np - (2 - 2)], Node\\Expr\\Include_::TYPE_REQUIRE_ONCE, $hc);}
protected function reduceRule251($hc){
$this->nn = new Node\\Expr\\Cast\\Int($this->no[$this->np - (2 - 2)], $hc);}
protected function reduceRule252($hc){
$this->nn = new Node\\Expr\\Cast\\Double($this->no[$this->np - (2 - 2)], $hc);}
protected function reduceRule253($hc){
$this->nn = new Node\\Expr\\Cast\\String($this->no[$this->np - (2 - 2)], $hc);}
protected function reduceRule254($hc){
$this->nn = new Node\\Expr\\Cast\\Array_($this->no[$this->np - (2 - 2)], $hc);}
protected function reduceRule255($hc){
$this->nn = new Node\\Expr\\Cast\\Object($this->no[$this->np - (2 - 2)], $hc);}
protected function reduceRule256($hc){
$this->nn = new Node\\Expr\\Cast\\Bool($this->no[$this->np - (2 - 2)], $hc);}
protected function reduceRule257($hc){
$this->nn = new Node\\Expr\\Cast\\Unset_($this->no[$this->np - (2 - 2)], $hc);}
protected function reduceRule258($hc){
$this->nn = new Node\\Expr\\Exit_($this->no[$this->np - (2 - 2)], $hc);}
protected function reduceRule259($hc){
$this->nn = new Node\\Expr\\ErrorSuppress($this->no[$this->np - (2 - 2)], $hc);}
protected function reduceRule260($hc){
$this->nn = $this->no[$this->np - (1 - 1)];}
protected function reduceRule261($hc){
$this->nn = $this->no[$this->np - (1 - 1)];}
protected function reduceRule262($hc){
$this->nn = $this->no[$this->np - (1 - 1)];}
protected function reduceRule263($hc){
$this->nn = new Node\\Expr\\ShellExec($this->no[$this->np - (3 - 2)], $hc);}
protected function reduceRule264($hc){
$this->nn = new Node\\Expr\\Print_($this->no[$this->np - (2 - 2)], $hc);}
protected function reduceRule265($hc){
$this->nn = new Node\\Expr\\Yield_(null, null, $hc);}
protected function reduceRule266($hc){
$this->nn = new Node\\Expr\\Closure(["static" => false, "hq" => $this->no[$this->np - (9 - 2)], "fw" => $this->no[$this->np - (9 - 4)], "gn" => $this->no[$this->np - (9 - 6)], "cj" => $this->no[$this->np - (9 - 8)]], $hc);}
protected function reduceRule267($hc){
$this->nn = new Node\\Expr\\Closure(["static" => true, "hq" => $this->no[$this->np - (10 - 3)], "fw" => $this->no[$this->np - (10 - 5)], "gn" => $this->no[$this->np - (10 - 7)], "cj" => $this->no[$this->np - (10 - 9)]], $hc);}
protected function reduceRule268($hc){
$this->nn = $this->no[$this->np - (3 - 2)];}
protected function reduceRule269($hc){
$this->nn = $this->no[$this->np - (3 - 2)];}
protected function reduceRule270($hc){
$this->nn = new Node\\Expr\\Yield_($this->no[$this->np - (2 - 2)], null, $hc);}
protected function reduceRule271($hc){
$this->nn = new Node\\Expr\\Yield_($this->no[$this->np - (4 - 4)], $this->no[$this->np - (4 - 2)], $hc);}
protected function reduceRule272($hc){
$this->nn = new Node\\Expr\\Array_($this->no[$this->np - (4 - 3)], $hc);}
protected function reduceRule273($hc){
$this->nn = new Node\\Expr\\Array_($this->no[$this->np - (3 - 2)], $hc);}
protected function reduceRule274($hc){
$this->nn = new Node\\Expr\\ArrayDimFetch($this->no[$this->np - (4 - 1)], $this->no[$this->np - (4 - 3)], $hc);}
protected function reduceRule275($hc){
$this->nn = new Node\\Expr\\ArrayDimFetch(new Node\\Scalar\\String(Node\\Scalar\\String::ck($this->no[$this->np - (4 - 1)]), $hc), $this->no[$this->np - (4 - 3)], $hc);}
protected function reduceRule276($hc){
$this->nn = new Node\\Expr\\ArrayDimFetch($this->no[$this->np - (4 - 1)], $this->no[$this->np - (4 - 3)], $hc);}
protected function reduceRule277($hc){
$this->nn = new Node\\Expr\\ArrayDimFetch($this->no[$this->np - (4 - 1)], $this->no[$this->np - (4 - 3)], $hc);}
protected function reduceRule278($hc){
$this->nn = new Node\\Expr\\New_($this->no[$this->np - (3 - 2)], $this->no[$this->np - (3 - 3)], $hc);}
protected function reduceRule279($hc){
$this->nn = [];}
protected function reduceRule280($hc){
$this->nn = $this->no[$this->np - (4 - 3)];}
protected function reduceRule281($hc){
$this->nn = [$this->no[$this->np - (1 - 1)]];}
protected function reduceRule282($hc){
$this->no[$this->np - (3 - 1)][] = $this->no[$this->np - (3 - 3)];
$this->nn = $this->no[$this->np - (3 - 1)];}
protected function reduceRule283($hc){
$this->nn = new Node\\Expr\\ClosureUse(substr($this->no[$this->np - (2 - 2)], 1), $this->no[$this->np - (2 - 1)], $hc);}
protected function reduceRule284($hc){
$this->nn = new Node\\Expr\\FuncCall($this->no[$this->np - (2 - 1)], $this->no[$this->np - (2 - 2)], $hc);}
protected function reduceRule285($hc){
$this->nn = new Node\\Expr\\StaticCall($this->no[$this->np - (4 - 1)], $this->no[$this->np - (4 - 3)], $this->no[$this->np - (4 - 4)], $hc);}
protected function reduceRule286($hc){
$this->nn = new Node\\Expr\\StaticCall($this->no[$this->np - (6 - 1)], $this->no[$this->np - (6 - 4)], $this->no[$this->np - (6 - 6)], $hc);}
protected function reduceRule287($hc){
if ($this->no[$this->np - (2 - 1)] instanceof Node\\Expr\\StaticPropertyFetch) {
$this->nn = new Node\\Expr\\StaticCall($this->no[$this->np - (2 - 1)]->class, new Node\\Expr\\Variable($this->no[$this->np - (2 - 1)]->ao, $hc), $this->no[$this->np - (2 - 2)], $hc);} elseif ($this->no[$this->np - (2 - 1)] instanceof Node\\Expr\\ArrayDimFetch) {
$ns = $this->no[$this->np - (2 - 1)];
while ($ns->var instanceof Node\\Expr\\ArrayDimFetch) {
$ns = $ns->var;}
$this->nn = new Node\\Expr\\StaticCall($ns->var->class, $this->no[$this->np - (2 - 1)], $this->no[$this->np - (2 - 2)], $hc);
$ns->var = new Node\\Expr\\Variable($ns->var->ao, $hc);} else {
throw new \\Exception();}}
protected function reduceRule288($hc){
$this->nn = new Node\\Expr\\FuncCall($this->no[$this->np - (2 - 1)], $this->no[$this->np - (2 - 2)], $hc);}
protected function reduceRule289($hc){
$this->nn = new Node\\Expr\\ArrayDimFetch($this->no[$this->np - (4 - 1)], $this->no[$this->np - (4 - 3)], $hc);}
protected function reduceRule290($hc){
$this->nn = new Node\\Name($this->no[$this->np - (1 - 1)], $hc);}
protected function reduceRule291($hc){
$this->nn = $this->no[$this->np - (1 - 1)];}
protected function reduceRule292($hc){
$this->nn = new Node\\Name($this->no[$this->np - (1 - 1)], $hc);}
protected function reduceRule293($hc){
$this->nn = new Node\\Name\\FullyQualified($this->no[$this->np - (2 - 2)], $hc);}
protected function reduceRule294($hc){
$this->nn = new Node\\Name\\Relative($this->no[$this->np - (3 - 3)], $hc);}
protected function reduceRule295($hc){
$this->nn = $this->no[$this->np - (1 - 1)];}
protected function reduceRule296($hc){
$this->nn = $this->no[$this->np - (1 - 1)];}
protected function reduceRule297($hc){
$this->nn = $this->no[$this->np - (1 - 1)];}
protected function reduceRule298($hc){
$this->nn = $this->no[$this->np - (1 - 1)];}
protected function reduceRule299($hc){
$this->nn = $this->no[$this->np - (1 - 1)];}
protected function reduceRule300($hc){
$this->nn = $this->no[$this->np - (1 - 1)];}
protected function reduceRule301($hc){
$this->nn = new Node\\Expr\\PropertyFetch($this->no[$this->np - (3 - 1)], $this->no[$this->np - (3 - 3)], $hc);}
protected function reduceRule302($hc){
$this->nn = new Node\\Expr\\PropertyFetch($this->no[$this->np - (3 - 1)], $this->no[$this->np - (3 - 3)], $hc);}
protected function reduceRule303($hc){
$this->nn = new Node\\Expr\\ArrayDimFetch($this->no[$this->np - (4 - 1)], $this->no[$this->np - (4 - 3)], $hc);}
protected function reduceRule304($hc){
$this->nn = new Node\\Expr\\ArrayDimFetch($this->no[$this->np - (4 - 1)], $this->no[$this->np - (4 - 3)], $hc);}
protected function reduceRule305($hc){
$this->nn = null;}
protected function reduceRule306($hc){
$this->nn = null;}
protected function reduceRule307($hc){
$this->nn = $this->no[$this->np - (1 - 1)];}
protected function reduceRule308($hc){
$this->nn = [];}
protected function reduceRule309($hc){
$this->nn = [Node\\Scalar\\String::kv($this->no[$this->np - (1 - 1)], "`")];}
protected function reduceRule310($hc){
foreach ($this->no[$this->np - (1 - 1)] as &$s) {
if (is_string($s)) {
$s = Node\\Scalar\\String::kv($s, "`");}}
$this->nn = $this->no[$this->np - (1 - 1)];}
protected function reduceRule311($hc){
$this->nn = [];}
protected function reduceRule312($hc){
$this->nn = $this->no[$this->np - (1 - 1)];}
protected function reduceRule313($hc){
$this->nn = new Node\\Scalar\\LNumber(Node\\Scalar\\LNumber::ck($this->no[$this->np - (1 - 1)]), $hc);}
protected function reduceRule314($hc){
$this->nn = new Node\\Scalar\\DNumber(Node\\Scalar\\DNumber::ck($this->no[$this->np - (1 - 1)]), $hc);}
protected function reduceRule315($hc){
$this->nn = new Node\\Scalar\\String(Node\\Scalar\\String::ck($this->no[$this->np - (1 - 1)]), $hc);}
protected function reduceRule316($hc){
$this->nn = new Node\\Scalar\\MagicConst\\Line($hc);}
protected function reduceRule317($hc){
$this->nn = new Node\\Scalar\\MagicConst\\File($hc);}
protected function reduceRule318($hc){
$this->nn = new Node\\Scalar\\MagicConst\\Dir($hc);}
protected function reduceRule319($hc){
$this->nn = new Node\\Scalar\\MagicConst\\Class_($hc);}
protected function reduceRule320($hc){
$this->nn = new Node\\Scalar\\MagicConst\\Trait_($hc);}
protected function reduceRule321($hc){
$this->nn = new Node\\Scalar\\MagicConst\\Method($hc);}
protected function reduceRule322($hc){
$this->nn = new Node\\Scalar\\MagicConst\\Function_($hc);}
protected function reduceRule323($hc){
$this->nn = new Node\\Scalar\\MagicConst\\Namespace_($hc);}
protected function reduceRule324($hc){
$this->nn = new Node\\Scalar\\String(Node\\Scalar\\String::kz($this->no[$this->np - (3 - 1)], $this->no[$this->np - (3 - 2)]), $hc);}
protected function reduceRule325($hc){
$this->nn = new Node\\Scalar\\String("", $hc);}
protected function reduceRule326($hc){
$this->nn = $this->no[$this->np - (1 - 1)];}
protected function reduceRule327($hc){
$this->nn = new Node\\Expr\\ClassConstFetch($this->no[$this->np - (3 - 1)], $this->no[$this->np - (3 - 3)], $hc);}
protected function reduceRule328($hc){
$this->nn = new Node\\Expr\\ConstFetch($this->no[$this->np - (1 - 1)], $hc);}
protected function reduceRule329($hc){
$this->nn = new Node\\Expr\\Array_($this->no[$this->np - (4 - 3)], $hc);}
protected function reduceRule330($hc){
$this->nn = new Node\\Expr\\Array_($this->no[$this->np - (3 - 2)], $hc);}
protected function reduceRule331($hc){
$this->nn = $this->no[$this->np - (1 - 1)];}
protected function reduceRule332($hc){
$this->nn = new Node\\Expr\\BinaryOp\\BooleanOr($this->no[$this->np - (3 - 1)], $this->no[$this->np - (3 - 3)], $hc);}
protected function reduceRule333($hc){
$this->nn = new Node\\Expr\\BinaryOp\\BooleanAnd($this->no[$this->np - (3 - 1)], $this->no[$this->np - (3 - 3)], $hc);}
protected function reduceRule334($hc){
$this->nn = new Node\\Expr\\BinaryOp\\LogicalOr($this->no[$this->np - (3 - 1)], $this->no[$this->np - (3 - 3)], $hc);}
protected function reduceRule335($hc){
$this->nn = new Node\\Expr\\BinaryOp\\LogicalAnd($this->no[$this->np - (3 - 1)], $this->no[$this->np - (3 - 3)], $hc);}
protected function reduceRule336($hc){
$this->nn = new Node\\Expr\\BinaryOp\\LogicalXor($this->no[$this->np - (3 - 1)], $this->no[$this->np - (3 - 3)], $hc);}
protected function reduceRule337($hc){
$this->nn = new Node\\Expr\\BinaryOp\\BitwiseOr($this->no[$this->np - (3 - 1)], $this->no[$this->np - (3 - 3)], $hc);}
protected function reduceRule338($hc){
$this->nn = new Node\\Expr\\BinaryOp\\BitwiseAnd($this->no[$this->np - (3 - 1)], $this->no[$this->np - (3 - 3)], $hc);}
protected function reduceRule339($hc){
$this->nn = new Node\\Expr\\BinaryOp\\BitwiseXor($this->no[$this->np - (3 - 1)], $this->no[$this->np - (3 - 3)], $hc);}
protected function reduceRule340($hc){
$this->nn = new Node\\Expr\\BinaryOp\\Concat($this->no[$this->np - (3 - 1)], $this->no[$this->np - (3 - 3)], $hc);}
protected function reduceRule341($hc){
$this->nn = new Node\\Expr\\BinaryOp\\Plus($this->no[$this->np - (3 - 1)], $this->no[$this->np - (3 - 3)], $hc);}
protected function reduceRule342($hc){
$this->nn = new Node\\Expr\\BinaryOp\\Minus($this->no[$this->np - (3 - 1)], $this->no[$this->np - (3 - 3)], $hc);}
protected function reduceRule343($hc){
$this->nn = new Node\\Expr\\BinaryOp\\Mul($this->no[$this->np - (3 - 1)], $this->no[$this->np - (3 - 3)], $hc);}
protected function reduceRule344($hc){
$this->nn = new Node\\Expr\\BinaryOp\\Div($this->no[$this->np - (3 - 1)], $this->no[$this->np - (3 - 3)], $hc);}
protected function reduceRule345($hc){
$this->nn = new Node\\Expr\\BinaryOp\\Mod($this->no[$this->np - (3 - 1)], $this->no[$this->np - (3 - 3)], $hc);}
protected function reduceRule346($hc){
$this->nn = new Node\\Expr\\BinaryOp\\ShiftLeft($this->no[$this->np - (3 - 1)], $this->no[$this->np - (3 - 3)], $hc);}
protected function reduceRule347($hc){
$this->nn = new Node\\Expr\\BinaryOp\\ShiftRight($this->no[$this->np - (3 - 1)], $this->no[$this->np - (3 - 3)], $hc);}
protected function reduceRule348($hc){
$this->nn = new Node\\Expr\\BinaryOp\\Pow($this->no[$this->np - (3 - 1)], $this->no[$this->np - (3 - 3)], $hc);}
protected function reduceRule349($hc){
$this->nn = new Node\\Expr\\UnaryPlus($this->no[$this->np - (2 - 2)], $hc);}
protected function reduceRule350($hc){
$this->nn = new Node\\Expr\\UnaryMinus($this->no[$this->np - (2 - 2)], $hc);}
protected function reduceRule351($hc){
$this->nn = new Node\\Expr\\BooleanNot($this->no[$this->np - (2 - 2)], $hc);}
protected function reduceRule352($hc){
$this->nn = new Node\\Expr\\BitwiseNot($this->no[$this->np - (2 - 2)], $hc);}
protected function reduceRule353($hc){
$this->nn = new Node\\Expr\\BinaryOp\\Identical($this->no[$this->np - (3 - 1)], $this->no[$this->np - (3 - 3)], $hc);}
protected function reduceRule354($hc){
$this->nn = new Node\\Expr\\BinaryOp\\NotIdentical($this->no[$this->np - (3 - 1)], $this->no[$this->np - (3 - 3)], $hc);}
protected function reduceRule355($hc){
$this->nn = new Node\\Expr\\BinaryOp\\Equal($this->no[$this->np - (3 - 1)], $this->no[$this->np - (3 - 3)], $hc);}
protected function reduceRule356($hc){
$this->nn = new Node\\Expr\\BinaryOp\\NotEqual($this->no[$this->np - (3 - 1)], $this->no[$this->np - (3 - 3)], $hc);}
protected function reduceRule357($hc){
$this->nn = new Node\\Expr\\BinaryOp\\Smaller($this->no[$this->np - (3 - 1)], $this->no[$this->np - (3 - 3)], $hc);}
protected function reduceRule358($hc){
$this->nn = new Node\\Expr\\BinaryOp\\SmallerOrEqual($this->no[$this->np - (3 - 1)], $this->no[$this->np - (3 - 3)], $hc);}
protected function reduceRule359($hc){
$this->nn = new Node\\Expr\\BinaryOp\\Greater($this->no[$this->np - (3 - 1)], $this->no[$this->np - (3 - 3)], $hc);}
protected function reduceRule360($hc){
$this->nn = new Node\\Expr\\BinaryOp\\GreaterOrEqual($this->no[$this->np - (3 - 1)], $this->no[$this->np - (3 - 3)], $hc);}
protected function reduceRule361($hc){
$this->nn = new Node\\Expr\\Ternary($this->no[$this->np - (5 - 1)], $this->no[$this->np - (5 - 3)], $this->no[$this->np - (5 - 5)], $hc);}
protected function reduceRule362($hc){
$this->nn = new Node\\Expr\\Ternary($this->no[$this->np - (4 - 1)], null, $this->no[$this->np - (4 - 4)], $hc);}
protected function reduceRule363($hc){
$this->nn = new Node\\Expr\\ArrayDimFetch($this->no[$this->np - (4 - 1)], $this->no[$this->np - (4 - 3)], $hc);}
protected function reduceRule364($hc){
$this->nn = $this->no[$this->np - (3 - 2)];}
protected function reduceRule365($hc){
$this->nn = new Node\\Expr\\ConstFetch($this->no[$this->np - (1 - 1)], $hc);}
protected function reduceRule366($hc){
$this->nn = new Node\\Expr\\ClassConstFetch($this->no[$this->np - (3 - 1)], $this->no[$this->np - (3 - 3)], $hc);}
protected function reduceRule367($hc){
$this->nn = $this->no[$this->np - (1 - 1)];}
protected function reduceRule368($hc){
$this->nn = $this->no[$this->np - (1 - 1)];}
protected function reduceRule369($hc){
foreach ($this->no[$this->np - (3 - 2)] as &$s) {
if (is_string($s)) {
$s = Node\\Scalar\\String::kv($s, "\\"");}}
$this->nn = new Node\\Scalar\\Encapsed($this->no[$this->np - (3 - 2)], $hc);}
protected function reduceRule370($hc){
foreach ($this->no[$this->np - (3 - 2)] as &$s) {
if (is_string($s)) {
$s = Node\\Scalar\\String::kv($s, null);}}
$s = preg_replace(str_rot13("~(\\\\e\\\\a|\\\\a|\\\\e)\\$~"), "", $s);
if ("" === $s) {
array_pop($this->no[$this->np - (3 - 2)]);}
$this->nn = new Node\\Scalar\\Encapsed($this->no[$this->np - (3 - 2)], $hc);}
protected function reduceRule371($hc){
$this->nn = $this->no[$this->np - (1 - 1)];}
protected function reduceRule372($hc){
$this->nn = "class";}
protected function reduceRule373($hc){
$this->nn = [];}
protected function reduceRule374($hc){
$this->nn = $this->no[$this->np - (2 - 1)];}
protected function reduceRule375(){
$this->nn = $this->no[$this->np];}
protected function reduceRule376(){
$this->nn = $this->no[$this->np];}
protected function reduceRule377($hc){
$this->no[$this->np - (3 - 1)][] = $this->no[$this->np - (3 - 3)];
$this->nn = $this->no[$this->np - (3 - 1)];}
protected function reduceRule378($hc){
$this->nn = [$this->no[$this->np - (1 - 1)]];}
protected function reduceRule379($hc){
$this->nn = new Node\\Expr\\ArrayItem($this->no[$this->np - (3 - 3)], $this->no[$this->np - (3 - 1)], false, $hc);}
protected function reduceRule380($hc){
$this->nn = new Node\\Expr\\ArrayItem($this->no[$this->np - (1 - 1)], null, false, $hc);}
protected function reduceRule381($hc){
$this->nn = $this->no[$this->np - (1 - 1)];}
protected function reduceRule382($hc){
$this->nn = $this->no[$this->np - (1 - 1)];}
protected function reduceRule383($hc){
$this->nn = $this->no[$this->np - (1 - 1)];}
protected function reduceRule384($hc){
$this->nn = $this->no[$this->np - (1 - 1)];}
protected function reduceRule385($hc){
$this->nn = new Node\\Expr\\ArrayDimFetch($this->no[$this->np - (6 - 2)], $this->no[$this->np - (6 - 5)], $hc);}
protected function reduceRule386($hc){
$this->nn = new Node\\Expr\\ArrayDimFetch($this->no[$this->np - (4 - 1)], $this->no[$this->np - (4 - 3)], $hc);}
protected function reduceRule387($hc){
$this->nn = new Node\\Expr\\PropertyFetch($this->no[$this->np - (3 - 1)], $this->no[$this->np - (3 - 3)], $hc);}
protected function reduceRule388($hc){
$this->nn = new Node\\Expr\\MethodCall($this->no[$this->np - (4 - 1)], $this->no[$this->np - (4 - 3)], $this->no[$this->np - (4 - 4)], $hc);}
protected function reduceRule389($hc){
$this->nn = new Node\\Expr\\FuncCall($this->no[$this->np - (2 - 1)], $this->no[$this->np - (2 - 2)], $hc);}
protected function reduceRule390($hc){
$this->nn = new Node\\Expr\\ArrayDimFetch($this->no[$this->np - (4 - 1)], $this->no[$this->np - (4 - 3)], $hc);}
protected function reduceRule391($hc){
$this->nn = new Node\\Expr\\ArrayDimFetch($this->no[$this->np - (4 - 1)], $this->no[$this->np - (4 - 3)], $hc);}
protected function reduceRule392($hc){
$this->nn = $this->no[$this->np - (1 - 1)];}
protected function reduceRule393($hc){
$this->nn = $this->no[$this->np - (3 - 2)];}
protected function reduceRule394($hc){
$this->nn = $this->no[$this->np - (1 - 1)];}
protected function reduceRule395($hc){
$this->nn = new Node\\Expr\\Variable($this->no[$this->np - (2 - 2)], $hc);}
protected function reduceRule396($hc){
$this->nn = $this->no[$this->np - (1 - 1)];}
protected function reduceRule397($hc){
$this->nn = $this->no[$this->np - (1 - 1)];}
protected function reduceRule398($hc){
$this->nn = new Node\\Expr\\StaticPropertyFetch($this->no[$this->np - (4 - 1)], $this->no[$this->np - (4 - 4)], $hc);}
protected function reduceRule399($hc){
$this->nn = $this->no[$this->np - (1 - 1)];}
protected function reduceRule400($hc){
$this->nn = new Node\\Expr\\StaticPropertyFetch($this->no[$this->np - (3 - 1)], substr($this->no[$this->np - (3 - 3)], 1), $hc);}
protected function reduceRule401($hc){
$this->nn = new Node\\Expr\\StaticPropertyFetch($this->no[$this->np - (6 - 1)], $this->no[$this->np - (6 - 5)], $hc);}
protected function reduceRule402($hc){
$this->nn = new Node\\Expr\\ArrayDimFetch($this->no[$this->np - (4 - 1)], $this->no[$this->np - (4 - 3)], $hc);}
protected function reduceRule403($hc){
$this->nn = new Node\\Expr\\ArrayDimFetch($this->no[$this->np - (4 - 1)], $this->no[$this->np - (4 - 3)], $hc);}
protected function reduceRule404($hc){
$this->nn = new Node\\Expr\\ArrayDimFetch($this->no[$this->np - (4 - 1)], $this->no[$this->np - (4 - 3)], $hc);}
protected function reduceRule405($hc){
$this->nn = new Node\\Expr\\ArrayDimFetch($this->no[$this->np - (4 - 1)], $this->no[$this->np - (4 - 3)], $hc);}
protected function reduceRule406($hc){
$this->nn = new Node\\Expr\\Variable(substr($this->no[$this->np - (1 - 1)], 1), $hc);}
protected function reduceRule407($hc){
$this->nn = new Node\\Expr\\Variable($this->no[$this->np - (4 - 3)], $hc);}
protected function reduceRule408($hc){
$this->nn = null;}
protected function reduceRule409($hc){
$this->nn = $this->no[$this->np - (1 - 1)];}
protected function reduceRule410($hc){
$this->nn = $this->no[$this->np - (1 - 1)];}
protected function reduceRule411($hc){
$this->nn = $this->no[$this->np - (3 - 2)];}
protected function reduceRule412($hc){
$this->nn = $this->no[$this->np - (1 - 1)];}
protected function reduceRule413($hc){
$this->nn = new Node\\Expr\\List_($this->no[$this->np - (4 - 3)], $hc);}
protected function reduceRule414($hc){
$this->no[$this->np - (3 - 1)][] = $this->no[$this->np - (3 - 3)];
$this->nn = $this->no[$this->np - (3 - 1)];}
protected function reduceRule415($hc){
$this->nn = [$this->no[$this->np - (1 - 1)]];}
protected function reduceRule416($hc){
$this->nn = $this->no[$this->np - (1 - 1)];}
protected function reduceRule417($hc){
$this->nn = $this->no[$this->np - (1 - 1)];}
protected function reduceRule418($hc){
$this->nn = null;}
protected function reduceRule419($hc){
$this->nn = [];}
protected function reduceRule420($hc){
$this->nn = $this->no[$this->np - (2 - 1)];}
protected function reduceRule421($hc){
$this->no[$this->np - (3 - 1)][] = $this->no[$this->np - (3 - 3)];
$this->nn = $this->no[$this->np - (3 - 1)];}
protected function reduceRule422($hc){
$this->nn = [$this->no[$this->np - (1 - 1)]];}
protected function reduceRule423($hc){
$this->nn = new Node\\Expr\\ArrayItem($this->no[$this->np - (3 - 3)], $this->no[$this->np - (3 - 1)], false, $hc);}
protected function reduceRule424($hc){
$this->nn = new Node\\Expr\\ArrayItem($this->no[$this->np - (1 - 1)], null, false, $hc);}
protected function reduceRule425($hc){
$this->nn = new Node\\Expr\\ArrayItem($this->no[$this->np - (4 - 4)], $this->no[$this->np - (4 - 1)], true, $hc);}
protected function reduceRule426($hc){
$this->nn = new Node\\Expr\\ArrayItem($this->no[$this->np - (2 - 2)], null, true, $hc);}
protected function reduceRule427($hc){
$this->no[$this->np - (2 - 1)][] = $this->no[$this->np - (2 - 2)];
$this->nn = $this->no[$this->np - (2 - 1)];}
protected function reduceRule428($hc){
$this->no[$this->np - (2 - 1)][] = $this->no[$this->np - (2 - 2)];
$this->nn = $this->no[$this->np - (2 - 1)];}
protected function reduceRule429($hc){
$this->nn = [$this->no[$this->np - (1 - 1)]];}
protected function reduceRule430($hc){
$this->nn = [$this->no[$this->np - (2 - 1)], $this->no[$this->np - (2 - 2)]];}
protected function reduceRule431($hc){
$this->nn = new Node\\Expr\\Variable(substr($this->no[$this->np - (1 - 1)], 1), $hc);}
protected function reduceRule432($hc){
$this->nn = new Node\\Expr\\ArrayDimFetch(new Node\\Expr\\Variable(substr($this->no[$this->np - (4 - 1)], 1), $hc), $this->no[$this->np - (4 - 3)], $hc);}
protected function reduceRule433($hc){
$this->nn = new Node\\Expr\\PropertyFetch(new Node\\Expr\\Variable(substr($this->no[$this->np - (3 - 1)], 1), $hc), $this->no[$this->np - (3 - 3)], $hc);}
protected function reduceRule434($hc){
$this->nn = new Node\\Expr\\Variable($this->no[$this->np - (3 - 2)], $hc);}
protected function reduceRule435($hc){
$this->nn = new Node\\Expr\\Variable($this->no[$this->np - (3 - 2)], $hc);}
protected function reduceRule436($hc){
$this->nn = new Node\\Expr\\ArrayDimFetch(new Node\\Expr\\Variable($this->no[$this->np - (6 - 2)], $hc), $this->no[$this->np - (6 - 4)], $hc);}
protected function reduceRule437($hc){
$this->nn = $this->no[$this->np - (3 - 2)];}
protected function reduceRule438($hc){
$this->nn = new Node\\Scalar\\String($this->no[$this->np - (1 - 1)], $hc);}
protected function reduceRule439($hc){
$this->nn = new Node\\Scalar\\String($this->no[$this->np - (1 - 1)], $hc);}
protected function reduceRule440($hc){
$this->nn = new Node\\Expr\\Variable(substr($this->no[$this->np - (1 - 1)], 1), $hc);}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/CnefreNofgenpg.cuc") => 
'<?php

namespace PhpParser;

abstract class ParserAbstract{
const SYMBOL_NONE = -1;
protected $mu;
protected $mv;
protected $mw;
protected $nt;
protected $my;
protected $mz;
protected $na;
protected $nb;
protected $nd;
protected $nc;
protected $nu;
protected $ng;
protected $ne;
protected $nf;
protected $nh;
protected $nj;
protected $goto;
protected $ni;
protected $nk;
protected $nl;
protected $nm;
protected $nr;
protected $nn;
protected $no;
protected $np;
public function __construct(Lexer $nr){
$this->nr = $nr;}
public function ck($cs){
$this->nr->jc($cs);
$nv = self::SYMBOL_NONE;
$jg = [str_rot13("fgnegYvar") => 1];
$jh = [];
$nw = [$jg];
$nx = 0;
$ny = [$nx];
$this->no = [];
$this->np = 0;
for (;;) {
if ($this->ng[$nx] == 0) {
$ez = $this->nh[$nx];} else {
if ($nv === self::SYMBOL_NONE) {
$nz = $this->nr->ji($oa, $jg, $ob);
$nv = $nz >= 0 && $nz < $this->mu ? $this->nd[$nz] : $this->nt;
if ($nv === $this->nt) {
throw new \\RangeException(sprintf(str_rot13("Gur yrkre erghearq na vainyvq gbxra (vq=%q, inyhr=%f)"), $nz, $oa));}
$nw[$this->np] = $jg;}
$oc = $this->ng[$nx] + $nv;
if (($oc >= 0 && $oc < $this->mv && $this->nf[$oc] == $nv || $nx < $this->na && ($oc = $this->ng[$nx + $this->nb] + $nv) >= 0 && $oc < $this->mv && $this->nf[$oc] == $nv) && ($ne = $this->ne[$oc]) != $this->my) {
if ($ne > 0) {
++$this->np;
$ny[$this->np] = $nx = $ne;
$this->no[$this->np] = $oa;
$nw[$this->np] = $jg;
$jh = $ob;
$nv = self::SYMBOL_NONE;
if ($ne < $this->nb) {
continue;}
$ez = $ne - $this->nb;} else {
$ez = -$ne;}} else {
$ez = $this->nh[$nx];}}
for (;;) {
if ($ez === 0) {
return $this->nn;} elseif ($ez !== $this->mz) {
try {
$this->{str_rot13("erqhprEhyr") . $ez}($nw[$this->np - $this->nm[$ez]] + $jh);} catch (Error $e) {
if (-1 === $e->it() && isset($jg[str_rot13("fgnegYvar")])) {
$e->iu($jg[str_rot13("fgnegYvar")]);}
throw $e;}
$this->np -= $this->nm[$ez];
$od = $this->nl[$ez];
$oc = $this->nj[$od] + $ny[$this->np];
if ($oc >= 0 && $oc < $this->mw && $this->ni[$oc] == $od) {
$nx = $this->goto[$oc];} else {
$nx = $this->nk[$od];}
++$this->np;
$ny[$this->np] = $nx;
$this->no[$this->np] = $this->nn;
$nw[$this->np] = $jg;
if ($nx < $this->nb) {
break;}
$ez = $nx - $this->nb;} else {
if ($oe = $this->of($nx)) {
$og = str_rot13(", rkcrpgvat ") . implode(str_rot13(" be "), $oe);} else {
$og = "";}
throw new Error(str_rot13("Flagnk reebe, harkcrpgrq ") . $this->nc[$nv] . $og, $jg[str_rot13("fgnegYvar")]);}}}}
protected function of($nx){
$oe = [];
$oh = $this->ng[$nx];
foreach ($this->nc as $nv => $ao) {
$oc = $oh + $nv;
if ($oc >= 0 && $oc < $this->mv && $this->nf[$oc] === $nv || $nx < $this->na && ($oc = $this->ng[$nx + $this->nb] + $nv) >= 0 && $oc < $this->mv && $this->nf[$oc] === $nv) {
if ($this->ne[$oc] != $this->mz) {
if (count($oe) == 4) {
return [];}
$oe[] = $ao;}}}
return $oe;}
protected function oi($nx, $nv){
echo str_rot13("% Fgngr ") . $nx . str_rot13(", Ybbxnurnq ") . ($nv == self::SYMBOL_NONE ? str_rot13("--abar--") : $this->nc[$nv]) . "
";}
protected function oj($nv){
echo str_rot13("% Ernqvat ") . $this->nc[$nv] . "
";}
protected function ok($nv){
echo str_rot13("% Fuvsg ") . $this->nc[$nv] . "
";}
protected function ol(){
echo str_rot13("% Npprcgrq.
");}
protected function om($n){
echo str_rot13("% Erqhpr ol (") . $n . ") " . $this->nu[$n] . "
";}
protected function nq(array $cj){
$on = $this->oo($cj);
if (null === $on) {
return $cj;} elseif (str_rot13("oenpr") === $on) {
$op = false;
foreach ($cj as $gx) {
if ($gx instanceof Node\\Stmt\\Namespace_) {
$op = true;} elseif (!$gx instanceof Node\\Stmt\\HaltCompiler && $op) {
throw new Error(str_rot13("Ab pbqr znl rkvfg bhgfvqr bs anzrfcnpr {}"), $gx->il());}}
return $cj;} else {
$oq = [];
$os =& $oq;
foreach ($cj as $gx) {
if ($gx instanceof Node\\Stmt\\Namespace_) {
$gx->cj = [];
$os =& $gx->cj;
$oq[] = $gx;} elseif ($gx instanceof Node\\Stmt\\HaltCompiler) {
$oq[] = $gx;} else {
$os[] = $gx;}}
return $oq;}}
private function oo(array $cj){
$on = null;
$ot = false;
foreach ($cj as $gx) {
if ($gx instanceof Node\\Stmt\\Namespace_) {
$ou = null === $gx->cj ? str_rot13("frzvpbyba") : str_rot13("oenpr");
if (null === $on) {
$on = $ou;
if ($ot) {
throw new Error(str_rot13("Anzrfcnpr qrpynengvba fgngrzrag unf gb or gur irel svefg fgngrzrag va gur fpevcg"), $gx->il());}} elseif ($on !== $ou) {
throw new Error(str_rot13("Pnaabg zvk oenpxrgrq anzrfcnpr qrpynengvbaf jvgu haoenpxrgrq anzrfcnpr qrpynengvbaf"), $gx->il());}} elseif (!$gx instanceof Node\\Stmt\\Declare_ && !$gx instanceof Node\\Stmt\\HaltCompiler) {
$ot = true;}}
return $on;}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/CergglCevagre/Fgnaqneq.cuc") => 
'<?php

namespace PhpParser\\PrettyPrinter;

use PhpParser\\PrettyPrinterAbstract;
use PhpParser\\Node;
use PhpParser\\Node\\Scalar;
use PhpParser\\Node\\Scalar\\MagicConst;
use PhpParser\\Node\\Expr;
use PhpParser\\Node\\Expr\\AssignOp;
use PhpParser\\Node\\Expr\\BinaryOp;
use PhpParser\\Node\\Expr\\Cast;
use PhpParser\\Node\\Stmt;
use PhpParser\\Node\\Name;
class Standard extends PrettyPrinterAbstract{
public function pParam(Node\\Param $bl){
return ($bl->type ? (is_string($bl->type) ? $bl->type : $this->p($bl->type)) . " " : "") . ($bl->hq ? "&" : "") . ($bl->kr ? "... " : "") . "\\$" . $bl->ao . ($bl->default ? " = " . $this->p($bl->default) : "");}
public function pArg(Node\\Arg $bl){
return ($bl->hq ? "&" : "") . ($bl->unpack ? "..." : "") . $this->p($bl->bp);}
public function pConst(Node\\Const_ $bl){
return $bl->ao . " = " . $this->p($bl->bp);}
public function pName(Name $bl){
return implode("\\\\", $bl->ca);}
public function pName_FullyQualified(Name\\FullyQualified $bl){
return "\\\\" . implode("\\\\", $bl->ca);}
public function pName_Relative(Name\\Relative $bl){
return str_rot13("anzrfcnpr\\\\") . implode("\\\\", $bl->ca);}
public function pScalar_MagicConst_Class(MagicConst\\Class_ $bl){
return "__CLASS__";}
public function pScalar_MagicConst_Dir(MagicConst\\Dir $bl){
return "__DIR__";}
public function pScalar_MagicConst_File(MagicConst\\File $bl){
return "__FILE__";}
public function pScalar_MagicConst_Function(MagicConst\\Function_ $bl){
return "__FUNCTION__";}
public function pScalar_MagicConst_Line(MagicConst\\Line $bl){
return "__LINE__";}
public function pScalar_MagicConst_Method(MagicConst\\Method $bl){
return "__METHOD__";}
public function pScalar_MagicConst_Namespace(MagicConst\\Namespace_ $bl){
return "__NAMESPACE__";}
public function pScalar_MagicConst_Trait(MagicConst\\Trait_ $bl){
return "__TRAIT__";}
public function pScalar_String(Scalar\\String $bl){
return "\'" . $this->ov(addcslashes($bl->bp, "\'\\\\")) . "\'";}
public function pScalar_Encapsed(Scalar\\Encapsed $bl){
return "\\"" . $this->pEncapsList($bl->ca, "\\"") . "\\"";}
public function pScalar_LNumber(Scalar\\LNumber $bl){
return (string) $bl->bp;}
public function pScalar_DNumber(Scalar\\DNumber $bl){
$ow = (string) $bl->bp;
return preg_match("/^-?[0-9]+\\$/", $ow) ? $ow . ".0" : $ow;}
public function pExpr_Assign(Expr\\Assign $bl){
return $this->ox("Expr_Assign", $bl->var, " = ", $bl->jy);}
public function pExpr_AssignRef(Expr\\AssignRef $bl){
return $this->ox("Expr_AssignRef", $bl->var, " =& ", $bl->jy);}
public function pExpr_AssignOp_Plus(AssignOp\\Plus $bl){
return $this->ox("Expr_AssignOp_Plus", $bl->var, " += ", $bl->jy);}
public function pExpr_AssignOp_Minus(AssignOp\\Minus $bl){
return $this->ox("Expr_AssignOp_Minus", $bl->var, " -= ", $bl->jy);}
public function pExpr_AssignOp_Mul(AssignOp\\Mul $bl){
return $this->ox("Expr_AssignOp_Mul", $bl->var, " *= ", $bl->jy);}
public function pExpr_AssignOp_Div(AssignOp\\Div $bl){
return $this->ox("Expr_AssignOp_Div", $bl->var, " /= ", $bl->jy);}
public function pExpr_AssignOp_Concat(AssignOp\\Concat $bl){
return $this->ox("Expr_AssignOp_Concat", $bl->var, " .= ", $bl->jy);}
public function pExpr_AssignOp_Mod(AssignOp\\Mod $bl){
return $this->ox("Expr_AssignOp_Mod", $bl->var, " %= ", $bl->jy);}
public function pExpr_AssignOp_BitwiseAnd(AssignOp\\BitwiseAnd $bl){
return $this->ox("Expr_AssignOp_BitwiseAnd", $bl->var, " &= ", $bl->jy);}
public function pExpr_AssignOp_BitwiseOr(AssignOp\\BitwiseOr $bl){
return $this->ox("Expr_AssignOp_BitwiseOr", $bl->var, " |= ", $bl->jy);}
public function pExpr_AssignOp_BitwiseXor(AssignOp\\BitwiseXor $bl){
return $this->ox("Expr_AssignOp_BitwiseXor", $bl->var, " ^= ", $bl->jy);}
public function pExpr_AssignOp_ShiftLeft(AssignOp\\ShiftLeft $bl){
return $this->ox("Expr_AssignOp_ShiftLeft", $bl->var, " <<= ", $bl->jy);}
public function pExpr_AssignOp_ShiftRight(AssignOp\\ShiftRight $bl){
return $this->ox("Expr_AssignOp_ShiftRight", $bl->var, " >>= ", $bl->jy);}
public function pExpr_AssignOp_Pow(AssignOp\\Pow $bl){
return $this->ox("Expr_AssignOp_Pow", $bl->var, " **= ", $bl->jy);}
public function pExpr_BinaryOp_Plus(BinaryOp\\Plus $bl){
return $this->ox("Expr_BinaryOp_Plus", $bl->jz, " + ", $bl->ka);}
public function pExpr_BinaryOp_Minus(BinaryOp\\Minus $bl){
return $this->ox("Expr_BinaryOp_Minus", $bl->jz, " - ", $bl->ka);}
public function pExpr_BinaryOp_Mul(BinaryOp\\Mul $bl){
return $this->ox("Expr_BinaryOp_Mul", $bl->jz, " * ", $bl->ka);}
public function pExpr_BinaryOp_Div(BinaryOp\\Div $bl){
return $this->ox("Expr_BinaryOp_Div", $bl->jz, " / ", $bl->ka);}
public function pExpr_BinaryOp_Concat(BinaryOp\\Concat $bl){
return $this->ox("Expr_BinaryOp_Concat", $bl->jz, " . ", $bl->ka);}
public function pExpr_BinaryOp_Mod(BinaryOp\\Mod $bl){
return $this->ox("Expr_BinaryOp_Mod", $bl->jz, " % ", $bl->ka);}
public function pExpr_BinaryOp_BooleanAnd(BinaryOp\\BooleanAnd $bl){
return $this->ox("Expr_BinaryOp_BooleanAnd", $bl->jz, " && ", $bl->ka);}
public function pExpr_BinaryOp_BooleanOr(BinaryOp\\BooleanOr $bl){
return $this->ox("Expr_BinaryOp_BooleanOr", $bl->jz, " || ", $bl->ka);}
public function pExpr_BinaryOp_BitwiseAnd(BinaryOp\\BitwiseAnd $bl){
return $this->ox("Expr_BinaryOp_BitwiseAnd", $bl->jz, " & ", $bl->ka);}
public function pExpr_BinaryOp_BitwiseOr(BinaryOp\\BitwiseOr $bl){
return $this->ox("Expr_BinaryOp_BitwiseOr", $bl->jz, " | ", $bl->ka);}
public function pExpr_BinaryOp_BitwiseXor(BinaryOp\\BitwiseXor $bl){
return $this->ox("Expr_BinaryOp_BitwiseXor", $bl->jz, " ^ ", $bl->ka);}
public function pExpr_BinaryOp_ShiftLeft(BinaryOp\\ShiftLeft $bl){
return $this->ox("Expr_BinaryOp_ShiftLeft", $bl->jz, " << ", $bl->ka);}
public function pExpr_BinaryOp_ShiftRight(BinaryOp\\ShiftRight $bl){
return $this->ox("Expr_BinaryOp_ShiftRight", $bl->jz, " >> ", $bl->ka);}
public function pExpr_BinaryOp_Pow(BinaryOp\\Pow $bl){
return $this->ox("Expr_BinaryOp_Pow", $bl->jz, " ** ", $bl->ka);}
public function pExpr_BinaryOp_LogicalAnd(BinaryOp\\LogicalAnd $bl){
return $this->ox("Expr_BinaryOp_LogicalAnd", $bl->jz, str_rot13(" naq "), $bl->ka);}
public function pExpr_BinaryOp_LogicalOr(BinaryOp\\LogicalOr $bl){
return $this->ox("Expr_BinaryOp_LogicalOr", $bl->jz, str_rot13(" be "), $bl->ka);}
public function pExpr_BinaryOp_LogicalXor(BinaryOp\\LogicalXor $bl){
return $this->ox("Expr_BinaryOp_LogicalXor", $bl->jz, str_rot13(" kbe "), $bl->ka);}
public function pExpr_BinaryOp_Equal(BinaryOp\\Equal $bl){
return $this->ox("Expr_BinaryOp_Equal", $bl->jz, " == ", $bl->ka);}
public function pExpr_BinaryOp_NotEqual(BinaryOp\\NotEqual $bl){
return $this->ox("Expr_BinaryOp_NotEqual", $bl->jz, " != ", $bl->ka);}
public function pExpr_BinaryOp_Identical(BinaryOp\\Identical $bl){
return $this->ox("Expr_BinaryOp_Identical", $bl->jz, " === ", $bl->ka);}
public function pExpr_BinaryOp_NotIdentical(BinaryOp\\NotIdentical $bl){
return $this->ox("Expr_BinaryOp_NotIdentical", $bl->jz, " !== ", $bl->ka);}
public function pExpr_BinaryOp_Greater(BinaryOp\\Greater $bl){
return $this->ox("Expr_BinaryOp_Greater", $bl->jz, " > ", $bl->ka);}
public function pExpr_BinaryOp_GreaterOrEqual(BinaryOp\\GreaterOrEqual $bl){
return $this->ox("Expr_BinaryOp_GreaterOrEqual", $bl->jz, " >= ", $bl->ka);}
public function pExpr_BinaryOp_Smaller(BinaryOp\\Smaller $bl){
return $this->ox("Expr_BinaryOp_Smaller", $bl->jz, " < ", $bl->ka);}
public function pExpr_BinaryOp_SmallerOrEqual(BinaryOp\\SmallerOrEqual $bl){
return $this->ox("Expr_BinaryOp_SmallerOrEqual", $bl->jz, " <= ", $bl->ka);}
public function pExpr_Instanceof(Expr\\Instanceof_ $bl){
return $this->ox("Expr_Instanceof", $bl->jy, str_rot13(" vafgnaprbs "), $bl->class);}
public function pExpr_BooleanNot(Expr\\BooleanNot $bl){
return $this->oy("Expr_BooleanNot", "!", $bl->jy);}
public function pExpr_BitwiseNot(Expr\\BitwiseNot $bl){
return $this->oy("Expr_BitwiseNot", "~", $bl->jy);}
public function pExpr_UnaryMinus(Expr\\UnaryMinus $bl){
return $this->oy("Expr_UnaryMinus", "-", $bl->jy);}
public function pExpr_UnaryPlus(Expr\\UnaryPlus $bl){
return $this->oy("Expr_UnaryPlus", "+", $bl->jy);}
public function pExpr_PreInc(Expr\\PreInc $bl){
return $this->oy("Expr_PreInc", "++", $bl->var);}
public function pExpr_PreDec(Expr\\PreDec $bl){
return $this->oy("Expr_PreDec", "--", $bl->var);}
public function pExpr_PostInc(Expr\\PostInc $bl){
return $this->oz("Expr_PostInc", $bl->var, "++");}
public function pExpr_PostDec(Expr\\PostDec $bl){
return $this->oz("Expr_PostDec", $bl->var, "--");}
public function pExpr_ErrorSuppress(Expr\\ErrorSuppress $bl){
return $this->oy("Expr_ErrorSuppress", "@", $bl->jy);}
public function pExpr_Cast_Int(Cast\\Int $bl){
return $this->oy("Expr_Cast_Int", str_rot13("(vag) "), $bl->jy);}
public function pExpr_Cast_Double(Cast\\Double $bl){
return $this->oy("Expr_Cast_Double", str_rot13("(qbhoyr) "), $bl->jy);}
public function pExpr_Cast_String(Cast\\String $bl){
return $this->oy("Expr_Cast_String", str_rot13("(fgevat) "), $bl->jy);}
public function pExpr_Cast_Array(Cast\\Array_ $bl){
return $this->oy("Expr_Cast_Array", str_rot13("(neenl) "), $bl->jy);}
public function pExpr_Cast_Object(Cast\\Object $bl){
return $this->oy("Expr_Cast_Object", str_rot13("(bowrpg) "), $bl->jy);}
public function pExpr_Cast_Bool(Cast\\Bool $bl){
return $this->oy("Expr_Cast_Bool", str_rot13("(obby) "), $bl->jy);}
public function pExpr_Cast_Unset(Cast\\Unset_ $bl){
return $this->oy("Expr_Cast_Unset", str_rot13("(hafrg) "), $bl->jy);}
public function pExpr_FuncCall(Expr\\FuncCall $bl){
return $this->p($bl->ao) . "(" . $this->bn($bl->dg) . ")";}
public function pExpr_MethodCall(Expr\\MethodCall $bl){
return $this->pVarOrNewExpr($bl->var) . "->" . $this->pObjectProperty($bl->ao) . "(" . $this->bn($bl->dg) . ")";}
public function pExpr_StaticCall(Expr\\StaticCall $bl){
return $this->p($bl->class) . "::" . ($bl->ao instanceof Expr ? $bl->ao instanceof Expr\\Variable || $bl->ao instanceof Expr\\ArrayDimFetch ? $this->p($bl->ao) : "{" . $this->p($bl->ao) . "}" : $bl->ao) . "(" . $this->bn($bl->dg) . ")";}
public function pExpr_Empty(Expr\\Empty_ $bl){
return str_rot13("rzcgl(") . $this->p($bl->jy) . ")";}
public function pExpr_Isset(Expr\\Isset_ $bl){
return str_rot13("vffrg(") . $this->bn($bl->kc) . ")";}
public function pExpr_Print(Expr\\Print_ $bl){
return str_rot13("cevag ") . $this->p($bl->jy);}
public function pExpr_Eval(Expr\\Eval_ $bl){
return str_rot13("riny(") . $this->p($bl->jy) . ")";}
public function pExpr_Include(Expr\\Include_ $bl){
static $pa = [Expr\\Include_::TYPE_INCLUDE => "include", Expr\\Include_::TYPE_INCLUDE_ONCE => "include_once", Expr\\Include_::TYPE_REQUIRE => "require", Expr\\Include_::TYPE_REQUIRE_ONCE => "require_once"];
return $pa[$bl->type] . " " . $this->p($bl->jy);}
public function pExpr_List(Expr\\List_ $bl){
$pb = [];
foreach ($bl->kc as $var) {
if (null === $var) {
$pb[] = "";} else {
$pb[] = $this->p($var);}}
return str_rot13("yvfg(") . implode(", ", $pb) . ")";}
public function pExpr_Variable(Expr\\Variable $bl){
if ($bl->ao instanceof Expr) {
return "\\${" . $this->p($bl->ao) . "}";} else {
return "\\$" . $bl->ao;}}
public function pExpr_Array(Expr\\Array_ $bl){
return str_rot13("neenl(") . $this->bn($bl->bm) . ")";}
public function pExpr_ArrayItem(Expr\\ArrayItem $bl){
return (null !== $bl->key ? $this->p($bl->key) . " => " : "") . ($bl->hq ? "&" : "") . $this->p($bl->bp);}
public function pExpr_ArrayDimFetch(Expr\\ArrayDimFetch $bl){
return $this->pVarOrNewExpr($bl->var) . "[" . (null !== $bl->jx ? $this->p($bl->jx) : "") . "]";}
public function pExpr_ConstFetch(Expr\\ConstFetch $bl){
return $this->p($bl->ao);}
public function pExpr_ClassConstFetch(Expr\\ClassConstFetch $bl){
return $this->p($bl->class) . "::" . $bl->ao;}
public function pExpr_PropertyFetch(Expr\\PropertyFetch $bl){
return $this->pVarOrNewExpr($bl->var) . "->" . $this->pObjectProperty($bl->ao);}
public function pExpr_StaticPropertyFetch(Expr\\StaticPropertyFetch $bl){
return $this->p($bl->class) . "::\\$" . $this->pObjectProperty($bl->ao);}
public function pExpr_ShellExec(Expr\\ShellExec $bl){
return "`" . $this->pEncapsList($bl->ca, "`") . "`";}
public function pExpr_Closure(Expr\\Closure $bl){
return ($bl->static ? str_rot13("fgngvp ") : "") . str_rot13("shapgvba ") . ($bl->hq ? "&" : "") . "(" . $this->bn($bl->fw) . ")" . (!empty($bl->gn) ? str_rot13(" hfr(") . $this->bn($bl->gn) . ")" : "") . " {" . $this->bk($bl->cj) . "
" . "}";}
public function pExpr_ClosureUse(Expr\\ClosureUse $bl){
return ($bl->hq ? "&" : "") . "\\$" . $bl->var;}
public function pExpr_New(Expr\\New_ $bl){
return str_rot13("arj ") . $this->p($bl->class) . "(" . $this->bn($bl->dg) . ")";}
public function pExpr_Clone(Expr\\Clone_ $bl){
return str_rot13("pybar ") . $this->p($bl->jy);}
public function pExpr_Ternary(Expr\\Ternary $bl){
return $this->ox("Expr_Ternary", $bl->kd, " ?" . (null !== $bl->if ? " " . $this->p($bl->if) . " " : "") . ": ", $bl->else);}
public function pExpr_Exit(Expr\\Exit_ $bl){
return "die" . (null !== $bl->jy ? "(" . $this->p($bl->jy) . ")" : "");}
public function pExpr_Yield(Expr\\Yield_ $bl){
if ($bl->bp === null) {
return "yield";} else {
return str_rot13("(lvryq ") . ($bl->key !== null ? $this->p($bl->key) . " => " : "") . $this->p($bl->bp) . ")";}}
public function pStmt_Namespace(Stmt\\Namespace_ $bl){
if ($this->pc) {
return str_rot13("anzrfcnpr ") . $this->p($bl->ao) . ";" . "
" . $this->bk($bl->cj, false);} else {
return "namespace" . (null !== $bl->ao ? " " . $this->p($bl->ao) : "") . " {" . $this->bk($bl->cj) . "
" . "}";}}
public function pStmt_Use(Stmt\\Use_ $bl){
return str_rot13("hfr ") . ($bl->type === Stmt\\Use_::TYPE_FUNCTION ? str_rot13("shapgvba ") : "") . ($bl->type === Stmt\\Use_::TYPE_CONSTANT ? str_rot13("pbafg ") : "") . $this->bn($bl->gn) . ";";}
public function pStmt_UseUse(Stmt\\UseUse $bl){
return $this->p($bl->ao) . ($bl->ao->kj() !== $bl->lv ? str_rot13(" nf ") . $bl->lv : "");}
public function pStmt_Interface(Stmt\\Interface_ $bl){
return str_rot13("vagresnpr ") . $bl->ao . (!empty($bl->extends) ? str_rot13(" rkgraqf ") . $this->bn($bl->extends) : "") . "
" . "{" . $this->bk($bl->cj) . "
" . "}";}
public function pStmt_Class(Stmt\\Class_ $bl){
return $this->pModifiers($bl->type) . str_rot13("pynff ") . $bl->ao . (null !== $bl->extends ? str_rot13(" rkgraqf ") . $this->p($bl->extends) : "") . (!empty($bl->implements) ? str_rot13(" vzcyrzragf ") . $this->bn($bl->implements) : "") . "
" . "{" . $this->bk($bl->cj) . "
" . "}";}
public function pStmt_Trait(Stmt\\Trait_ $bl){
return str_rot13("genvg ") . $bl->ao . "
" . "{" . $this->bk($bl->cj) . "
" . "}";}
public function pStmt_TraitUse(Stmt\\TraitUse $bl){
return str_rot13("hfr ") . $this->bn($bl->lp) . (empty($bl->lq) ? ";" : " {" . $this->bk($bl->lq) . "
" . "}");}
public function pStmt_TraitUseAdaptation_Precedence(Stmt\\TraitUseAdaptation\\Precedence $bl){
return $this->p($bl->trait) . "::" . $bl->ie . str_rot13(" vafgrnqbs ") . $this->bn($bl->insteadof) . ";";}
public function pStmt_TraitUseAdaptation_Alias(Stmt\\TraitUseAdaptation\\Alias $bl){
return (null !== $bl->trait ? $this->p($bl->trait) . "::" : "") . $bl->ie . str_rot13(" nf") . (null !== $bl->lr ? " " . rtrim($this->pModifiers($bl->lr), " ") : "") . (null !== $bl->ls ? " " . $bl->ls : "") . ";";}
public function pStmt_Property(Stmt\\Property $bl){
return $this->pModifiers($bl->type) . $this->bn($bl->ln) . ";";}
public function pStmt_PropertyProperty(Stmt\\PropertyProperty $bl){
return "\\$" . $bl->ao . (null !== $bl->default ? " = " . $this->p($bl->default) : "");}
public function pStmt_ClassMethod(Stmt\\ClassMethod $bl){
return $this->pModifiers($bl->type) . str_rot13("shapgvba ") . ($bl->hq ? "&" : "") . $bl->ao . "(" . $this->bn($bl->fw) . ")" . (null !== $bl->cj ? "
" . "{" . $this->bk($bl->cj) . "
" . "}" : ";");}
public function pStmt_ClassConst(Stmt\\ClassConst $bl){
return str_rot13("pbafg ") . $this->bn($bl->la) . ";";}
public function pStmt_Function(Stmt\\Function_ $bl){
return str_rot13("shapgvba ") . ($bl->hq ? "&" : "") . $bl->ao . "(" . $this->bn($bl->fw) . ")" . "
" . "{" . $this->bk($bl->cj) . "
" . "}";}
public function pStmt_Const(Stmt\\Const_ $bl){
return str_rot13("pbafg ") . $this->bn($bl->la) . ";";}
public function pStmt_Declare(Stmt\\Declare_ $bl){
return str_rot13("qrpyner (") . $this->bn($bl->lj) . ") {" . $this->bk($bl->cj) . "
" . "}";}
public function pStmt_DeclareDeclare(Stmt\\DeclareDeclare $bl){
return $bl->key . " = " . $this->p($bl->bp);}
public function pStmt_If(Stmt\\If_ $bl){
return str_rot13("vs (") . $this->p($bl->kd) . ") {" . $this->bk($bl->cj) . "
" . "}" . $this->pe($bl->pd) . (null !== $bl->else ? $this->p($bl->else) : "");}
public function pStmt_ElseIf(Stmt\\ElseIf_ $bl){
return str_rot13(" ryfrvs (") . $this->p($bl->kd) . ") {" . $this->bk($bl->cj) . "
" . "}";}
public function pStmt_Else(Stmt\\Else_ $bl){
return str_rot13(" ryfr {") . $this->bk($bl->cj) . "
" . "}";}
public function pStmt_For(Stmt\\For_ $bl){
return str_rot13("sbe (") . $this->bn($bl->pf) . ";" . (!empty($bl->kd) ? " " : "") . $this->bn($bl->kd) . ";" . (!empty($bl->pg) ? " " : "") . $this->bn($bl->pg) . ") {" . $this->bk($bl->cj) . "
" . "}";}
public function pStmt_Foreach(Stmt\\Foreach_ $bl){
return str_rot13("sbernpu (") . $this->p($bl->jy) . str_rot13(" nf ") . (null !== $bl->ph ? $this->p($bl->ph) . " => " : "") . ($bl->hq ? "&" : "") . $this->p($bl->ll) . ") {" . $this->bk($bl->cj) . "
" . "}";}
public function pStmt_While(Stmt\\While_ $bl){
return str_rot13("juvyr (") . $this->p($bl->kd) . ") {" . $this->bk($bl->cj) . "
" . "}";}
public function pStmt_Do(Stmt\\Do_ $bl){
return str_rot13("qb {") . $this->bk($bl->cj) . "
" . str_rot13("} juvyr (") . $this->p($bl->kd) . ");";}
public function pStmt_Switch(Stmt\\Switch_ $bl){
return str_rot13("fjvgpu (") . $this->p($bl->kd) . ") {" . $this->bk($bl->lo) . "
" . "}";}
public function pStmt_Case(Stmt\\Case_ $bl){
return (null !== $bl->kd ? str_rot13("pnfr ") . $this->p($bl->kd) : "default") . ":" . $this->bk($bl->cj);}
public function pStmt_TryCatch(Stmt\\TryCatch $bl){
return str_rot13("gel {") . $this->bk($bl->cj) . "
" . "}" . $this->pe($bl->lt) . ($bl->lu !== null ? str_rot13(" svanyyl {") . $this->bk($bl->lu) . "
" . "}" : "");}
public function pStmt_Catch(Stmt\\Catch_ $bl){
return str_rot13(" pngpu (") . $this->p($bl->type) . " \\$" . $bl->var . ") {" . $this->bk($bl->cj) . "
" . "}";}
public function pStmt_Break(Stmt\\Break_ $bl){
return "break" . ($bl->gb !== null ? " " . $this->p($bl->gb) : "") . ";";}
public function pStmt_Continue(Stmt\\Continue_ $bl){
return "continue" . ($bl->gb !== null ? " " . $this->p($bl->gb) : "") . ";";}
public function pStmt_Return(Stmt\\Return_ $bl){
return "return" . (null !== $bl->jy ? " " . $this->p($bl->jy) : "") . ";";}
public function pStmt_Throw(Stmt\\Throw_ $bl){
return str_rot13("guebj ") . $this->p($bl->jy) . ";";}
public function pStmt_Label(Stmt\\Label $bl){
return $bl->ao . ":";}
public function pStmt_Goto(Stmt\\Goto_ $bl){
return str_rot13("tbgb ") . $bl->ao . ";";}
public function pStmt_Echo(Stmt\\Echo_ $bl){
return str_rot13("rpub ") . $this->bn($bl->lk) . ";";}
public function pStmt_Static(Stmt\\Static_ $bl){
return str_rot13("fgngvp ") . $this->bn($bl->kc) . ";";}
public function pStmt_Global(Stmt\\Global_ $bl){
return str_rot13("tybony ") . $this->bn($bl->kc) . ";";}
public function pStmt_StaticVar(Stmt\\StaticVar $bl){
return "\\$" . $bl->ao . (null !== $bl->default ? " = " . $this->p($bl->default) : "");}
public function pStmt_Unset(Stmt\\Unset_ $bl){
return str_rot13("hafrg(") . $this->bn($bl->kc) . ");";}
public function pStmt_InlineHTML(Stmt\\InlineHTML $bl){
return "?>" . $this->ov("
" . $bl->bp) . str_rot13("<?cuc ");}
public function pStmt_HaltCompiler(Stmt\\HaltCompiler $bl){
return str_rot13("__unyg_pbzcvyre();") . $bl->lm;}
public function pObjectProperty($bl){
if ($bl instanceof Expr) {
return "{" . $this->p($bl) . "}";} else {
return $bl;}}
public function pModifiers($pj){
return ($pj & Stmt\\Class_::MODIFIER_PUBLIC ? str_rot13("choyvp ") : "") . ($pj & Stmt\\Class_::MODIFIER_PROTECTED ? str_rot13("cebgrpgrq ") : "") . ($pj & Stmt\\Class_::MODIFIER_PRIVATE ? str_rot13("cevingr ") : "") . ($pj & Stmt\\Class_::MODIFIER_STATIC ? str_rot13("fgngvp ") : "") . ($pj & Stmt\\Class_::MODIFIER_ABSTRACT ? str_rot13("nofgenpg ") : "") . ($pj & Stmt\\Class_::MODIFIER_FINAL ? str_rot13("svany ") : "");}
public function pEncapsList(array $pk, $kw){
$return = "";
foreach ($pk as $ge) {
if (is_string($ge)) {
$return .= addcslashes($ge, "

	\\x0c\\x0b\\$" . $kw . "\\\\");} else {
$return .= "{" . $this->p($ge) . "}";}}
return $return;}
public function pVarOrNewExpr(Node $bl){
if ($bl instanceof Expr\\New_) {
return "(" . $this->p($bl) . ")";} else {
return $this->p($bl);}}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/CergglCevagreNofgenpg.cuc") => 
'<?php

namespace PhpParser;

use PhpParser\\Node\\Expr;
use PhpParser\\Node\\Stmt;
abstract class PrettyPrinterAbstract{
protected $pl = ["Expr_BinaryOp_Pow" => [0, 1], "Expr_BitwiseNot" => [1, 1], "Expr_PreInc" => [1, 1], "Expr_PreDec" => [1, 1], "Expr_PostInc" => [1, -1], "Expr_PostDec" => [1, -1], "Expr_UnaryPlus" => [1, 1], "Expr_UnaryMinus" => [1, 1], "Expr_Cast_Int" => [1, 1], "Expr_Cast_Double" => [1, 1], "Expr_Cast_String" => [1, 1], "Expr_Cast_Array" => [1, 1], "Expr_Cast_Object" => [1, 1], "Expr_Cast_Bool" => [1, 1], "Expr_Cast_Unset" => [1, 1], "Expr_ErrorSuppress" => [1, 1], "Expr_Instanceof" => [2, 0], "Expr_BooleanNot" => [3, 1], "Expr_BinaryOp_Mul" => [4, -1], "Expr_BinaryOp_Div" => [4, -1], "Expr_BinaryOp_Mod" => [4, -1], "Expr_BinaryOp_Plus" => [5, -1], "Expr_BinaryOp_Minus" => [5, -1], "Expr_BinaryOp_Concat" => [5, -1], "Expr_BinaryOp_ShiftLeft" => [6, -1], "Expr_BinaryOp_ShiftRight" => [6, -1], "Expr_BinaryOp_Smaller" => [7, 0], "Expr_BinaryOp_SmallerOrEqual" => [7, 0], "Expr_BinaryOp_Greater" => [7, 0], "Expr_BinaryOp_GreaterOrEqual" => [7, 0], "Expr_BinaryOp_Equal" => [8, 0], "Expr_BinaryOp_NotEqual" => [8, 0], "Expr_BinaryOp_Identical" => [8, 0], "Expr_BinaryOp_NotIdentical" => [8, 0], "Expr_BinaryOp_BitwiseAnd" => [9, -1], "Expr_BinaryOp_BitwiseXor" => [10, -1], "Expr_BinaryOp_BitwiseOr" => [11, -1], "Expr_BinaryOp_BooleanAnd" => [12, -1], "Expr_BinaryOp_BooleanOr" => [13, -1], "Expr_Ternary" => [14, -1], "Expr_Assign" => [15, 1], "Expr_AssignRef" => [15, 1], "Expr_AssignOp_Plus" => [15, 1], "Expr_AssignOp_Minus" => [15, 1], "Expr_AssignOp_Mul" => [15, 1], "Expr_AssignOp_Div" => [15, 1], "Expr_AssignOp_Concat" => [15, 1], "Expr_AssignOp_Mod" => [15, 1], "Expr_AssignOp_BitwiseAnd" => [15, 1], "Expr_AssignOp_BitwiseOr" => [15, 1], "Expr_AssignOp_BitwiseXor" => [15, 1], "Expr_AssignOp_ShiftLeft" => [15, 1], "Expr_AssignOp_ShiftRight" => [15, 1], "Expr_AssignOp_Pow" => [15, 1], "Expr_BinaryOp_LogicalAnd" => [16, -1], "Expr_BinaryOp_LogicalXor" => [17, -1], "Expr_BinaryOp_LogicalOr" => [18, -1], "Expr_Include" => [19, -1]];
protected $pm;
protected $pc;
public function __construct(){
$this->pm = str_rot13("_AB_VAQRAG_") . mt_rand();}
public function po(array $cj){
$this->pn($cj);
return ltrim(str_replace("
" . $this->pm, "
", $this->bk($cj, false)));}
public function dc(Expr $bl){
return str_replace("
" . $this->pm, "
", $this->p($bl));}
public function ct(array $cj){
$p = rtrim($this->po($cj));
$p = preg_replace(str_rot13("/^\\\\?>\\\\a?/"), "", $p, -1, $count);
$p = preg_replace(str_rot13("/<\\\\?cuc\\$/"), "", $p);
if (!$count) {
$p = str_rot13("<?cuc

") . $p;}
return $p;}
protected function pn(array $bi){
$this->pc = true;
foreach ($bi as $bl) {
if ($bl instanceof Stmt\\Namespace_ && null === $bl->ao) {
$this->pc = false;}}}
protected function bk(array $bi, $bj = true){
$pp = "";
foreach ($bi as $bl) {
$pp .= "
" . $this->bh($bl->dv("bg", [])) . $this->p($bl) . ($bl instanceof Expr ? ";" : "");}
if ($bj) {
return preg_replace(str_rot13("~\\\\a(?!\\$|") . $this->pm . ")~", "
    ", $pp);} else {
return $pp;}}
protected function p(Node $bl){
return $this->{"p" . $bl->ha()}($bl);}
protected function ox($type, Node $pq, $pr, Node $ps){
list($pt, $pu) = $this->pl[$type];
return $this->pv($pq, $pt, $pu, -1) . $pr . $this->pv($ps, $pt, $pu, 1);}
protected function oy($type, $pr, Node $bl){
list($pt, $pu) = $this->pl[$type];
return $pr . $this->pv($bl, $pt, $pu, 1);}
protected function oz($type, Node $bl, $pr){
list($pt, $pu) = $this->pl[$type];
return $this->pv($bl, $pt, $pu, -1) . $pr;}
protected function pv(Node $bl, $pw, $px, $py){
$type = $bl->ha();
if (isset($this->pl[$type])) {
$pz = $this->pl[$type][0];
if ($pz > $pw || $pw == $pz && $px != $py) {
return "(" . $this->{"p" . $type}($bl) . ")";}}
return $this->{"p" . $type}($bl);}
protected function pe(array $bi, $qa = ""){
$qb = [];
foreach ($bi as $bl) {
$qb[] = $this->p($bl);}
return implode($qa, $qb);}
protected function bn(array $bi){
return $this->pe($bi, ", ");}
protected function ov($en){
return str_replace("
", "
" . $this->pm, $en);}
protected function bh(array $bg){
$pp = "";
foreach ($bg as $qc) {
$pp .= $qc->in() . "
";}
return $pp;}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Frevnyvmre/KZY.cuc") => 
'<?php

namespace PhpParser\\Serializer;

use XMLWriter;
use PhpParser\\Node;
use PhpParser\\Comment;
use PhpParser\\Serializer;
class XML implements Serializer{
protected $qd;
public function __construct(){
$this->qd = new XMLWriter();
$this->qd->qe();
$this->qd->qf(true);}
public function serialize(array $bi){
$this->qd->flush();
$this->qd->qg("1.0", str_rot13("HGS-8"));
$this->qd->qh(str_rot13("NFG"));
$this->qd->qi(str_rot13("kzyaf:abqr"), str_rot13("uggc://avxvp.tvguho.pbz/CUCCnefre/KZY/abqr"));
$this->qd->qi(str_rot13("kzyaf:fhoAbqr"), str_rot13("uggc://avxvp.tvguho.pbz/CUCCnefre/KZY/fhoAbqr"));
$this->qd->qi(str_rot13("kzyaf:nggevohgr"), str_rot13("uggc://avxvp.tvguho.pbz/CUCCnefre/KZY/nggevohgr"));
$this->qd->qi(str_rot13("kzyaf:fpnyne"), str_rot13("uggc://avxvp.tvguho.pbz/CUCCnefre/KZY/fpnyne"));
$this->qj($bi);
$this->qd->qk();
return $this->qd->ql();}
protected function qj($bl){
if ($bl instanceof Node) {
$this->qd->qh(str_rot13("abqr:") . $bl->ha());
foreach ($bl->ly() as $ao => $bp) {
$this->qd->qh(str_rot13("nggevohgr:") . $ao);
$this->qj($bp);
$this->qd->qk();}
foreach ($bl as $ao => $mh) {
$this->qd->qh(str_rot13("fhoAbqr:") . $ao);
$this->qj($mh);
$this->qd->qk();}
$this->qd->qk();} elseif ($bl instanceof Comment) {
$this->qd->qh("qc");
$this->qd->qi(str_rot13("vfQbpPbzzrag"), $bl instanceof Comment\\Doc ? "true" : "false");
$this->qd->qi("line", $bl->il());
$this->qd->ii($bl->ij());
$this->qd->qk();} elseif (is_array($bl)) {
$this->qd->qh(str_rot13("fpnyne:neenl"));
foreach ($bl as $mh) {
$this->qj($mh);}
$this->qd->qk();} elseif (is_string($bl)) {
$this->qd->qm(str_rot13("fpnyne:fgevat"), $bl);} elseif (is_int($bl)) {
$this->qd->qm(str_rot13("fpnyne:vag"), $bl);} elseif (is_float($bl)) {
$this->qd->qm(str_rot13("fpnyne:sybng"), $bl);} elseif (true === $bl) {
$this->qd->qm(str_rot13("fpnyne:gehr"));} elseif (false === $bl) {
$this->qd->qm(str_rot13("fpnyne:snyfr"));} elseif (null === $bl) {
$this->qd->qm(str_rot13("fpnyne:ahyy"));} else {
throw new \\InvalidArgumentException(str_rot13("Harkcrpgrq abqr glcr"));}}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Frevnyvmre.cuc") => 
'<?php

namespace PhpParser;

interface Serializer{
public function serialize(array $bi);}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Hafrevnyvmre/KZY.cuc") => 
'<?php

namespace PhpParser\\Unserializer;

use XMLReader;
use DomainException;
use PhpParser\\Unserializer;
class XML implements Unserializer{
protected $qn;
public function __construct(){
$this->qn = new XMLReader();}
public function unserialize($en){
$this->qn->XML($en);
$this->qn->qo();
if (str_rot13("NFG") !== $this->qn->ao) {
throw new DomainException(str_rot13("NFG ebbg ryrzrag abg sbhaq"));}
return $this->qo($this->qn->qp);}
protected function qo($qq, $throw = true, &$qr = null){
$qr = true;
while ($this->qn->qo() && $qq < $this->qn->qp) {
if (XMLReader::ELEMENT !== $this->qn->qs) {
continue;}
if ("bl" === $this->qn->qt) {
return $this->qu();} elseif (str_rot13("fpnyne") === $this->qn->qt) {
return $this->qv();} elseif ("qc" === $this->qn->ao) {
return $this->qw();} else {
throw new DomainException(sprintf(str_rot13("Harkcrpgrq abqr bs glcr \\"%f\\""), $this->qn->ao));}}
$qr = false;
if ($throw) {
throw new DomainException(str_rot13("Rkcrpgrq abqr be fpnyne"));}}
protected function qu(){
$qx = $this->qz($this->qn->qy);
$bl = unserialize(sprintf(str_rot13("B:%q:\\"%f\\":2:{f:11:\\"\\x00*\\x00fhoAbqrf\\";n:0:{}f:13:\\"\\x00*\\x00nggevohgrf\\";n:0:{}}"), strlen($qx), $qx));
$qq = $this->qn->qp;
while ($this->qn->qo() && $qq < $this->qn->qp) {
if (XMLReader::ELEMENT !== $this->qn->qs) {
continue;}
$type = $this->qn->qt;
if ("mh" !== $type && str_rot13("nggevohgr") !== $type) {
throw new DomainException(sprintf(str_rot13("Rkcrpgrq fho abqr be nggevohgr, tbg abqr bs glcr \\"%f\\""), $this->qn->ao));}
$ao = $this->qn->qy;
$bp = $this->qo($this->qn->qp);
if ("mh" === $type) {
$bl->{$ao} = $bp;} else {
$bl->du($ao, $bp);}}
return $bl;}
protected function qv(){
switch ($ao = $this->qn->qy) {
case "array":
$qp = $this->qn->qp;
$array = [];
while (true) {
$bl = $this->qo($qp, false, $qr);
if (!$qr) {
break;}
$array[] = $bl;}
return $array;
case "en":
return $this->qn->ra();
case "rb":
$ii = $this->qn->ra();
if (false === ($rb = filter_var($ii, FILTER_VALIDATE_INT))) {
throw new DomainException(sprintf(str_rot13("\\"%f\\" vf abg n inyvq vagrtre"), $ii));}
return $rb;
case "rc":
$ii = $this->qn->ra();
if (false === ($rc = filter_var($ii, FILTER_VALIDATE_FLOAT))) {
throw new DomainException(sprintf(str_rot13("\\"%f\\" vf abg n inyvq sybng"), $ii));}
return $rc;
case "true":
case "false":
case "null":
if (!$this->qn->rd) {
throw new DomainException(sprintf(str_rot13("\\"%f\\" fpnyne zhfg or rzcgl"), $ao));}
return constant($ao);
default:
throw new DomainException(sprintf(str_rot13("Haxabja fpnyne glcr \\"%f\\""), $ao));}}
protected function qw(){
$qx = $this->qn->dv(str_rot13("vfQbpPbzzrag")) === "true" ? str_rot13("CucCnefre\\\\Pbzzrag\\\\Qbp") : str_rot13("CucCnefre\\\\Pbzzrag");
return new $qx($this->qn->ra(), $this->qn->dv("line"));}
protected function qz($type){
$qx = str_rot13("CucCnefre\\\\Abqr\\\\") . strtr($type, "_", "\\\\");
if (!class_exists($qx)) {
$qx .= "_";}
if (!class_exists($qx)) {
throw new DomainException(sprintf(str_rot13("Haxabja abqr glcr \\"%f\\""), $type));}
return $qx;}}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/yvo/CucCnefre/Hafrevnyvmre.cuc") => 
'<?php

namespace PhpParser;

interface Unserializer{
public function unserialize($en);}'
 , 
str_rot13("_/iraqbe/avxvp/CUC-Cnefre/grfg_byq/eha.cuc") => 
'<?php

error_reporting(E_ALL | E_STRICT);
ini_set(str_rot13("fubeg_bcra_gnt"), false);
if (str_rot13("pyv") !== php_sapi_name()) {
die(str_rot13("Guvf fpevcg vf qrfvtarq sbe ehaavat ba gur pbzznaq yvar."));}
function dz($eg){
die($eg . "

" . str_rot13("Guvf fpevcg unf gb or pnyyrq jvgu gur sbyybjvat fvtangher:

    cuc eha.cuc [--ab-cebterff] grfgGlcr cnguGbGrfgSvyrf

Gur grfg glcr pna or rvgure \\"Flzsbal\\" be \\"CUC\\".

Gur sbyybjvat bcgvbaf ner ninvynoyr:

    --ab-cebterff    Qvfnoyrf fubjvat juvpu svyr vf pheeragyl grfgrq."));}
$fj = [];
$re = [];
array_shift($argv);
foreach ($argv as $ei) {
if ("-" === $ei[0]) {
$fj[] = $ei;} else {
$re[] = $ei;}}
if (count($re) !== 2) {
dz(str_rot13("Gbb yvggyr nethzragf cnffrq!"));}
$rf = true;
if (count($fj) > 0) {
if (count($fj) === 1 && $fj[0] === str_rot13("--ab-cebterff")) {
$rf = false;} else {
dz(str_rot13("Vainyvq bcgvba cnffrq!"));}}
$rg = $re[0];
$rh = $re[1];
if (str_rot13("Flzsbal") === $rg) {
function ri($cv){
return preg_match(str_rot13("~\\\\.cuc(?:\\\\.pnpur)?\\$~"), $cv) && false === strpos($cv, str_rot13("fxryrgba"));}} elseif (str_rot13("CUC") === $rg) {
function ri($cv){
return preg_match(str_rot13("~\\\\.cucg\\$~"), $cv);}} else {
dz(str_rot13("Grfg glcr zhfg or rvgure \\"Flzsbal\\" be \\"CUC\\"!"));}
require_once dirname(__FILE__) . str_rot13("/../yvo/CucCnefre/Nhgbybnqre.cuc");
PhpParser\\Autoloader::gh();
$cf = new PhpParser\\Parser(new PhpParser\\Lexer\\Emulative());
$co = new PhpParser\\PrettyPrinter\\Standard();
$rj = new PhpParser\\NodeDumper();
$rk = $rl = $rm = $count = 0;
$rn = $ro = $rp = $rq = $rr = 0;
$rs = microtime(true);
foreach (new RecursiveIteratorIterator(new RecursiveDirectoryIterator($rh), RecursiveIteratorIterator::LEAVES_ONLY) as $file) {
if (!ri($file)) {
continue;}
$rt = microtime(true);
$cs = file_get_contents($file);
$rn += microtime(true) - $rt;
if (str_rot13("CUC") === $rg) {
if (preg_match(str_rot13("~(?:
# fxryrgba svyrf
  rkg.tzc.grfgf.001
| rkg.fxryrgba.grfgf.001
# zhygvolgr rapbqrq svyrf
| rkg.zofgevat.grfgf.mraq_zhygvolgr-01
| Mraq.grfgf.zhygvolgr.zhygvolgr_rapbqvat_001
| Mraq.grfgf.zhygvolgr.zhygvolgr_rapbqvat_004
| Mraq.grfgf.zhygvolgr.zhygvolgr_rapbqvat_005
# gbxra_trg_nyy oht (uggcf://ohtf.cuc.arg/oht.cuc?vq=60097)
| Mraq.grfgf.oht47516
# cerggl cevag qvssrerapr qhr gb VAS if 1r1000
| rkg.fgnaqneq.grfgf.trareny_shapgvbaf.oht27678
| grfgf.ynat.oht24640
)\\\\.cucg\\$~k"), $file)) {
continue;}
if (!preg_match(str_rot13("~--SVYR--\\\\f*(.*?)--[N-M]+--~f"), $cs, $fv)) {
continue;}
if (preg_match(str_rot13("~--RKCRPG(?:S|ERTRK)?--\\\\f*(?:Cnefr|Sngny) reebe~"), $cs)) {
continue;}
$cs = $fv[1];}
set_time_limit(10);
++$count;
if ($rf) {
echo substr(str_pad(str_rot13("Grfgvat svyr ") . $count . ": " . substr($file, strlen($rh)), 79), 0, 79), "
";}
try {
$rt = microtime(true);
$cj = $cf->ck($cs);
$ro += microtime(true) - $rt;
$rt = microtime(true);
$cs = str_rot13("<?cuc") . "
" . $co->po($cj);
$rp += microtime(true) - $rt;
try {
$rt = microtime(true);
$ru = $cf->ck($cs);
$rq += microtime(true) - $rt;
$rt = microtime(true);
$rv = $rj->ef($cj) == $rj->ef($ru);
$rr += microtime(true) - $rt;
if (!$rv) {
echo $file, str_rot13(":
    Erfhyg bs vavgvny cnefr naq cnefr nsgre cerggl cevag qvssre
");
++$rm;}} catch (PhpParser\\Error $e) {
echo $file, ":\\n    Parse of pretty print failed with message: {$e->ed()}\\n";
++$rl;}} catch (PhpParser\\Error $e) {
echo $file, ":\\n    Parse failed with message: {$e->ed()}\\n";
++$rk;}}
if (0 === $rk && 0 === $rl && 0 === $rm) {
echo "

", str_rot13("Nyy grfgf cnffrq."), "
";} else {
echo "

", "==========", "

", str_rot13("Gurer jrer: "), "
";
if (0 !== $rk) {
echo "    ", $rk, str_rot13(" cnefr snvyherf."), "
";}
if (0 !== $rl) {
echo "    ", $rl, str_rot13(" cerggl cevag snvyherf."), "
";}
if (0 !== $rm) {
echo "    ", $rm, str_rot13(" pbzcner snvyherf."), "
";}}
echo "
", str_rot13("Grfgrq svyrf:         "), $count, "
", "
", str_rot13("Ernqvat svyrf gbbx:   "), $rn, "
", str_rot13("Cnefvat gbbx:         "), $ro, "
", str_rot13("Cerggl cevagvat gbbx: "), $rp, "
", str_rot13("Ercnefvat gbbx:       "), $rq, "
", str_rot13("Pbzcnevat gbbx:       "), $rr, "
", "
", str_rot13("Gbgny gvzr:           "), microtime(true) - $rs, "
", str_rot13("Znkvzhz zrzbel hfntr: "), memory_get_peak_usage(true), "
";'
 , 
];
if (false===stream_wrapper_register('phppack','PackedLoader__phppack')){
die("FATAL: Failed to load environment");
}
require 'phppack://_/phppack.php';